2008-12-06  Chong Yidong  <cyd@stupidchicken.com>

	* term/xterm.el (terminal-init-xterm): Discard pending input
	before reading a reply to the terminal attributes query.

2008-12-05  Andreas Schwab  <schwab@suse.de>

	* dired.el (dired-font-lock-keywords): Fix last change.

2008-12-05  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-bdf.el (bdf-directory-list): Transform (defvar ... "*..")
	into (defcustom ... "..." :type ... :group...).

2008-12-05  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-diag.el (mule-diag): Display the window
	system version in a less laconic way.

2008-12-04  Juanma Barranquero  <lekktu@gmail.com>

	* ibuffer.el (ibuffer-sort-bufferlist): Require ibuf-ext
	if the sorting functions are not loaded.  (Bug#1432)

2008-12-04  Sam Steingold  <sds@gnu.org>

	* progmodes/compile.el (compilation-read-command): Extracted from
	compile.
	(compile): Use it.
	(recompile): Accept an optional argument to enable editing the
	command line.

2008-12-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (top): Write a message, when loading Tramp.

	* net/tramp-cache.el (tramp-dump-connection-properties): Polish
	the check, whether to dump the data.

2008-12-04  Lute Kamstra  <lute@gnu.org>

	* vc-cvs.el (vc-cvs-could-register): Don't use file-directory-p to
	check if the file "CVS/Entries" exists.

2008-12-04  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-diag.el (list-character-sets): Doc fix.
	(list-character-sets-2): Fix info in header.  Simplify.
	(print-coding-system): Simplify.
	(list-input-methods-1): Simplify.
	(mule-diag): Display current font/fontset for all window systems,
	not just X.  Simplify.

2008-12-04  Glenn Morris  <rgm@gnu.org>

	* vc-cvs.el (vc-cvs-register-switches): Doc fix.  Add t as option.
	(vc-cvs-register): Doc fix.
	* vc-mcvs.el (vc-mcvs-register-switches): Doc fix.  Add t as option.
	(vc-mcvs-register): Doc fix.
	* vc-rcs.el (vc-rcs-register-switches): Doc fix.  Add t as option.
	(vc-rcs-register): Doc fix.
	* vc-sccs.el (vc-sccs-register-switches): Doc fix.  Add t as option.
	(vc-sccs-register): Doc fix.
	* vc-svn.el (vc-svn-register-switches): Doc fix.  Add t as option.
	(vc-svn-register): Doc fix.

	* files.el (toggle-read-only): Doc fix.

2008-12-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* apropos.el (apropos-print-doc): Fix thinko that caused long labels to
	be used in compact layout and vice-versa.

2008-12-03  Juanma Barranquero  <lekktu@gmail.com>

	* w32-fns.el (w32-list-locales): Use `with-output-to-temp-buffer',
	like most list-* commands.

	* international/mule-diag.el (unicodedata-file, unicode-data): Remove.
	They already exist in descr-text.el as `describe-char-unicodedata-file'
	and `describe-char-unicode-data'.
	(print-list): Simplify.
	(read-charset): Reflow docstring.
	(list-coding-systems): Doc fix.

2008-12-03  Glenn Morris  <rgm@gnu.org>

	* vc.el (vc-diff-switches): Doc fix.
	* vc-bzr.el (vc-bzr-diff-switches): Doc fix.  Add t as option.
	(vc-bzr-log-switches): Doc fix.
	* vc-cvs.el (vc-cvs-diff-switches): Doc fix.  Add t as option.
	* vc-git.el (vc-git-diff-switches): Doc fix.
	* vc-hg.el (vc-hg-diff-switches): Doc fix.
	* vc-mcvs.el (vc-mcvs-diff-switches): Doc fix.
	* vc-mtn.el (vc-mtn-diff-switches): Doc fix.
	* vc-rcs.el (vc-rcs-diff-switches): Doc fix.  Add t as option.
	* vc-sccs.el (vc-sccs-diff-switches): Doc fix.  Add t as option.

	* vc-arch.el (vc-arch-diff-switches): New option, for consistency with
	other backends.
	(vc-arch-diff): Apply switches.

	* vc-cvs.el (vc-cvs-diff): Use vc-diff-switches or diff-switches rather
	than appending.

	* vc-sccs.el (vc-sccs-register-switches): Remove leading * from doc.

2008-12-03  Daiki Ueno  <ueno@unixuser.org>

	* epa.el (epa--show-key): Use past tense of "expire" if the key
	has already been expired.  Thanks to Peter BARABAS.

2008-12-03  Lute Kamstra  <lute@gnu.org>

	* align.el:
	* allout.el:
	* apropos.el:
	* arc-mode.el:
	* autoinsert.el:
	* avoid.el:
	* battery.el:
	* bookmark.el:
	* buff-menu.el:
	* calculator.el:
	* chistory.el:
	* cmuscheme.el:
	* comint.el:
	* compare-w.el:
	* dabbrev.el:
	* delim-col.el:
	* desktop.el:
	* diff-mode.el:
	* diff.el:
	* dired-aux.el:
	* dired-x.el:
	* dired.el:
	* dos-vars.el:
	* ediff-diff.el:
	* ediff-help.el:
	* ediff-init.el:
	* ediff-merg.el:
	* ediff-mult.el:
	* ediff-ptch.el:
	* ediff-vers.el:
	* ediff-wind.el:
	* ediff.el:
	* emerge.el:
	* facemenu.el:
	* faces.el:
	* ffap.el:
	* filecache.el:
	* find-dired.el:
	* font-core.el:
	* font-lock.el:
	* forms.el:
	* fringe.el:
	* help-at-pt.el:
	* hippie-exp.el:
	* ido.el:
	* image-file.el:
	* imenu.el:
	* indent.el:
	* info.el:
	* isearchb.el:
	* iswitchb.el:
	* jit-lock.el:
	* jka-compr.el:
	* log-edit.el:
	* lpr.el:
	* ls-lisp.el:
	* man.el:
	* menu-bar.el:
	* midnight.el:
	* mouse-sel.el:
	* mouse.el:
	* msb.el:
	* outline.el:
	* paren.el:
	* pcmpl-cvs.el:
	* pcmpl-gnu.el:
	* pcomplete.el:
	* pcvs-info.el:
	* pcvs-parse.el:
	* printing.el:
	* ps-mule.el:
	* ps-print.el:
	* replace.el:
	* ruler-mode.el:
	* saveplace.el:
	* sb-image.el:
	* scroll-bar.el:
	* sha1.el:
	* shadowfile.el:
	* shell.el:
	* sort.el:
	* speedbar.el:
	* strokes.el:
	* tempo.el:
	* term.el:
	* terminal.el:
	* time-stamp.el:
	* time.el:
	* tree-widget.el:
	* type-break.el:
	* vc-cvs.el:
	* vc-hg.el:
	* vc-mcvs.el:
	* vc-rcs.el:
	* vc-sccs.el:
	* vc.el:
	* view.el:
	* w32-vars.el:
	* whitespace.el:
	* wid-edit.el: Remove leading * from docstrings of defcustoms,
	deffaces, defconsts and defuns.

2008-12-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* complete.el (PC-do-completion): Fix leftover bug from Emacs-21 when
	the prompt was added to the minibuffer.

2008-12-02  Glenn Morris  <rgm@gnu.org>

	* format.el (format-write-file): Rewrite doc yet again.

	* progmodes/cc-vars.el (c-tab-always-indent, c-insert-tab-function):
	Doc fix.  (Bug#1368)

	* textmodes/texinfo.el (texinfo-insert-quote): Tweak previous change.

2008-12-02  Aaron S. Hawley  <aaronh@garden.org>

	* textmodes/texinfo.el (texinfo-insert-quote): Handle corner
	case where point is at the beginning of the buffer.  (Bug#1239)

2008-12-02  Lennart Borgman  <lennart.borgman@gmail.com>

	* nxml/nxml-mode.el (nxml-indent-line): Don't re-indent lines that
	already have the correct indentation.  (Bug#859)

2008-12-02  Kenichi Handa  <handa@m17n.org>

	* international/uni-decomposition.el: Re-generated.

2008-12-01  Andreas Schwab  <schwab@suse.de>

	* dired.el (dired-font-lock-keywords): Avoid fontifying file names
	ending in a colon as directory header.

2008-12-01  Kenichi Handa  <handa@m17n.org>

	* international/uni-numeric.el: Re-generated.

	* international/charprop.el: Re-generated.

2008-12-01  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-cmds.el (locale-preferred-coding-systems):
	Fix alist item.

2008-12-01  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-cache.el (tramp-cache-data-changed): New defvar.
	(tramp-set-connection-property, tramp-flush-connection-property)
	(tramp-dump-connection-properties): Use it.

2008-11-30  Chong Yidong  <cyd@stupidchicken.com>

	* wdired.el (wdired-finish-edit): If displaying a single file,
	change dired-directory if that file was renamed.

	* emacs-lisp/byte-run.el (macro-declaration-function): Disallow
	declare specs with lengths of 3 or more.

	* dirtrack.el (dirtrack): Fix error message.

2008-11-30  Glenn Morris  <rgm@gnu.org>

	* vc-svn.el (vc-svn-diff-switches): Doc fix.
	(vc-svn-diff): Fix the case where vc-svn-diff-switches is nil.

	* vc-git.el (vc-git-diff):
	* vc-hg.el (vc-hg-diff):
	* vc-mtn.el (vc-mtn-diff): No need to duplicate vc-switches logic.

	* eshell/esh-proc.el (eshell-needs-pipe): New variable.
	(eshell-needs-pipe-p): New function.
	(eshell-gather-process-output): Set process-connection-type according to
	eshell-needs-pipe-p.  (Bug#1388)

2008-11-30  Juanma Barranquero  <lekktu@gmail.com>

	* calendar/diary-lib.el (diary-cyclic): Doc fix.
	(diary-remind-message, diary-number-of-entries)
	(diary-include-other-diary-files, diary-mark-included-diary-files)
	(diary-view-entries, diary-date, diary-block, diary-insert-entry-1)
	(diary-font-lock-keywords-1): Reflow docstrings.
	(diary-add-to-list, calendar-mark-1, diary-entry-time, diary-make-date)
	(diary-anniversary, diary-date-display-form): Fix typos in docstrings.

	* emacs-lisp/timer.el (timer-duration-words): Fix typo in docstring.
	(timer-duration): Use `string-match-p'.

2008-11-29  Chong Yidong  <cyd@stupidchicken.com>

	* complete.el (PC-do-complete-and-exit): Use
	minibuffer-confirm-exit-commands.

	* minibuffer.el (minibuffer-confirm-exit-commands): Add
	PC-complete and PC-complete-word to the list.

2008-11-29  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (break-hardlink-on-save): Fix typo in docstring.
	Add :version tag.

	* emacs-lisp/re-builder.el (reb-mode-map): Fix typo in menu tooltip.
	(reb-mode): Define with `define-derived-mode'.

2008-11-29  Karl Fogel  <kfogel@red-bean.com>

	* files.el (break-hardlink-on-save): New variable.
	(basic-save-buffer-2): Honor new variable break-hardlink-on-save.
	(file-precious-flag): Mention it in doc string.

2008-11-29  Miles Bader  <miles@gnu.org>

	* minibuffer.el (minibuffer-confirm-exit-commands): New variable.
	(minibuffer-complete-and-exit): Use it.

2008-11-29  Chong Yidong  <cyd@stupidchicken.com>

	* term/x-win.el (x-gtk-stock-cache): New hash table.
	(x-gtk-map-stock): Perform caching to prevent excess consing
	during redisplay.

2008-11-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion--try-word-completion): Don't ignore
	partial-completion if it's the only style.

2008-11-28  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/re-builder.el (reb-auto-update): Remove redundant code.
	(re-builder): Reuse window displaying the *RE-Builder* buffer, if any.
	(reb-initialize-buffer): Update matches, in case we're reentering
	RE Builder mode.

2008-11-28  Chong Yidong  <cyd@stupidchicken.com>

	* complete.el (PC-do-complete-and-exit): Synch to 2008-11-24 change
	to minibuffer.el; recognize `confirm' and `confirm-after-completion'
	values for minibuffer-completion-confirm.

2008-11-28  Martin Rudalics  <rudalics@gmx.at>

	* emacs-lisp/eldoc.el (eldoc-docstring-first-line): Don't match
	any but the first "*" in a doc-string.

2008-11-28  Glenn Morris  <rgm@gnu.org>

	* format.el (format-write-file): Improve previous doc fix.

2008-11-27  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (use-empty-active-region, use-region-p)
	(region-active-p): Doc fix.

2008-11-27  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer): Fix handling of not-this-window
	argument.  (Bug#1415)

2008-11-27  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Set category 'C' to characters
	#x20000..#x2AFFF, #x2F800..#x2FFFF.

	* loadup.el: Set inhibit-load-charset-map to t while preloading
	files.

2008-11-27  Chong Yidong  <cyd@stupidchicken.com>

	* tool-bar.el (tool-bar-find-image-cache): Var deleted.
	(tool-bar-find-image): Function deleted.
	(tool-bar-local-item, tool-bar-local-item-from-menu): Use
	find-image instead of tool-bar-find-image.
	(tool-bar-keymap-cache): New hash table.
	(tool-bar-make-keymap): Use it.
	(tool-bar-make-keymap-1): Move body of tool-bar-make-keymap here.

2008-11-26  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-handle-event): The result of a message call
	handler can also be an object, which is not a consp.

2008-11-25  Alan Mackenzie  <acm@muc.de>

	* emacs-lisp/lisp.el (forward-sexp, backward-sexp, mark-sexp)
	(forward-list, backward-list, down-list, backward-up-list)
	(up-list, kill-sexp, backward-kill-sexp, kill-backward-up-list)
	(insert-pair, insert-parentheses): State that the command assumes
	that point is not in a string or comment.

2008-11-26  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-string-to-byte-array)
	(dbus-byte-array-to-string, dbus-escape-as-identifier)
	(dbus-unescape-from-identifier): New defuns.
	(dbus-handle-event): The result of a message call is a list of
	arguments, which must be expanded when passing to
	`dbus-method-return-internal'.

	* net/tramp.el (tramp-handle-write-region): Improve the check for
	calling direct copy.
	(tramp-find-inline-encoding): Don't raise an error but a warning,
	when no inline encoding is found.
	(tramp-get-remote-coding): Check for a symbol.  The negative check
	for a string fails, when there is an empty string.

2008-11-26  Glenn Morris  <rgm@gnu.org>

	* vc-git.el (vc-git-diff-switches): New option.
	(vc-git-diff): Apply diff switches.  (Bug#1386)
	Give it a basic doc string.

	* term/pc-win.el (x-font-family-list): Replace redefinition with
	ifdef in src/xfaces.c, since it confuses make-docfile.  (Bug#1383)

2008-11-26  Vincent Belaïche  <vincent.b.1@hotmail.fr>

	* calc/calc-alg.el (calcFunc-collect): Normalize the coefficients
	of the polynomial rather than the whole polynomial.

2008-11-25  Chong Yidong  <cyd@stupidchicken.com>

	* mail/mailabbrev.el (define-mail-abbrev): When reading from
	mailrc, recognize string quoting.  When reading from Lisp, accept
	rfc822-like addresses.

	* mail/mailalias.el (define-mail-alias): Sync code with
	define-mail-abbrev.

2008-11-25  Glenn Morris  <rgm@gnu.org>

	* eshell/esh-proc.el (eshell-gather-process-output):
	Revert previous change.  (re-opens Bug#1388)

	* select.el (x-set-cut-buffer): Fix signal arguments.

	* speedbar.el (speedbar-restricted-move): Fix signal arguments.

2008-11-25  Juanma Barranquero  <lekktu@gmail.com>

	* play/bubbles.el (bubbles-mode): Define with `define-derived-mode'.
	(bubbles-shift-mode, bubbles--update-score): Fix typos in docstrings.
	(bubbles--empty-char): Use "\s".

2008-11-25  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-settings-file, calc-language-alist)
	(calc-embedded-announce-formula)
	(calc-embedded-announce-formula-alist)
	(calc-embedded-open-formula, calc-embedded-close-formula)
	(calc-embedded-open-close-formula-alist)
	(calc-embedded-word-regexp-alist, calc-embedded-open-plain)
	(calc-embedded-close-plain, calc-embedded-open-close-plain-alist)
	(calc-embedded-open-new-formula, calc-embedded-close-new-formula)
	(calc-embedded-open-close-new-formula-alist)
	(calc-embedded-open-mode, calc-embedded-close-mode)
	(calc-embedded-open-close-mode-alist, calc-gnuplot-name)
	(calc-gnuplot-plot-command, calc-gnuplot-print-command)
	(calc-multiplication-has-precedence): Remove unnecessary asterisks
	from docstrings.

2008-11-25  Juanma Barranquero  <lekktu@gmail.com>

	* calculator.el (calculator-op-or-exp): Reflow docstring.
	(calculator-remove-zeros, calculator-repR, calculator-repL):
	Fix typos in docstrings.

2008-11-24  Chong Yidong  <cyd@stupidchicken.com>

	* log-view.el (log-view-annotate-version): Let vc-annotate manage
	windows instead of calling switch-to-buffer.

	* diff.el (diff-sentinel): Take note of diff error return value.

2008-11-24  Martin Rudalics  <rudalics@gmx.at>

	* calendar/appt.el (appt-disp-window): Do a set-buffer when the
	frame can't be split.

2008-11-24  Ulf Jasper  <ulf@web.de>

	* net/newst-treeview.el (newsticker--treeview-current-feed): Doc
	string.
	(newsticker--treeview-item-show): Renamed arg FEED to
	FEED-NAME-SYMBOL.
	(newsticker--treeview-tree-update-tag): Removed dead code.
	(newsticker-treeview-update): Don't update cache.
	(newsticker-treeview-quit): Don't save cache.
	(newsticker-treeview-save): Don't save cache. Use `newsticker-dir'.
	(newsticker-treeview-save): Use `newsticker-dir'.
	(newsticker--treeview-load): Use `newsticker-dir'.
	(newsticker--treeview-mark-item): Call `newsticker--cache-save-feed'.
	Update tags.
	(newsticker-treeview-tree-do-click): Slightly simplified.

	* net/newst-backend.el (newsticker-dir): New.
	(newsticker-start): Use `newsticker--cache-read'.
	(newsticker-stop): Use `newsticker--cache-save'.
	(newsticker--sentinel-work): Use `newsticker--cache-save-feed'.
	(newsticker--images-dir): New.
	(newsticker--image-get, newsticker--image-sentinel): Use
	`newsticker--images-dir'.
	(newsticker--cache-save-version1): Backuped version of
	`newsticker--cache-save'.
	(newsticker--cache-update): Create newsticker-dir if necessary.
	(newsticker--cache-dir): New.
	(newsticker--cache-save): Save feeds separately in `newsticker-dir'.
	(newsticker--cache-save-feed): New.
	(newsticker--cache-read-version1): New. Backuped version for reading
	cache data..
	(newsticker--cache-read, newsticker--cache-do-read): New.

	* net/newst-reader.el (newsticker--image-read): Use
	`newsticker--images-dir'.

2008-11-24  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (confirm-nonexistent-file-or-buffer): Allow
	`after-completion' value to request confirm only after TAB.
	(confirm-nonexistent-file-or-buffer): New function.
	(read-buffer-to-switch, find-file, find-file-other-window)
	(find-file-other-frame, find-file-read-only)
	(find-file-read-only-other-window)
	(find-file-read-only-other-frame): Use it.
	(switch-to-buffer-other-window, switch-to-buffer-other-frame): Doc
	fix.
	Thanks to Alan Mackenzie for suggesting the new behavior.

	* minibuffer.el (minibuffer-complete-and-exit): Change
	`confirm-only' value of minibuffer-completion-confirm to
	`confirm', and handle a `confirm-after-completion' value.

2008-11-24  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/elp.el (elp-instrument-list): Fix 2nd arg of `signal'.

2008-11-24  Andreas Schwab  <schwab@suse.de>

	* image.el (image-type-header-regexps): Recognize more xbm format
	variants.

2008-11-24  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/artist.el (artist-charlist-to-string): Simplify.
	(artist-mode-name, artist-mt, artist-vaporize-fuzziness)
	(artist-prev-next-op-alist, artist-mode-line-show-curr-operation)
	(artist-replace-string, artist-draw-rect, artist-draw-line)
	(artist-undraw-line, artist-draw-sline, artist-undraw-rect)
	(artist-rect-corners-squarify, artist-undraw-square, artist-fill-square)
	(artist-pen, artist-pen-line, artist-text-insert-common)
	(artist-text-overwrite, artist-spray-get-interval)
	(artist-spray-clear-circle, artist-erase-char)
	(artist-ellipse-generate-quadrant, artist-copy-square, artist-paste)
	(artist-flood-fill, artist-key-draw-continously, artist-key-draw-poly)
	(artist-key-draw-1point, artist-key-draw-2points)
	(artist-mouse-draw-continously): Fix typos in docstrings.
	(artist-aspect-ratio, artist-mode, artist-go-get-symbol-shift)
	(artist-go-get-symbol-shift-sub, artist-previous-line, artist-next-line)
	(artist-backward-char, artist-forward-char): Doc fixes.
	(artist-vaporize-line, artist-spray-chars, artist-spray-new-char):
	Reflow docstrings.

2008-11-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/quail.el (quail-vunion): New function.
	(quail-defrule-internal): Use it to prevent accumulating redundant
	alternatives when `append' is set.
	(quail-insert-decode-map): Simplify computation of the max-key-width.
	Compute it right for multiple-list.

2008-11-24  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/elp.el (elp-instrument-list): Check argument type
	explicitly.  Doc fix.

2008-11-24  Martin Rudalics  <rudalics@gmx.at>

	* calendar/appt.el (appt-disp-window): Move minibuffer check
	after binding this-window and do not set-buffer to make sure we
	won't deselect the minibuffer.  (Bug#1413)

2008-11-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-program): Remove.
	(vc-hg-state, vc-hg-working-revision, vc-hg-command):
	Undo previous change.

2008-11-23  Martin Rudalics  <rudalics@gmx.at>

	* info-look.el (info-lookup): When Info buffer is visible on
	another frame, raise that frame.

2008-11-23  Juanma Barranquero  <lekktu@gmail.com>

	* allout.el (allout-mode): Fix typo in docstring.

	* vc-annotate.el (vc-annotate-warp-revision): Reflow docstring.
	(vc-annotate-very-old-color, vc-annotate-display): Fix docstring typos.

2008-11-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-follow-link): Complete last change.

2008-11-23  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/remember.el (remember-region): Doc fix.
	(remember-filter-functions, remember-handler-functions)
	(remember-save-after-remembering, remember-mailbox)
	(remember-default-priority, remember-data-file, remember-leader-text)
	(remember-diary-file): Remove * from defcustom docstrings.
	(remember-run-all-annotation-functions-flag)
	(remember-all-handler-functions): Reflow docstrings.
	(remember-store-in-mailbox): Fix typo in docstring.
	(remember-mode): Define with `define-derived-mode'.  Doc fix.

2008-11-23  Glenn Morris  <rgm@gnu.org>

	* eshell/esh-cmd.el (eshell-in-pipeline-p): Add doc-string.
	(eshell-do-pipelines): Add optional argument to distinguish recursive
	calls.  Use to set eshell-in-pipeline-p to 'first for the first command
	in a pipeline.

	* eshell/esh-proc.el (eshell-gather-process-output):
	Set process-connection-type nil for all but the first element of a
	pipeline.  (Bug#1388)

2008-11-22  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff-hook.el: Add tooltips to Emacs menus.

	* ediff.el: Change date of last update.

2008-11-22  Juri Linkov  <juri@jurta.org>

	* dired-aux.el (dired-isearch-filenames): Add new context-dependent
	option `dwim'.  Change non-dwim option from `dired-filename' to `t'.
	Doc fix.
	(dired-isearch-filenames-setup): Run filename Isearch only when
	dired-isearch-filenames is t or dired-isearch-filenames is `dwim'
	and the text property `dired-filename' at point is non-nil.
	In this case also set isearch-message-prefix-add to "filename ".
	(dired-isearch-filenames-end): Set isearch-message-prefix-add to nil.
	(dired-isearch-filenames, dired-isearch-filenames-regexp):
	Don't let-bind isearch-message-prefix-add since this is done now
	in dired-isearch-filenames-setup.

	* isearch.el (isearch-mode): Change the order of calling
	`isearch-update' and running the `isearch-mode-hook' to call
	`isearch-update' with Isearch parameters set in this hook.

	* progmodes/compile.el (compilation-auto-jump-to-first-error):
	Fix docstring - change "during `compile'" to "during compilation".

	* descr-text.el (describe-char-unidata-list): Move `old-name' to
	be immediately after `name'.

	* startup.el (initial-buffer-choice): Change an abstract file name
	"file.txt" to more reasonable default file name value "~/.emacs".

2008-11-22  Juri Linkov  <juri@jurta.org>

	* files.el (hack-local-variables-confirm): Rename arg `project' to
	`dir-name'.  Move `(or dir-name name)' to let-binding of `name'.
	(hack-local-variables-filter): Rename arg `project' to `dir-name'.
	(hack-local-variables): Rename call of `hack-project-variables' to
	`hack-dir-local-variables'.  Change error text to "Directory-local
	variables error".
	(dir-locals-class-alist): Rename from `project-class-alist'.
	(dir-locals-directory-alist): Rename from `project-directory-alist'.
	(dir-locals-get-class-variables): Rename from `project-get-alist'.
	(dir-locals-collect-mode-variables): Rename from
	`project-collect-bindings-from-alist'.  Rename arg `mode-alist' to
	`mode-variables', and arg `settings' to `variables'.
	(dir-locals-collect-variables): Rename from
	`project-collect-binding-list'.  Rename arg `binding-list' to
	`class-variables', and arg `settings' to `variables'.
	(dir-locals-set-directory-class): Rename from `set-directory-project'.
	(dir-locals-set-class-variables): Rename from `define-project-bindings'.
	Rename arg `settings' to `variables'.
	(dir-locals-file): New defconst.
	(dir-locals-find-file): Rename from `project-find-settings-file'.
	Use `dir-locals-file'.  Rename let-bound `settings' to `locals-file',
	and `pda' to `dir-elt'.
	(dir-locals-read-from-file): Rename from
	`project-define-from-project-file'.  Rename arg `settings-file'
	to `file'.  Rename let-bound `list' to `variables'.
	(hack-dir-local-variables): Rename from `hack-project-variables'.
	Rename let-bound `settings' to `variables-file', `root-dir'
	to `dir-name', and `bindings' to `variables'.

2008-11-22  Lute Kamstra  <lute@gnu.org>

	* simple.el (goto-line): Rename argument.

2008-11-22  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (compile-first): New target.
	(recompile): Depend on compile-first.

	* Makefile.in (recompile): Depend on compile-first.

2008-11-22  Martin Rudalics  <rudalics@gmx.at>

	* files.el (switch-to-buffer-other-window)
	(switch-to-buffer-other-frame): Rename buffer argument to
	buffer-or-name.  Reword and mention new option
	confirm-nonexistent-file-or-buffer in doc-string.

2008-11-22  Michael Kifer  <kifer@cs.stonybrook.edu>

	* viper.el: Date change.

	* viper-cmd.el (viper-envelop-ESC-key):
	viper-translate-all-ESC-keysequences is now a function.

	* viper-init (viper-translate-all-ESC-keysequences): Make this variable.

2008-11-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-follow-link, vc-find-file-hook):
	Use buffer-file-truename to handle symlinks in any part of the filename.

2008-11-22  Glenn Morris  <rgm@gnu.org>

	* vc-mtn.el (vc-mtn-diff-switches): New option.
	(vc-mtn-program): Rename from vc-mtn-command, for
	consistency with other backends.  Keep old name as alias.
	Update callers.  Make it a defcustom.
	(vc-mtn-diff): Give it a doc string.  Apply diff switches.

	* vc-arch.el (vc-arch-program): Rename from vc-arch-command, for
	consistency with other backends.  Keep old name as alias.
	Make it a defcustom.
	(vc-arch-command, vc-arch-trim-revlib): Adapt for above change.

	* vc-hg.el (vc-hg-program): New option.
	(vc-hg-state, vc-hg-working-revision, vc-hg-command):
	Use vc-hg-program rather than hard-coded "hg".

	* vc-svn.el: Remove leading `*' from defcustom doc-strings.
	(vc-svn-program): Move defcustom to start.
	(vc-svn-create-repo, vc-svn-modify-change-comment):
	Use vc-svn-program rather than hard-coded "svn".

	* menu-bar.el: Stylistic consistency fixes for various menu and
	help texts.

	* kmacro.el (kmacro-insert-counter): Doc fix.

2008-11-21  Ivan Shmakov  <oneingray@gmail.com>  (tiny change)

	* progmodes/tcl.el (tcl-filter): Don't forcibly move point.

2008-11-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/quail.el (quail-indent-to): New function.
	(quail-completion-1, quail-completion-list-translations)
	(quail-insert-decode-map): Use it to improve alignment.
	(quail-build-decode-map): Don't ignore latin-1 chars.
	(quail-help): Increase the max decode-map size so that even the TeX map
	gets printed.

	* bookmark.el (bookmark-get-bookmark): Add `noerror' arg.
	Signal error for invalid bookmark.
	(bookmark-get-bookmark-record): Undo last change.
	(bookmark-store, bookmark-delete): Use new arg `noerror'.

	* bookmark.el (bookmark-buffer-file-name): Also abbreviate dired-dir.
	Suggested by Toru TSUNEYOSHI.

2008-11-21  Shigeru Fukaya  <shigeru.fukaya@gmail.com>

	* byte-opt.el (byte-compile-butlast): Move up in file.
	(byte-optimize-plus): Don't call
	byte-optimize-delay-constants-math (bug#1334).
	Use byte-optimize-predicate to optimize constants.
	(byte-optimize-minus): Don't call byte-optimize-delay-constants-math.
	Remove zero arguments first
	if possible.  Call byte-optimize-predicate to optimize constants.
	(byte-optimize-multiply): Remove optimizations for arguments of 0
	and 2, which may be inaccurate.  Optimize (* x -1) to (- x).
	Call byte-optimize-predicate.
	(byte-optimize-divide): Leave runtime errors unchanged.
	Optimize (/ x 1) to (+ x 0).  Remove optimizations for arguments of
	0 and 2.0, which may be inaccurate.  Call byte-optimize-predicate.

2008-11-21  Juanma Barranquero  <lekktu@gmail.com>

	* bookmark.el (bookmark-jump-noselect): Add obsolescence
	declaration and remove redundant info from docstring.

	* isearch.el (isearch-search-string): Doc fix.
	(search-exit-option, search-slow-window-lines, search-slow-speed)
	(search-upper-case, search-nonincremental-instead)
	(search-whitespace-regexp, search-ring-max, regexp-search-ring-max)
	(search-ring-update, search-highlight, isearch-lazy-highlight)
	(lazy-highlight-cleanup, lazy-highlight-initial-delay)
	(lazy-highlight-interval): Remove * from defcustom docstrings.
	(isearch-resume-in-command-history, lazy-highlight-max-at-a-time):
	Remove * from defcustom docstrings; fix typos.
	(isearch-push-state-function, isearch-help-for-help-internal)
	(isearch-help-for-help, isearch-describe-bindings)
	(isearch-describe-mode, minibuffer-local-isearch-map, isearch-mode)
	(isearch-pop-fun-state, isearch-search-fun-function)
	(isearch-lazy-highlight-search): Fix typos in docstrings.
	(isearch-yank-internal, isearch-fallback): Reflow docstrings.
	(isearch-forward): Fix typo and reflow docstring.
	(isearch-help-map): Remove unused `i' binding.  Fix typos in docstring.
	(isearch-mode-map): Don't use `let*'.

2008-11-21  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (confirm-nonexistent-file-or-buffer): Change default to nil.

2008-11-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* isearch.el (isearch-search-string): Simplify and convert docstring.

	* buff-menu.el (Buffer-menu-short-ellipsis): Partly undo last change.

2008-11-20  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-util.el (set-nested-alist): Doc fix.  Use `when'.
	(lookup-nested-alist): Doc fix.
	(with-coding-priority): Reflow docstring.
	(detect-coding-with-priority): Fix typos in obsolescence declaration.
	(char-displayable-p): Reflow docstring.  Use `when'.

2008-11-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* calendar/cal-menu.el (cal-menu-scroll-menu): Add bindings for
	week forward/backward.

2008-11-20  Juanma Barranquero  <lekktu@gmail.com>

	* ehelp.el (electric-help-map, ehelp-map): Define within defvar.
	(with-electric-help): Fix typo and reflow docstring.

2008-11-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* buff-menu.el (Buffer-menu-short-ellipsis): New constant.
	(Buffer-menu-buffer+size): Use it, fix last change, and simplify.
	(list-buffers-noselect): Don't need to pad.

2008-11-20  Toru TSUNEYOSHI  <t_tuneyosi@hotmail.com>

	* buff-menu.el (Buffer-menu-buffer+size, list-buffers-noselect):
	Pay attention to char widths when computing string sizes.

2008-11-20  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/bytecomp.el (byte-compile-dynamic-docstrings)
	(byte-compile-output-docform): Reflow docstrings.
	(no-byte-compile): Fix typo in docstring.
	(byte-recompile-directory, compile-defun): Doc fixes.
	(emacs-lisp-file-regexp, byte-compile-verbose)
	(byte-compile-compatibility, byte-optimize, byte-compile-delete-errors)
	(byte-compile-dynamic-docstrings, byte-optimize-log)
	(byte-compile-error-on-warn, byte-compile-warnings)
	(byte-compile-generate-call-tree, byte-compile-call-tree-sort):
	Remove * from defcustom docstrings.

2008-11-20  Glenn Morris  <rgm@gnu.org>

	* format.el (format-alist, format-write-file): Doc fix.

	* proced.el (proced-available): New variable.
	(proced-process-attributes): Move availability check from previous
	change from here...
	(proced): ... to here.

	* vc-hg.el (vc-hg-diff-switches): New option.
	(vc-hg-diff): Apply diff switches.  (Bug#1017)

	* calc/calc-units.el (math-additional-units): Doc fix (active voice).

	* progmodes/fortran.el (fortran-mode-map): Add some menu :help.

2008-11-20  Stephen Berman  <Stephen.Berman@gmx.net>

	* files.el (auto-mode-alist): Recognize more OpenOffice.org extensions.

2008-11-19  Juanma Barranquero  <lekktu@gmail.com>

	* calc/calc-units.el (math-units-table): Doc fix.
	(math-standard-units): Fix typo in constant's description.
	(math-additional-units): Fix typo in docstring.

2008-11-19  Ulrich Mueller  <ulm@kph.uni-mainz.de>

	* calc/calc-units.el (math-standard-units): Add eps0,
	permittivity of vacuum.

2008-11-19  Dan Nicolaescu  <dann@ics.uci.edu>

	* files.el (project-settings-file): Remove.
	(project-find-settings-file): Undo previous change that added the
	use of project-settings-file.

2008-11-19  Glenn Morris  <rgm@gnu.org>

	* proced.el (proced, proced-format-time): Doc fixes.
	(proced-process-attributes): Signal an error if unsupported.  (Bug#1314)

2008-11-19  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el (bookmark-jump-noselect): Move the deprecation
	notice into the doc string, following up to revision 1.117.

2008-11-19  Lute Kamstra  <lute@gnu.org>

	* autoinsert.el (auto-insert-alist): Don't use match data.

2008-11-19  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-mode-map): Add some menu :help.

	* autoinsert.el (auto-insert-alist): Update template to FDL 1.3+.

	* emacs-lisp/cl.el (floor*, ceiling*, truncate*, round*, mod*):
	* term/w32-win.el (x-select-font): Declare.

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-map): Fix a/an typo.
	Use the imperative for all help strings.

2008-11-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/ispell.el (ispell-dictionary-base-alist): Adjust to the
	case where the default dictionary is French, Spanish, younameit.

	* window.el (window--frame-usable-p): Consider dedicated windows
	as usable.

	* files.el (confirm-nonexistent-file-or-buffer):
	Rename from find-file-confirm-nonexistent-file.
	(read-buffer-to-switch): Use it.

2008-11-18  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-temp-file-p): Use `string-match-p'.
	(server-socket-dir): Set to nil if local sockets are unsupported.
	(server-start): Don't try to delete local socket if unsupported.
	(server-kill-new-buffers): Reflow docstring.
	(server-delete-client, server-handle-delete-frame)
	(server-save-buffers-kill-terminal): Doc fixes.
	(server-send-string): Fix typo in docstring.

2008-11-18  Sam Steingold  <sds@gnu.org>

	* progmodes/compile.el (compilation-start-hook): New hook.
	(compilation-start): Run it on the compilation process.

2008-11-18  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-cmds.el (update-leim-list-file): Simplify.
	(prefer-coding-system, find-coding-systems-for-charsets):
	Fix docstring typos.
	(select-safe-coding-system, input-method-exit-on-first-char)
	(language-info-alist, language-info-custom-alist): Reflow docstrings.
	(toggle-input-method, read-multilingual-string): Doc fixes.
	Reflow docstrings.
	(locale-name-match, sort-coding-systems, find-multibyte-characters)
	(read-char-by-name): Use `string-match-p'.
	(get-char-code-property, put-char-code-property)
	(char-code-property-description): Be silent while loading uni-* files.
	(ucs-names): Use `dotimes-with-progress-reporter', because loading
	the Unicode character names is *slow*.

2008-11-17  Chong Yidong  <cyd@stupidchicken.com>

	* wid-edit.el (widget-image-insert): Don't add a mouse-face.

	* cus-edit.el (custom-group-value-create): Don't insert docstring twice.

2008-11-17  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-cmds.el (ucs-completions): Mark as risky.

2008-11-17  Martin Rudalics  <rudalics@gmx.at>

	* help-macro.el (three-step-help): Remove * from defcustom.
	(make-help-screen): Don't iconify selected frame.  (Bug#1322)
	Use when instead of if and cond within condition-case.

	* window.el (quit-window): Bind window to selected window when
	trying to delete it.

2008-11-17  Glenn Morris  <rgm@gnu.org>

	* progmodes/cc-defs.el (c-put-char-property-fun): Add fallback
	definition of 'ignore, rather than nil.  (Bug#1353)

2008-11-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* window.el (window--frame-usable-p): Allow use for soft-dedication.

2008-11-17  Juanma Barranquero  <lekktu@gmail.com>

	* emulation/viper-cmd.el (viper-harness-minor-mode): Fix docstring typo.

	* simple.el (quoted-insert, minibuffer-history-isearch-pop-state, undo)
	(undo-only, rotate-yank-pointer, kill-whole-line, push-mark-command)
	(exchange-point-and-mark, set-goal-column, kill-line, backward-word)
	(kill-word, backward-kill-word, zap-to-char): Doc fixes.
	(shell-command, repeat-complex-command): Reflow docstrings.
	(pop-to-mark-command): Fix typos in docstring.

2008-11-17  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-filter-predicate): Rename from
	`isearch-success-function'.  Rename default value from
	`isearch-success-function-default' to
	`isearch-filter-invisible'.  Doc fix.
	(isearch-filter-invisible): Rename from
	`isearch-success-function-default'.  Doc fix.
	(isearch-search, isearch-lazy-highlight-search):
	Rename `isearch-success-function' to `isearch-filter-predicate'.

	* dired-aux.el (dired-isearch-filter-predicate-orig): Rename from
	`dired-isearch-orig-success-function'.
	(dired-isearch-filenames-toggle, dired-isearch-filenames-setup)
	(dired-isearch-filenames-end): Rename `isearch-success-function' to
	`isearch-filter-predicate'.  Doc fix.
	(dired-isearch-filter-filenames): Rename from
	`dired-isearch-success-function'.

	* info.el (Info-search, Info-mode):
	Rename `isearch-success-function' to `isearch-filter-predicate'.
	(Info-isearch-filter-predicate): Rename from
	`Info-search-success-function'.

	* simple.el (minibuffer-default-add-function): Fix docstring to
	use clear text "default values" instead of obscure references to
	the dynamic variable `minibuffer-default'.

2008-11-16  Glenn Morris  <rgm@gnu.org>

	* term/ns-win.el (ns-extended-platform-support-mode):
	Tweak menu entry from previous change.

	* wid-edit.el (advertised-widget-backward): Remove autoload cookie.

	* cus-edit.el (custom-buffer-create-internal): Always insert the
	in-buffer buttons, regardless of tool-bar.  (Bug#1326)

2008-11-16  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (read-passwd): Use read-event instead of read-char-exclusive.

2008-11-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ielm.el (ielm-eval-input): Fix thinko in last change.

2008-11-16  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (read-passwd): Yank current kill if the user enters C-y.

2008-11-16  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-file-name-as-directory): New defun.
	(tramp-file-name-handler-alist): Handle `file-name-as-directory'.

	* net/tramp-fish.el (tramp-fish-file-name-handler-alist)
	* net/tramp-smb.el (tramp-smb-file-name-handler-alist):
	Handle `file-name-as-directory'.

2008-11-16  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (fancy-startup-text): Give "Emacs tutorial" line the
	usual variable-pitch face.

2008-11-16  Juanma Barranquero  <lekktu@gmail.com>

	* net/ange-ftp.el (ange-ftp-multi-msgs, ange-ftp-good-msgs)
	(ange-ftp-try-passive-mode, ange-ftp-data-buffer-name)
	(ange-ftp-account-hashtable, ange-ftp-ls-cache-lsargs)
	(ange-ftp-ls-cache-file, ange-ftp-ls-cache-res, ange-ftp-get-user)
	(ange-ftp-ftp-name-component, ange-ftp-kill-ftp-process)
	(ange-ftp-quote-string, ange-ftp-process-handle-line)
	(ange-ftp-start-process, ange-ftp-send-cmd, ange-ftp-add-dumb-unix-host)
	(ange-ftp-before-parse-ls-hook, ange-ftp-after-parse-ls-hook)
	(ange-ftp-ls, ange-ftp-add-dl-dir, ange-ftp-get-file-entry)
	(ange-ftp-set-binary-mode, ange-ftp-set-ascii-mode, ange-ftp-get-pwd)
	(ange-ftp-file-name-as-directory-alist, ange-ftp-reread-dir)
	(ange-ftp-vms-filename-regexp, ange-ftp-bs2000-fix-name-regexp-reverse)
	(ange-ftp-bs2000-fix-name-regexp): Fix typos in docstrings.
	(ange-ftp-name-format, ange-ftp-gateway-fatal-msgs)
	(ange-ftp-xfer-size-msgs, ange-ftp-tmp-name-template)
	(ange-ftp-netrc-filename, ange-ftp-disable-netrc-security-check)
	(ange-ftp-default-user, ange-ftp-default-password)
	(ange-ftp-default-account, ange-ftp-netrc-default-password)
	(ange-ftp-netrc-default-account, ange-ftp-dumb-unix-host-regexp)
	(ange-ftp-binary-file-name-regexp, ange-ftp-gateway-host)
	(ange-ftp-gateway-prompt-pattern, ange-ftp-smart-gateway-port)
	(ange-ftp-send-hash, ange-ftp-binary-hash-mark-size)
	(ange-ftp-ascii-hash-mark-size, ange-ftp-process-verbose)
	(ange-ftp-ftp-program-name, ange-ftp-gateway-ftp-program-name)
	(ange-ftp-ftp-program-args, ange-ftp-nslookup-program)
	(ange-ftp-make-backup-files, ange-ftp-retry-time)
	(ange-ftp-bs2000-special-prefix): Remove * from defcustom docstrings.
	(ange-ftp-skip-msgs, ange-ftp-potential-error-msgs)
	(ange-ftp-gateway-tmp-name-template)
	(ange-ftp-generate-anonymous-password, ange-ftp-local-host-regexp)
	(ange-ftp-gateway-program-interactive, ange-ftp-smart-gateway)
	(ange-ftp-raw-login): Remove * from defcustom docstrings; fix typos.
	(ange-ftp-fatal-msgs): Remove * from defcustom docstring; doc fix.
	(ange-ftp-gateway-program): Remove * from docstring and reflow.
	(ange-ftp-hash-entry-exists-p, ange-ftp-hash-table-keys)
	(ange-ftp-raw-send-cmd, ange-ftp-get-files, ange-ftp-canonize-filename)
	(ange-ftp-file-name-as-directory, ange-ftp-directory-file-name):
	(ange-ftp-copy-files-async, ange-ftp-rename-remote-to-remote):
	(ange-ftp-rename-local-to-remote): Doc fixes.
	(ange-ftp-set-xfer-size, ange-ftp-call-cont, ange-ftp-process-filter):
	Use `when', `unless'.
	(ange-ftp-set-passwd): Rename arg PASSWD to PASSWORD.
	(ange-ftp-process-handle-hash): Rename arg STR to STRING.
	(ange-ftp-nslookup-host): Rename arg HOST to HOSTNAME.
	(ange-ftp-smart-login): Rename arg PASS to PASSWORD.
	(ange-ftp-normal-login): Rename arg PASS to PASSWORD.  Fix typo.
	(ange-ftp-process-sentinel): Use `when'.  Fix typo.
	(ange-ftp-gwp-start): Use `let', not `let*'; use `when'.  Fix typo.
	(ange-ftp-fix-name-func-alist, ange-ftp-fix-dir-name-func-alist)
	(ange-ftp-parse-list-func-alist, ange-ftp-add-file-entry-alist)
	(ange-ftp-delete-file-entry-alist): Fix typos and reflow docstring.
	(ange-ftp-dumb-unix-host, ange-ftp-binary-file)
	(ange-ftp-directory-files, ange-ftp-file-modtime, ange-ftp-vms-host)
	(ange-ftp-mts-host, ange-ftp-cms-host, ange-ftp-bs2000-host)
	(ange-ftp-bs2000-posix-host): Use `string-match-p' instead of
	`(save-match-data (string-match ...))'.
	(ange-ftp-use-gateway-p, ange-ftp-use-smart-gateway-p)
	(ange-ftp-file-name-directory, ange-ftp-file-name-nondirectory):
	Use `string-match-p' instead of `(save-match-data (string-match ...))'.
	Doc fixes.

2008-11-16  Michael Kifer  <kifer@cs.stonybrook.edu>

	* emulation/viper-init.el (viper-ESC-keyseq-timeout): Make it into a
	function instead of a variable.

	* emulation/viper-util.el (viper-fast-keysequence-p): Change to use
	viper-ESC-keyseq-timeout as a function.
	(viper-get-saved-cursor-color-in-replace-mode): Use defun instead of
	defsubst.

	* emulation/viper-cmd.el: Let line-move-visual to nil when using
	next-line or previous-line.
	(viper-R-state-post-command-sentinel): Use defun instead of defsubst.

	* emulation/viper-keym.el (viper-ESC-key): Use (kbd "ESC").

	* ediff-util.el (ediff-toggle-multiframe): Check if control window is
	live.
	(ediff-save-buffer): Let window-min-height to 2.

	* ediff-wind.el (ediff-setup-windows-plain-compare): Avoid selecting
	the minibuffer.

2008-11-16  Juanma Barranquero  <lekktu@gmail.com>

	* ielm.el (ielm-noisy, ielm-dynamic-return, ielm-mode-hook)
	(ielm-dynamic-multiline-inputs): Remove * from defcustom docstrings.
	(ielm-prompt-read-only, ielm-font-lock-keywords): Fix docstring typos.
	(ielm-map): Define within defvar.  Add docstring.
	(ielm-tab, ielm-eval-input, ielm-get-old-input, ielm-return)
	(ielm-complete-filename): Use `when', `unless'.
	(ielm-is-whitespace-or-comment): Use `string-match-p'.
	(ielm-return, ielm-get-old-input): Use `looking-at-p'.
	(ielm-change-working-buffer): Check that the buffer is live.
	(inferior-emacs-lisp-mode): Define with `define-derived-mode'.
	Simplify.  Reflow docstring.
	(inferior-emacs-lisp-mode-hook, inferior-emacs-lisp-mode-map):
	New aliases, to satisfy `define-derived-mode' expectations.

2008-11-15  Glenn Morris  <rgm@gnu.org>
            Martin Rudalics  <rudalics@gmx.at>

	* emacs-lisp/find-func.el (find-function-advised-original): New.
	(find-function-C-source, find-function-noselect):
	Use find-function-advised-original to handle advised funcs.  (Bug#789)

2008-11-15  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/find-func.el (find-function-noselect): Add missing "is" in
	alias message.

	* uniquify.el (uniquify-maybe-rerationalize-w/o-cb):
	Remove uniquify-after-kill-buffer-p dependency.
	(uniquify-kill-buffer-function): New function.
	(kill-buffer-hook): Use uniquify-kill-buffer-function.  (Bug#1315)

	* term/ns-win.el (ns-do-applescript, ns-popup-font-panel): Declare.
	(ns-show-manual, menu-bar-help-menu): Update for merge of ns-emacs into
	main Emacs manual.

2008-11-15  Martin Rudalics  <rudalics@gmx.at>

	* window.el (quit-window): Restore delete window with second
	arg non-nil behavior as of before 2008-10-30 change.

2008-11-15  Chong Yidong  <cyd@stupidchicken.com>

	* help-fns.el (describe-function-1): Do char-range check for
	self-insert-command.

2008-11-14  Karl Fogel  <kfogel@red-bean.com>

	* files.el (file-precious-flag): Document that this flag is advisory.

2008-11-14  Shigeru Fukaya  <shigeru.fukaya@gmail.com>

	* emacs-lisp/bytecomp.el (byte-compile-associative)
	(byte-compile-minus, byte-compile-quo): If there are more than two
	operands, don't use binary operation code (bug#1334).

2008-11-14  Juanma Barranquero  <lekktu@gmail.com>

	* w32-fns.el (w32-shell-dos-semantics):
	* calendar/diary-lib.el (diary-face-attrs):
	* international/mule-cmds.el (set-default-coding-systems)
	(prefer-coding-system):
	* net/tramp.el (tramp-set-completion-function):
	* progmodes/vhdl-mode.el (vhdl-file-header):
	* term/pc-win.el (msdos-show-help): Fix typos in docstrings.

	* emacs-lisp/authors.el (authors-fixed-entries): Fix typo in value.

	* files.el (enable-local-eval, not-modified, kill-buffer-ask)
	(kill-matching-buffers, save-buffers-kill-emacs)
	(save-buffers-kill-terminal): Fix typos in docstrings.
	(switch-to-buffer-other-window): Reflow docstring.
	(revert-buffer): Doc fix.
	(define-project-bindings): Rename arg LIST to SETTINGS.
	(project-find-settings-file): Use `let', not `let*'.
	Use `when'.

2008-11-13  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (project-settings-file, locate-dominating-file):
	Fix typos in docstrings.
	(find-file-visit-truename): Remove * from defcustom docstring.

2008-11-13  T. V. Raman  <raman@users.sourceforge.net>  (tiny change)

	* files.el (project-settings-file): New variable.
	(project-find-settings-file): Use it, instead of hardcoding
	.dir.settings.el.

2008-11-13  Glenn Morris  <rgm@gnu.org>

	* nxml/nxml-enc.el: Remove some charset code not needed since Emacs 22.

2008-11-13  Henry Weller  <hweller0@gmail.com>  (tiny change)

	* net/mairix.el (mairix-widget-fields-list): Fix bug regarding searching
	in mail bodies.

2008-11-12  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule.el (autoload-coding-system, with-category-table)
	(ctext-non-standard-encodings-alist): Fix typos in docstrings.
	(coding-system-equal, set-buffer-process-coding-system): Doc fixes.
	(set-buffer-file-coding-system, revert-buffer-with-coding-system)
	(set-file-name-coding-system, ctext-pre-write-conversion)
	(auto-coding-functions, find-auto-coding, modify-coding-system-alist):
	Reflow docstrings.
	(charset-list, set-coding-priority): Remove redundant obsolescence info.
	(charset-id, charset-bytes, make-coding-system): Add obsolescence info.
	(char-valid-p): Define with `define-obsolete-function-alias'.

	* textmodes/artist.el (artist-mode): Fix typos in docstring.

2008-11-12  Sam Steingold  <sds@gnu.org>

	* vc-cvs.el (vc-cvs-parse-root): Handle roots without colon
	between hostname and path.

2008-11-11  Juri Linkov  <juri@jurta.org>

	* dired-aux.el (dired-isearch-filenames)
	(dired-isearch-filenames-regexp):
	Let-bind isearch-message-prefix-add to "filename ".

	* isearch.el (isearch-message-prefix-add)
	(isearch-message-suffix-add): New variables.
	(isearch-message-prefix): Show additional text from
	`isearch-message-prefix-add' before "I-search".
	(isearch-message-suffix): Show additional text from
	`isearch-message-suffix-add' at the end.

	* isearch.el (isearch-lazy-highlight-search): Use a loop like in
	`isearch-search'.  Call isearch-success-function to skip matches
	outside the current isearch scope.  Let-bind search-invisible to
	nil to not match invisible text.

	* isearch.el (isearch-query-replace, isearch-highlight-regexp):
	Let-bind `isearch-recursive-edit' to nil to prevent calling
	`exit-recursive-edit' in `isearch-done' that terminates the
	execution of these commands when it is non-nil.  Call
	`exit-recursive-edit' explicitly at the end.
	(isearch-occur): For word search construct the correct regexp
	with word boundaries to proceed with occur.

	* isearch.el (isearch-search-fun): Compare the length of the
	current search string with the length of the string from the
	previous search state to detect the situation when the user
	adds or removes characters in the search string.
	Use word-search-forward-lax and word-search-backward-lax in this
	case, and otherwise word-search-forward and word-search-backward.

2008-11-11  Sam Steingold  <sds@gnu.org>

	* mouse.el (mouse-buffer-menu-mode-groups): Place "Annotate" into
	the "Version Control" group (for C-x v g).

2008-11-11  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-process-filter): Fix typos and reflow docstring.

2008-11-11  Martin Rudalics  <rudalics@gmx.at>

	* mail/footnote.el (footnote-mode): Improve doc-string.
	Suggested by <jidanni@jidanni.org>.  (Bug#1318)

2008-11-11  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (Custom-mode): Set up tool-bar-map unconditionally.

2008-11-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* mail/smtpmail.el (smtpmail-open-stream): Use
	`starttls-any-program-available'.  Auto-load starttls.el for it.

2008-11-08  Chong Yidong  <cyd@stupidchicken.com>

	* dired.el (dired-read-dir-and-switches): Revert to 2007-11-22
	version (bug@1285).

2008-11-08  Eli Zaretskii  <eliz@gnu.org>

	* startup.el (command-line): Ignore init-file-user when checking
	user's home directory on MS-DOS as well.

2008-11-07  Sam Steingold  <sds@gnu.org>

	* progmodes/cc-cmds.el (c-defun-name): Fix CLISP DEFUN handling.

2008-11-07  Juanma Barranquero  <lekktu@gmail.com>

	* frame.el (make-frame-on-display): Use `string-match-p'.

2008-11-07  Glenn Morris  <rgm@gnu.org>

	* progmodes/cc-defs.el (cl-macroexpand-all): Fix declaration.

2008-11-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* emacs-lisp/lisp-mode.el (lisp-mode-variables): Add new argument
	to initialize font-lock keyword case sensitivity.
	(lisp-mode): Use it.

2008-11-06  Glenn Morris  <rgm@gnu.org>

	* eshell/esh-maint.el: Remove unused file.

	* progmodes/cc-defs.el (cl-macroexpand-all): Declare.

	* cus-edit.el (custom-comment-tag): Doc fix.
	(custom-comment, custom-variable-value-create, custom-face):
	Use face names sans -face suffix rather than aliases.

2008-11-05  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-quit): Use `window-full-width-p' to check
	window width.

2008-11-05  Chong Yidong  <cyd@stupidchicken.com>

	* server.el (server-process-filter): Only default to emacsclient's
	terminal in daemon mode.

2008-11-05  Martin Rudalics  <rudalics@gmx.at>

	* window.el (quit-window): Restore prefix argument behavior
	removed in 2008-10-30 change.  (Bug#1308)

2008-11-05  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-mode): Bugfix: Add conversion killing
	function to kill-buffer-hook, not to kill-buffer.
	Reported by Markus Triska <markus.triska@gmx.at>

2008-11-04  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-quit): Make sure that the keypad buffer
	exists before deleting its windows.

2008-11-04  Chong Yidong  <cyd@stupidchicken.com>

	* server.el (server-process-filter): Don't call
	server-create-tty-frame when no tty name is specified.

2008-11-04  Christian Faulhammer  <opfer@gentoo.org>  (tiny change)

	* vc-bzr.el (vc-bzr-dir-extra-headers): New function.

2008-11-04  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-cmds.el (toggle-enable-multibyte-characters)
	(define-char-code-property):
	* textmodes/reftex.el (reftex-index):
	* textmodes/reftex-index.el (reftex-index): Fix typos in docstrings.

2008-11-04  Chong Yidong  <cyd@stupidchicken.com>

	* vc-bzr.el (vc-bzr-dir-printer): Rename from
	vc-bzr-status-printer.

	* startup.el (startup-echo-area-message): Display a different
	message in daemon mode.  Suggested by Stephen Turnbull.

	* frame.el (make-frame-on-display): Ignore DISPLAY argument on
	Windows.

2008-11-04  Juanma Barranquero  <lekktu@gmail.com>

	* dframe.el (dframe-mouse-position-function)
	(dframe-reposition-frame-emacs, dframe-pass-event-to-popup-mode-menu)
	(dframe-mouse-set-point): Fix typos in docstrings.

2008-11-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-headers): Undo previous change.

2008-11-04  Nick Roberts  <nickrob@snap.net.nz>

	* vc-cvs.el (vc-cvs-dir-extra-headers): Add tag name to header.
	* vc-dir.el (vc-dir-headers): Order headers as in PCL-CVS.

2008-11-04  Martin Rudalics  <rudalics@gmx.at>

	* subr.el (looking-back): Fix doc-string typo.

	* electric.el (Electric-pop-up-window): Call window-end with
	UPDATE set to t.

	* window.el (save-selected-window): Make it behave like
	save-selected-window-norecord.
	(save-selected-window-norecord): Remove, since functionality
	fully taken over by save-selected-window.
	(walk-windows, set-window-text-height, fit-window-to-buffer):
	Use save-selected-window instead of save-selected-window-norecord.
	* font-lock.el (lisp-font-lock-keywords-2): Remove entry for
	save-selected-window-norecord.
	* emacs-lisp/lisp-mode.el (save-selected-window): Remove
	indent-function for save-selected-window-norecord.

2008-11-03  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-engine.el (c-forward-label): Fix for QT macros.

2008-11-03  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (looking-back): Doc fix.

	* term/x-win.el (x-initialize-window-system):
	Call x-wm-set-size-hint after initialization.

	* eshell/em-hist.el (eshell-save-history-on-exit): Change default
	to t.

	* emacs-lisp/lisp-mode.el (lisp-mode): Remove bogus change from
	2000-12-08 (bug#1297).

	* font-lock.el (font-lock-keywords-case-fold-search): Doc fix.

2008-11-03  Vincent Belaïche  <vincent.b.1@hotmail.fr>

	* calc/calc-alg.el (calcFunc-collect): Return constant polynomial
	when appropriate.

2008-11-02  Martin Rudalics  <rudalics@gmx.at>

	* window.el (save-selected-window-norecord): New macro.
	(walk-windows): Use save-selected-window-norecord and call
	select-window with NORECORD set.  (Bug#1237)
	(set-window-text-height, fit-window-to-buffer):
	Use save-selected-window-norecord and call select-window with
	NORECORD set.
	* subr.el (with-selected-window): Call set-frame-selected-window
	with new argument NORECORD set.  Update doc-string.
	(with-selected-frame): Call select-frame with new argument
	NORECORD set.  Update doc-string.
	* emacs-lisp/lisp-mode.el (save-selected-window-norecord):
	Put indent-function for save-selected-window-norecord.
	* font-lock.el (lisp-font-lock-keywords-2):
	Add save-selected-window-norecord.

2008-11-01  Juanma Barranquero  <lekktu@gmail.com>

	* cus-edit.el (customize-apropos-options, custom-comment)
	(custom-comment-tag, custom-face-edit-attribute-tag):
	Fix typos in docstrings.
	(custom-buffer-done-kill): Remove * from defcustom docstring.
	(custom-file): Fix typo in doc of defcustom choice.

	* frame.el (display-visual-class): Fix typo in docstring.
	(initial-frame-alist, minibuffer-frame-alist, pop-up-frame-alist)
	(special-display-frame-alist, show-trailing-whitespace)
	(auto-hscroll-mode, blink-cursor-delay, blink-cursor-interval)
	(display-hourglass, hourglass-delay, cursor-in-non-selected-windows):
	Remove * from defcustom docstrings.

	* md4.el (md4-buffer): Fix typo in docstring.
	(md4, md4-64): Doc fixes.
	(md4-pack-int32): Reflow docstring.

	* paths.el (rmail-file-name): Remove * from defcustom docstring.
	(prune-directory-list, gnus-nntp-service): Fix typos in docstrings.

	* rect.el (open-rectangle): Reflow docstring.
	(spaces-string): Fix docstring typo.  Use "?\s" instead of "? ".

	* select.el (x-get-cut-buffer): Fix typo in docstring.

	* timezone.el (timezone-zone-to-minute, timezone-time-from-absolute)
	(timezone-time-zone-from-absolute, timezone-leap-year-p):
	Fix typos in docstrings.

	* emacs-lisp/assoc.el (asort, aelement, aput, aget, amake):
	Fix typos in docstrings.

2008-10-31  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-backend.el (newsticker--cache-update): Fix no-save case.

	* net/newst-treeview.el (newsticker--treeview-list-update-faces)
	(newsticker--treeview-list-update, newsticker--treeview-item-show)
	(newsticker--treeview-tree-update)
	(newsticker--treeview-tree-update-highlight)
	(newsticker-treeview-update)
	(newsticker-treeview-next-item, newsticker-treeview-prev-item)
	(newsticker-treeview-next-new-or-immortal-item)
	(newsticker-treeview-prev-new-or-immortal-item)
	(newsticker-treeview-next-feed, newsticker-treeview-prev-feed)
	(newsticker-treeview-tree-click): Watch for layout changes.
	(newsticker--treeview-set-current-node): Cleanup.
	(newsticker--treeview-restore-layout): Rename from
	newsticker--treeview-restore-buffers.
	(newsticker--treeview-mark-item): Update cache file.

2008-10-31  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar--uid-count): New.
	(icalendar--create-uid): New.  Extracted from
	`icalendar-export-region' and add uid counter.
	(icalendar-export-region): Use `icalendar--create-uid'.

2008-10-31  Juanma Barranquero  <lekktu@gmail.com>

	* tooltip.el (tooltip-frame-parameters): Doc fix.

2008-10-31  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window-body-height, window-current-scroll-bars)
	(walk-windows, get-window-with-predicate, get-buffer-window-list)
	(minibuffer-window-active-p, count-windows)
	(window-safely-shrinkable-p, window--splittable-p)
	(window--try-to-split-window, window--frame-usable-p)
	(window--even-window-heights, window--display-buffer-1)
	(window--display-buffer-2, set-window-text-height)
	(fit-window-to-buffer, shrink-window-if-larger-than-buffer)
	(truncated-partial-width-window-p): Rewrite doc-string.
	(window-fixed-size-p): Simplify code.  Rewrite doc-string.
	(split-window-vertically, split-window-horizontally):
	Rename args, rewrite doc-string, and simplify code.
	(split-window-save-restore-data): Rename args and use
	when instead of if.

2008-10-30  Chong Yidong  <cyd@stupidchicken.com>

	* indent.el (indent-for-tab-command): Use use-region-p.

	* vc.el (vc-revert): Limit the length of the query string.

2008-10-30  Juanma Barranquero  <lekktu@gmail.com>

	* simple.el (idle-update-delay, next-error-highlight)
	(next-error-highlight-no-select, next-error-recenter, next-error-hook)
	(minibuffer-history-case-insensitive-variables, kill-ring-max)
	(kill-read-only-ok, backward-delete-char-untabify-method)
	(kill-whole-line, mark-ring-max, global-mark-ring-max)
	(set-mark-command-repeat-pop, next-line-add-newlines, track-eol)
	(goal-column, line-move-ignore-invisible, fill-prefix)
	(auto-fill-inhibit-regexp, blink-matching-paren)
	(blink-matching-paren-on-screen, blink-matching-paren-distance)
	(blink-matching-delay, blink-matching-paren-dont-ignore-comments)
	(read-mail-command, mail-user-agent): Remove * in defcustom docstrings.
	(minibuffer-history-isearch-wrap, transient-mark-mode)
	(next-logical-line, auto-fill-mode, line-number-mode)
	(column-number-mode, size-indication-mode, clone-indirect-buffer)
	(normal-erase-is-backspace-mode): Doc fixes.
	(current-kill, transient-mark-mode, toggle-truncate-lines)
	(visible-mode): Reflow docstrings.
	(minibuffer-local-shell-command-map, interprogram-paste-function):
	Fix typos in docstrings.

2008-10-30  Chong Yidong  <cyd@stupidchicken.com>

	* server.el (server-process-filter): In daemon mode, default to
	emacsclient's tty if not opening a new frame and only the
	terminal-frame is available.

2008-10-30  Martin Rudalics  <rudalics@gmx.at>

	* window.el (quit-window): Simplify code.  Say in doc-string
	that it operates on the selected window's buffer.  (Bug#1259)

2008-10-30  Nick Roberts  <nickrob@snap.net.nz>

	* vc-svn.el (vc-svn-diff): If files is nil don't set oldvers to
	nil so that log-view-diff-changeset works.

2008-10-30  Glenn Morris  <rgm@gnu.org>

	* files.el (locate-dominating-stop-dir-regexp): Fix typo.

	* resume.el: Move to obsolete/.
	* Makefile.in (ELCFILES): Update.

2008-10-29  Chong Yidong  <cyd@stupidchicken.com>

	* electric.el (Electric-pop-up-window): Don't shrink the window if
	it's already big enough.

	* minibuffer.el (delete-minibuffer-contents): Delete all
	minibuffer contents instead of just the current field.

	* tmm.el (tmm-get-keymap): Handle case where keyseq cache is omitted.

	* bookmark.el (bookmark-handle-bookmark): Rename from
	bookmark-jump-noselect.
	(bookmark--jump-via, bookmark-insert): Callers changed.
	(bookmark-jump-noselect): Wrapper function for
	bookmark-handle-bookmark.
	(bookmark-get-bookmark-record): Signal error for invalid bookmark.

	* textmodes/ispell.el (ispell-word): Use use-region-p.

2008-10-29  Juanma Barranquero  <lekktu@gmail.com>

	* tooltip.el (tooltip-functions): Rename from `tooltip-hook',
	to follow naming conventions for abnormal hooks.  Doc fix.
	(tooltip-mode, tooltip-timeout): Use it.
	(tooltip-hook): New obsolete alias.
	(tooltip-help-tips): Doc fix.

	* progmodes/gud.el (gud-tooltip-mode): Use `tooltip-functions'.

2008-10-29  Ulrich Mueller  <ulm@gentoo.org>

	* server.el (server-socket-dir): Use TMPDIR (default /tmp) instead
	of hardcoded /tmp.

2008-10-29  Glenn Morris  <rgm@gnu.org>

	* net/xesam.el (dbus-get-unique-name, dbus-debug): Declare.

	* vc-hooks.el (vc-find-root): Remove bogus alias.

2008-10-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/quail.el (quail-show-guidance): Don't create
	a guidance-frame if current buffer is not a minibuffer, since even if
	selected-window is mini-p, the buffer will never be displayed in it, so
	it wil be usable for guidance.

2008-10-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el: Require diff-mode at run-time as well.

2008-10-28  Martin Rudalics  <rudalics@gmx.at>

	* vc-cvs.el (vc-cvs-stay-local): Fix typo in choice.
	* vc-hooks.el (vc-stay-local): Likewise.

2008-10-28  Phil Sung  <psung@mit.edu>

	* follow.el (follow-scroll-down, follow-calc-win-end)
	(follow-estimate-first-window-start): Reduce effective window
	height when header line is present.  (Bug#925)

2008-10-28  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (locate-user-emacs-file): Simplify.  Don't create
	`user-emacs-directory' when Emacs is running in batch mode.

	* startup.el (inhibit-startup-screen): Reflow docstring.
	(user-mail-address, tool-bar-images-pixel-height): Fix docstring typos.

2008-10-27  Kenichi Handa  <handa@m17n.org>

	* descr-text.el (describe-char): Fix terminal case (where font is nil).

2008-10-27  Juanma Barranquero  <lekktu@gmail.com>

	* face-remap.el (text-scale-increase, text-scale-decrease)
	(text-scale-adjust): Remove &optional keyword from the arg list;
	the INC argument is not really optional, if the functions happen
	to be called from elisp.

2008-10-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el: Rename VC methods that were missed when vc-status was
	renamed to vc-dir.
	* vc-svn.el (vc-svn-dir-extra-headers): Rename from
	vc-svn-status-extra-headers.
	* vc-hg.el (vc-hg-dir-printer): Rename from vc-hg-status-printer.
	(vc-hg-dir-extra-header): Rename from vc-hg-status-extra-headers.
	* vc-git.el (vc-git-dir-printer): Rename from vc-dir-status-printer.
	(vc-git-dir-extra-headers): Rename from vc-git-status-extra-headers.
	* vc-dir.el (vc-dir-mode): Use vc-dir-printer instead of
	vc-dir-status-printer.
	(vc-dir-headers): Use `dir-extra-headers' instead of
	`status-extra-headers'.
	(vc-dir-printer): Rename from vc-dir-status-printer.
	(vc-default-dir-extra-headers): Rename from
	vc-default-status-extra-headers.
	* vc-cvs.el (vc-cvs-dir-extra-headers): Rename from
	vc-cvs-status-extra-headers.

	* startup.el (server-name): Pacify byte compiler.
	(command-line): If --daemon=SERVER_NAME was used, set server-name
	before calling server-start.

2008-10-26  Romain Francoise  <romain@orebokech.com>

	* startup.el (command-line): Call daemon-initialized after
	starting the server.

2008-10-26  Kenichi Handa  <handa@m17n.org>

	* help-fns.el (describe-categories): Display the terse legend at
	the head.

	* international/characters.el: Docstrings of categories improved.

2008-10-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-mode): Don't impose ourselves on hippie.

	* faces.el (face-font-family-alternatives): Add "CMU Typewriter Text"
	to the courier family.
	* textmodes/tex-mode.el (tex-verbatim): Don't use "monospace" which is
	usually not serif'd and hence rather unlike verbatim's printed output.

2008-10-25  Chong Yidong  <cyd@stupidchicken.com>

	* vc-cvs.el (vc-cvs-status-extra-headers): Use full directory name
	when reporting the module.

	* vc-dir.el (vc-dir-mode-map): Add follow-link behavior.

	* wid-edit.el (widget-color-complete): Sort completions alphabetically.

2008-10-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (locate-dominating-stop-dir-regexp): New var.
	(locate-dominating-file): Change arg from a regexp to a file name.
	Rewrite using the vc-find-root code to avoid directory-files which is
	too slow.  Obey locate-dominating-stop-dir-regexp.
	Don't pay attention to changes in owner.
	(project-find-settings-file): Adjust call to locate-dominating-file.

	* progmodes/flymake.el (flymake-find-buildfile):
	Adjust call to locate-dominating-file.

	* vc-hooks.el (vc-find-root): Use locate-dominating-file.
	(vc-ignore-dir-regexp): Use locate-dominating-stop-dir-regexp.

2008-10-25  Martin Rudalics  <rudalics@gmx.at>

	* subr.el (with-current-buffer): Rename buffer argument to
	buffer-or-name.
	* window.el (get-buffer-window-list): Rename buffer argument to
	buffer-or-name and make it optional.

2008-10-25  Juanma Barranquero  <lekktu@gmail.com>

	* completion.el (add-completion-to-head, add-completion): Doc fixes.
	(completion-search-next, add-completions-from-file):
	Fix typos in docstrings.

	* filesets.el (filesets-menu-ensure-use-cached)
	(filesets-ingroup-patterns, filesets-filetype-property):
	* tutorial.el (get-lang-string):
	* play/gamegrid.el (gamegrid-score-file-length, gamegrid-add-score):
	Fix typos in docstrings.

	* image-dired.el (image-dired-dired-after-readin-hook): Doc fix.
	(image-dired-line-up-method, image-dired-thumb-size)
	(image-dired-cmd-write-exif-data-options, image-dired-write-tags)
	(image-dired-track-original-file, image-dired-track-thumbnail)
	(image-dired-dired-next-line, image-dired-dired-previous-line)
	(image-dired-write-comments): Reflow docstrings.
	(image-dired-show-all-from-dir-max-files)
	(image-dired-format-properties-string, image-dired-create-thumbs)
	(image-dired-mark-tagged-files, image-dired-gallery-generate):
	Fix typos in docstrings.

	* savehist.el (savehist-save-minibuffer-history, savehist-file)
	(savehist-additional-variables, savehist-ignored-variables)
	(savehist-file-modes, savehist-autosave-interval):
	* startup.el (inhibit-startup-echo-area-message, inhibit-default-init)
	(inhibit-startup-buffer-menu, mail-host-address, user-mail-address)
	(fancy-splash-image):
	* thumbs.el (thumbs-thumbsdir, thumbs-geometry, thumbs-relief)
	(thumbs-conversion-program, thumbs-margin):
	Remove spurious * in docstrings.

2008-10-25  Aaron S. Hawley  <aaronh@garden.org>

	* thingatpt.el (end-of-sexp, beginning-of-sexp)
	(forward-same-syntax): Omit default arguments to char-after and
	char-before.

2008-10-24  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (locate-user-emacs-file): New function.
	(user-emacs-directory): Mention it in docstring.

	* completion.el (save-completions-file-name):
	* filesets.el (filesets-menu-cache-file):
	* image-dired.el (image-dired-dir, image-dired-db-file)
	(image-dired-temp-image-file, image-dired-gallery-dir)
	(image-dired-temp-rotate-image-file):
	* savehist.el (savehist-file):
	* server.el (server-auth-dir):
	* thumbs.el (thumbs-thumbsdir):
	* tutorial.el (tutorial--saved-dir):
	* play/gamegrid.el (gamegrid-user-score-file-directory): Use it.

2008-10-23  Juanma Barranquero  <lekktu@gmail.com>

	* edmacro.el (edmacro-eight-bits, edmacro-mode): Fix docstring typos.
	(edmacro-mismatch, edmacro-sanitize-for-string): Doc fixes.

2008-10-23  Chong Yidong  <cyd@stupidchicken.com>

	* filesets.el: Update author email.
	(filesets-data): Doc fix.

2008-10-23  Jens Petersen  <petersen@redhat.com>  (tiny change)

	* pcmpl-rpm.el (pcomplete/rpm): Make "rpm -qp" use file completion.

2008-10-23  Ulrich Mueller  <ulm@kph.uni-mainz.de>

	* international/mule-cmds.el (describe-language-environment):
	Indent sample text.

2008-10-23  Glenn Morris  <rgm@gnu.org>

	* pcmpl-rpm.el (pcomplete/rpm): Doc fix.

	* emacs-lisp/cl-macs.el (flet): Throw an error when trying to
	byte-compile a redefinition of a function with special byte-compile
	handling.  (Bug#411)

2008-10-22  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Deal with page sizes for label printes.  Suggested by
	Friedrich Delgado Friedrichs <friedel@nomaden.org>.
	(ps-print-version): New version 7.3.3.
	(ps-page-dimensions-database): New page sizes for label printers.
	(ps-n-up-printing): Fix code.

2008-10-22  Chong Yidong  <cyd@stupidchicken.com>

	* frame.el (make-frame-command): Doc fix.  Use display-graphic-p.

	* thingatpt.el (sexp-at-point, symbol-at-point, number-at-point)
	(list-at-point): Add docstrings.

	* dired.el (dired-get-marked-files, dired-map-over-marks): Doc fixes.

	* dired-aux.el (dired-do-create-files): Doc fix.

2008-10-22  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* version.el (emacs-version): Change '*Step' to 'NS' for consistency
	with other documentation.

2008-10-22  Juanma Barranquero  <lekktu@gmail.com>

	* replace.el (how-many): Fix typo in docstring.
	Reported by Leo <sdl.web@gmail.com>.

2008-10-22  Glenn Morris  <rgm@gnu.org>

	* international/mule-cmds.el (universal-coding-system-argument):
	Check for C-g.  (Bug#1205)

2008-10-22  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Don't setup
	find-word-boundary-function-table.
	(next-word-boundary-han, next-word-boundary-kana): Delete them.
	(word-combining-categories, word-separating-categories):
	Adjust to the change of the docstrings.

2008-10-21  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (region-active-p): Doc fix.

2008-10-20  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (apply-partially): Move from here...

	* simple.el (apply-partially): ...to here.

2008-10-20  Andreas Schwab  <schwab@suse.de>

	* subr.el (split-string-and-unquote): Simplify regexp.

2008-10-20  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (top-level): Require `cl' when compiling.

2008-10-20  David Reitter  <david.reitter@gmail.com>

	* info.el (Info-mode): Do not remove an existing header line if
	`Info-use-header-line' is nil.

2008-10-19  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-query-replace, isearch-query-replace-regexp):
	Add arg `delimited' as in `query-replace' for the case when
	isearch-allow-scroll=t and the user types C-u M-%.  Doc fix.
	Add more indicators to the prompt ("word" and "in region").

	* replace.el (query-replace, query-replace-regexp)
	(replace-string, replace-regexp, perform-replace): Add "word"
	indicatiors to the prompt for word delimited replacements.

	* replace.el (read-regexp): Rename arg `default' to `default-value'.
	Doc fix.

2008-10-19  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (apply-partially): Move here from minibuffer.el.  Doc fix.

	* simple.el (minibuffer-default-add-shell-commands): Doc fix.

2008-10-19  Martin Rudalics  <rudalics@gmx.at>

	* window.el (enlarge-window-horizontally, shrink-window-horizontally):
	Make argument names follow Elisp manual.

2008-10-19  Eli Zaretskii  <eliz@gnu.org>

	* textmodes/remember.el (remember-data-file):
	* shadowfile.el (shadow-initialize)
	<shadow-info-file, shadow-todo-file>:
	* savehist.el (savehist-file):
	* recentf.el (recentf-save-file):
	* pcvs-defs.el (cvs-cvsrc-file):
	* international/kkc.el (kkc-init-file-name):
	* ido.el (ido-save-directory-list-file):
	* calendar/todo-mode.el (todo-file-do, todo-file-done)
	(todo-file-top): Run file names that begin with a period thru
	`convert-standard-filename'.

	* dos-fns.el (dos-reevaluate-defcustoms): New function.  Add it to
	before-init-hook.

	Fix Bug #1183:

	* ediff-diff.el (ediff-exec-process): For buffer jobs, bind
	coding-system-for-read to ediff-coding-system-for-write.

	* ediff-util.el (ediff-make-temp-file): Unconditionally bind
	coding-system-for-write to ediff-coding-system-for-write.

	* ediff-init.el (ediff-coding-system-for-read): Doc fix.
	(ediff-coding-system-for-write): Set to emacs-internal.

2008-10-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/mule-conf.el (emacs-internal): New coding system alias.

2008-10-18  Juri Linkov  <juri@jurta.org>

	* info.el (Info-file-supports-index-cookies-list): New variable.
	(Info-file-supports-index-cookies): New function.
	(Info-find-node-2, Info-index-nodes, Info-index-node): Use it.
	(Info-index-nodes): Let-bind Info-point-loc to nil for files
	without an index cookie to ignore it when Info-index-nodes is
	called during navigating from an index node with line numbers.
	(Info-index-node): Set file to Info-current-file if nil.  (Bug#1118)

	* info.el (Info-breadcrumbs-depth): Move defcustom higher to the
	variable definition section.

	* info.el (Info-find-node-2): Put initial point below the header line
	and breadcrumbs line.

2008-10-18  Glenn Morris  <rgm@gnu.org>

	* doc-view.el (doc-view-pdf->txt, doc-view-ps->pdf): Give an error if
	the needed external programs were not found.

2008-10-18  Eli Zaretskii  <eliz@gnu.org>

	* files.el (trash-directory): Run thru `convert-standard-filename'.
	(file-modes-char-to-who, file-modes-char-to-right)
	(file-modes-rights-to-number, file-modes-symbolic-to-number)
	(read-file-modes): Doc fixes.

2008-10-17  Chong Yidong  <cyd@stupidchicken.com>

	* abbrev.el (define-abbrev): Doc fix.

2008-10-17  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-defun-name): Make it work for "struct
	foo bar [] = { ...".

2008-10-17  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (face-spec-set-2): Don't pass invalid attributes to
	set-face-attribute.

2008-10-17  Juanma Barranquero  <lekktu@gmail.com>

	* w32-fns.el (w32-list-locales): Decode output of `w32-get-locale-info'
	according to `locale-coding-system'.  (This fixes trivial bug reported
	as part of bug#1179).
	Sort list of valid locale ids (EnumSystemLocales does not guarantee any
	particular order).  Use `when'.

2008-10-16  Juanma Barranquero  <lekktu@gmail.com>

	* w32-fns.el (w32-check-shell-configuration): Doc fix.
	(w32-add-charset-info): Fix typo in docstring.

2008-10-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* international/mule-conf.el: Removed `utf8' and `UTF8' aliases
	after discussion.

2008-10-16  Magnus Henoch  <mange@freemail.hu>

	* vc-arch.el (vc-arch-dir-status): New function.
	(vc-arch-after-dir-status): New function.

2008-10-16  Glenn Morris  <rgm@gnu.org>

	* man.el (Man-getpage-in-background): Force recent `man's to output
	escape sequences even when stdout is not a tty.  (Bug#1142)

2008-10-15  Teodor Zlatanov  <tzz@lifelogs.com>

	* international/mule-conf.el: Add `utf8' and `UTF8' as
	aliases for the `utf-8' coding system.

2008-10-15  Juanma Barranquero  <lekktu@gmail.com>

	* find-file.el (ff-get-file): Doc fix.
	(ff-get-file-name): Use `let', not `let*'.
	(ff-search-directories): Fix typo in docstring.
	(ff-pre-find-hook, ff-pre-load-hook, ff-post-load-hook)
	(ff-not-found-hook, ff-file-created-hook, ff-case-fold-search)
	(ff-always-in-other-window, ff-ignore-include, ff-always-try-to-create)
	(ff-quiet-mode, ff-other-file-alist, cc-search-directories)
	(cc-other-file-alist, modula2-other-file-alist):
	Remove spurious * in docstrings.

2008-10-14  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (set-face-attribute): Set family and foundry before
	other attributes.
	(face-spec-set-2): Pass unmodified args to set-face-attribute.

2008-10-14  Juanma Barranquero  <lekktu@gmail.com>

	* hl-line.el (hl-line-unload-function): New function.
	(hl-line-unhighlight, global-hl-line-unhighlight): Use `when'.
	(hl-line-sticky-flag): Remove spurious * in docstring.

2008-10-14  Eric Hanchrow  <offby1@blarg.net>  (tiny change)

	* vc-git.el (vc-git-show-log-entry): Include the revision in the
	search string.

2008-10-14  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-process-one-action): Embed regexp in
	parentheses, before adding end-of-buffer construct.  Suggested by
	Markus Triska <markus.triska@gmx.at>.

2008-10-13  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-plainview.el (w3m-toggle-inline-image):
	Define 'declare-function if necessary, for compatibility.

	* net/newst-treeview.el (w3m-toggle-inline-images):
	Define 'declare-function if necessary, for compatibility.

2008-10-13  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-indent-region): Fix previous patch
	so that the function works on one-line macros.

	* progmodes/cc-engine.el: Amend several doc strings and comments.

2008-10-13  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hooks.el (vc-stay-local): Add a new choice and default to it.

	* vc-cvs.el (vc-cvs-dir-stay-local): Remove.
	(vc-cvs-stay-local): Add a new choice and default to it.
	(vc-cvs-dir-status): Use the new vc-stay-local choice.

	* vc-svn.el (vc-svn-dir-status): Use the new vc-stay-local choice.

2008-10-12  Stephen Leake  <stephen_leake@member.fsf.org>

	* progmodes/ada-mode.el (ada-get-indent-end, ada-goto-matching-start):
	Add support for extended return statement.

	* progmodes/ada-xref.el (ada-gnat-parse-gpr): Don't reverse src-dir
	and obj-dir; keep user order.

2008-10-12  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Update.

	* simple.el (shell-delimiter-argument-list, shell-file-name-chars)
	(shell-file-name-quote-list): Declare.

2008-10-12  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-service-emacs, dbus-path-emacs): New defconst.

2008-10-12  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line): If toolbar is disabled but ought to
	be initialized, call tool-bar-setup.

	* tool-bar.el (tool-bar-setup): Variable deleted.
	(tool-bar-setup): Set it up unconditionally.

	* faces.el (x-create-frame-with-faces): Don't call tool-bar-setup.

	* progmodes/grep.el (grep-mode-tool-bar-map): Check if
	tool-bar-map has been initialized before setting it up.

	* progmodes/compile.el (compilation-mode-tool-bar-map): Check if
	tool-bar-map has been initialized before setting it up.

2008-10-11  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/warnings.el (display-warning): Issue a message if
	called during daemon initialization.

	* tool-bar.el (tool-bar-local-item)
	(tool-bar-local-item-from-menu): Put the check for number of
	display colors into the image expression.
	(tool-bar-setup): Don't be a no-op on ttys.

	* info.el (info-tool-bar-map):
	* progmodes/gud.el (gud-tool-bar-map):
	* progmodes/grep.el (grep-mode-tool-bar-map):
	* progmodes/compile.el (compilation-mode-tool-bar-map):
	Initialize it unconditionally.

2008-10-11  Romain Francoise  <romain@orebokech.com>

	* help.el (view-lossage): Fix docstring, lossage is now 300 keys.
	* kmacro.el (kmacro-edit-lossage): Ditto.
	* edmacro.el (edit-kbd-macro): Ditto.

2008-10-11  Ulf Jasper  <ulf@web.de>

	* net/newst-treeview.el (newsticker--treeview-list-sort-by-column):
	Fix variable names.

2008-10-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* startup.el (command-line): Revert 2008-09-26 change, not
	necessary anymore.

2008-10-10  Andreas Schwab  <schwab@suse.de>

	* simple.el (minibuffer-complete-shell-command):
	Bind comint-delimiter-argument-list, comint-file-name-chars and
	comint-file-name-quote-list like shell-mode.

2008-10-10  Martin Rudalics  <rudalics@gmx.at>

	* window.el (pop-to-buffer): Fix misplacement of arg norecord in
	call of select-window.

2008-10-10  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-embedded-word-regexp)
	(calc-embedded-word-regexp-alist): New variables.
	(calc-embedded-open-word, calc-embedded-close-word)
	(calc-embedded-open-close-word-alist): Remove unused variables.

	* calc/calc-embed.el (calc-embedded-make-info):
	Use `calc-embedded-word-regexp' to find words.

2008-10-10  Martin Rudalics  <rudalics@gmx.at>

	* info.el (Info-extract-menu-counting): New argument no-detail to
	skip detailed node listings.
	(Info-forward-node): New argument not-up to inhibit going up.
	(Info-final-node): Call Info-extract-menu-counting and
	Info-forward-node with the new arguments set to avoid infinite
	looping.  (Bug#1116)

2008-10-10  Eli Zaretskii  <eliz@gnu.org>

	* startup.el (command-line): Don't invoke tool-bar-mode if it is
	not fboundp.

2008-10-09  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line): Enable tool-bar-mode as long as it is
	not suppressed by X resources, regardless of the terminal.

	* tool-bar.el (tool-bar-mode): Only change tool-bar-lines on
	graphical terminals.
	(tool-bar-setup): No-op if called on a tty.

2008-10-09  Eli Zaretskii  <eliz@gnu.org>

	* frame.el (make-frame-on-tty): Use "F" inside interactive.
	Support `pc' ``window-system''.

	* progmodes/compile.el (compilation-start): Resurrect the version
	for systems that don't support asynchronous subprocesses.

2008-10-09  Martin Rudalics  <rudalics@gmx.at>

	* window.el (pop-up-frames): Add choice graphic-only.
	(display-buffer): When pop-up-frames equals graphic-only do
	not pop up new frame on text-only terminals.  (Bug#1061)

2008-10-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-cvs.el (vc-cvs-dir-stay-local): New variable.
	(vc-cvs-dir-status): Use it.

2008-10-08  Chong Yidong  <cyd@stupidchicken.com>

	* json.el (json-skip-whitespace): Fix last change.

2008-10-08  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs-unload-function): New function.

2008-10-08  Sven Joachim  <svenjoac@gmx.de>

	* eshell/em-cmpl.el, eshell/em-hist.el, eshell/em-ls.el:
	* eshell/esh-cmd.el, eshell/esh-ext.el, eshell/esh-io.el:
	For clarity, explicitly require cl.

2008-10-08  Michael Olson  <mwolson@gnu.org>

	* ibuffer.el (ibuffer-shrink-to-fit): Force redisplay, so that we
	can avoid a bad interaction with programs that add functions to
	the window-scroll-functions hook.  This fixes Bug #858.

2008-10-07  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line): Use display-warning to warn about an
	init file error.
	(command-line-1): Remove init file error delay.

2008-10-07  Shigeru Fukaya  <shigeru.fukaya@gmail.com>

	* rx-new.el (rx-constituents): Change `anything' to call rx-anything.
	Change `not-wordchar' assignment to "\\W" from "[^[:word:]]".
	(rx-group-if): New function.
	(rx-parent): New variable.
	(rx-and, rx-or): Put shy groups only when necessary.
	(rx-bracket): Remove.
	(rx-anything): New function.
	(rx-any-delete-from-range, rx-any-condense-range)
	(rx-check-any-string): New functions.
	(rx-check-any): Return result as a list.  Don't convert chars to
	strings.  Don't prepend "\\" to "^".  Don't search for close bracket.
	Check char category string.  Call rx-form instead of rx-to-string.
	(rx-any): Rebuid to complete the function.
	(rx-check-not): Fix char category regexp pattern string.
	Call rx-form instead of rx-to-string.
	(rx-not): Call rx-form instead of rx-to-string.  Convert "[^]" to
	"[^^]".  Call regexp-quote for one char string when not called from
	rx-not.  Add "\\w", and toggle to upcase.  Add the case of
	"\\[SCBW]" to toggle.
	(rx-=, rx->=, rx-**, rx-repeat, rx-submatch): Call rx-form
	instead of rx-to-string.
	(rx-kleene): Call rx-form instead of rx-to-string.
	Call rx-group-if to adjust putting of shy groups.
	(rx-atomic-p): Make check more precisely.
	(rx-eval, rx-greedy): Call rx-form instead of rx-to-string.
	(rx-regexp): Call rx-group-if.
	(rx-form): New function.
	(rx-to-string): Call rx-form, rx-group-if.
	Refine definition of NO-GROUP.

2008-10-07  T. V. Raman  <raman@users.sourceforge.net>  (tiny change)

	* json.el (json-advance): Use forward-char.
	(json-skip-whitespace): Use skip-syntax-forward.

2008-10-07  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-indent-line-or-region): Fix so that
	indenting a macro followed by blank lines doesn't backslash the
	following non-blank line into the macro.

2008-10-06  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (before-init-time, after-init-time): Move into emacs.c.
	(command-line): Set after-init-time to nil before initialization.

2008-10-06  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-units.el (math-standard-units): Update the values
	of the units.

2008-10-06  Juanma Barranquero  <lekktu@gmail.com>

	* bookmark.el (bookmark-unload-function): New function.

2008-10-06  Andreas Schwab  <schwab@suse.de>

	* emacs-lisp/syntax.el (syntax-ppss): Doc fix.

2008-10-06  Martin Rudalics  <rudalics@gmx.at>

	* mail/footnote.el: Remove * in defcustom docstrings and tell
	for most options that customizing them doesn't affect buffers
	already displaying footnotes.
	(Footnote-refresh-footnotes, Footnote-renumber-footnotes):
	Fix handling of text properties and identical start/end tags.
	Do not use format when renumbering.
	(Footnote-set-style): Make it work.
	(Footnote-insert-numbered-footnote): Simplify.
	(Footnote-narrow-to-footnotes, Footnote-insert-footnote)
	(Footnote-goto-footnote): Fix handling of empty section tag.
	(Footnote-delete-footnote): Fix handling of identical start/end
	tags, empty section tag, and spaced footnotes.  Do not use
	kill-region.
	(footnote-mode): Make most options buffer-local to avoid that
	customizing messes up handling of footnotes in buffers that
	already display them.

2008-10-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* faces.el (x-create-frame-with-faces): Undo previous change.

	* vc-cvs.el (vc-cvs-after-dir-status): Parse the output for non
	existent files.

2008-10-05  Chong Yidong  <cyd@stupidchicken.com>

	* international/mule-cmds.el (universal-coding-system-argument):
	Handle digit-argument too.

2008-10-05  Mario Lang  <mlang@delysid.org>

	* xml.el (xml-parse-string): Use skip-chars-forward.

2008-10-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-after-dir-status): Parse the output for non
	existent files.
	(vc-bzr-dir-status-files): New function.

2008-10-04  Glenn Morris  <rgm@gnu.org>

	* files.el (make-temp-file): Handle empty `prefix'.  (Bug#1081)

	* vc-svn.el (vc-svn-after-dir-status): Handle `svn status -u' output.
	(vc-svn-dir-status): Respect vc-stay-local-p.  (Bug#1046)

	* vc-cvs.el (vc-cvs-dir-status-heuristic): New function.
	(vc-cvs-dir-status): Respect vc-stay-local-p.  (Bug#1046)

2008-10-04  David J. Biesack  <David.Biesack@sas.com>  (tiny change)

	* progmodes/antlr-mode.el (antlr-font-lock-additional-keywords):
	Fix typo.  (Bug#1074)

2008-10-04  Martin Rudalics  <rudalics@gmx.at>

	* progmodes/compile.el (compilation-start): Make sure to move to
	point-max only when we are in the compilation buffer.  (Bug#1073)

2008-10-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* faces.el (x-create-frame-with-faces): Only setup the toolbar if
	tool-bar-mode is on.

	* vc-svn.el (vc-svn-dir-status-files):
	* vc-cvs.el (vc-cvs-dir-status-files): New function.

2008-10-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-dir-status-files): New function.

2008-10-03  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window--display-buffer-1): Don't care about
	visibility since raise-frame does.

2008-10-03  Mario Lang  <mlang@delysid.org>

	* nxml/xmltok.el (xmltok-forward): Simplify.

2008-10-03  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Update.

	* frame.el (set-default-font): Make obsolete.
	* mouse.el (mouse-set-font): Use set-frame-font.

	* jka-cmpr-hook.el (jka-compr-compression-info-list)
	(jka-compr-mode-alist-additions): Also match `.tbz2'.

	* progmodes/idlwave.el (auto-mode-alist): Remove unnecessary autoload.
	* files.el (auto-mode-alist): Add .PRO as per above autoload.

2008-10-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-mode): Don't create the ewoc header here.
	(vc-dir-refresh): Set it here instead.  (Bug#1067)

2008-10-02  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (inhibit-frame-set-background-mode): New var.
	(frame-set-background-mode): Use it to avoid a loop in
	face-spec-recalc.

2008-10-02  Glenn Morris  <rgm@gnu.org>

	* vc-bzr.el (vc-bzr-diff): Use vc-switches rather than the obsolete
	vc-diff-switches.

2008-10-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: Eliminate whitespace-kill-buffer-hook functionality,
	that is, to take some action when a buffer is killed.  Suggested by
	Stefan Monnier <monnier@iro.umontreal.ca>.  Doc fix.  New version
	11.2.2.
	(whitespace-action): Docstring and :type fix.
	(whitespace-turn-on, whitespace-turn-off, whitespace-warn-read-only):
	Code fix.
	(whitespace-add-local-hook, whitespace-remove-local-hook)
	(whitespace-kill-buffer-hook, whitespace-action): Fun eliminated.

2008-10-01  Magnus Henoch  <mange@freemail.hu>

	* net/tls.el (open-tls-stream): Show the actual command being
	executed, instead of the format string.

2008-10-01  Eli Zaretskii  <eliz@gnu.org>

	* term/internal.el (dos-locale-alist): New alist.
	(dos-codepage-setup): Use it to compute a value of locale with
	which to call set-locale-environment.  Remove code to set
	terminal, keyboard, and file-name encoding (done by
	set-locale-environment).

	* international/mule-cmds.el
	(set-language-environment-nonascii-translation): Fix nonascii
	value for `pc' ``window-system''.
	(set-display-table-and-terminal-coding-system)
	(set-default-coding-systems): Don't special-case `pc'.

2008-10-01  Glenn Morris  <rgm@gnu.org>

	* filesets.el (filesets-menu-name): Fix type.
	(filesets-menu-path, filesets-menu-before): Fix types.
	Change defaults to be consistent with recentf.  (Bug#1056)

2008-09-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term/xterm.el (xterm-turn-on-modify-other-keys)
	(xterm-turn-off-modify-other-keys, xterm-remove-modify-other-keys):
	Don't forget to pass `terminal' to `send-string-to-terminal'.

2008-09-30  Michael Albinus  <michael.albinus@gmx.de>

	* vc-hooks.el (vc-file-clearprops): Revert change from 2008-09-29.
	(vc-file-not-found-hook): Check, that `buffer-file-name' is
	non-nil.  It is not clear, whether this is only fixing symptoms on
	an error.  OTOH, in all other cases, the call of `vc-file-clearprops'
	is embedded by that check.  So it might be TRT.  Suggested by Dan
	Nicolaescu <dann@ics.uci.edu>.

2008-09-30  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.in (ELCFILES): Remove codepage.elc.

	* international/codepage.el: File removed, as even ms-dos doesn't
	need it anymore.

	* loadup.el [ms-dos]: Don't load ccl and codepage.

	* term/internal.el: Remove coding: cookie and no-byte-compile flag.
	(IT-character-translations, cjk-codepages-alist): Remove variables.
	(IT-display-table-setup, dos-cpNNN-setup): Remove functions.
	(IT-unicode-translations): Remove charset and base elements.
	Add translations for Latin-1 characters.
	(IT-setup-unicode-display): Accept a CODING argument.  Don't use
	base and chset elements of IT-unicode-translations.  Don't wrap
	translation in "{...}".  Set up translations only for characters
	for which unencodable-char-position returns non-nil.
	(dos-codepage-setup): Don't use special-case codepages in
	cjk-codepages-alist.

	* files.el (locate-dominating-file): Wrap directory-files with
	condition-case, instead of calling file-directory-p, which stats
	the directory one more time.

	* mail/mail-utils.el (mail-unquote-printable-region):
	Use insert-byte instead of insert-char, when the UNIBYTE arg is
	non-nil.

2008-09-30  Daiki Ueno  <ueno@unixuser.org>

	* epa-file.el (epa-file-insert-file-contents): Fix typo.

2008-09-30  Glenn Morris  <rgm@gnu.org>

	* progmodes/which-func.el (which-func-imenu-joiner-function): Doc fix.

2008-09-30  Daniel Colascione  <danc@merrillpress.com>

	* progmodes/which-func.el (which-func-imenu-joiner-function): New.
	(which-function): Handle nested imenu trees.

	* imenu.el (imenu--split-menu): Fix bug with shared lists that deleted
	some nested menu items.

2008-09-30  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-units.el (math-standard-units): Add entries used to
	display the the values in the units buffer.
	(math-build-units-table): Add entries to the units table to be used
	to display the values in the units buffer.
	(math-build-units-table-buffer): Use the display entry of the units
	table when non-nil.
	(calc-define-unit): Add option to enter display value of unit.

2008-09-29  Michael Albinus  <michael.albinus@gmx.de>

	* vc-hooks.el (vc-file-clearprops): Check, that FILE is a string.

2008-09-29  Eli Zaretskii  <eliz@gnu.org>

	* files.el (locate-dominating-file): Take file-attributes of
	`dir', not of `file' (which never changes).

2008-09-29  Michael Albinus  <michael.albinus@gmx.de>

	* files.el (file-remote-p): Precise doc string; IDENTIFICATION can
	also be `localname'.

	* net/ange-ftp.el (ange-ftp-file-remote-p): Handle `localname' as
	IDENTIFICATION.

2008-09-28  Glenn Morris  <rgm@gnu.org>

	* vc.el (vc-switches): Give it a doc string.

2008-09-28  Romain Francoise  <romain@orebokech.com>

	* comint.el (comint-show-output): Adjust to stickiness changes of
	the output field.

	* startup.el (command-line): Start the daemon server later.

2008-09-28  Martin Rudalics  <rudalics@gmx.at>

	* subr.el (read-quoted-char): Call char-resolve-modifiers
	instead of char-resolve-modifers.

2008-09-27  Glenn Morris  <rgm@gnu.org>

	* play/solitaire.el (solitaire-mode-map): Bind "\r" rather
	than [return].  (Bug#1031)

2008-09-27  Peter Dyballa  <Peter_Dyballa@Freenet.DE>

	* calendar/calendar.el (solar-sunrises-buffer): Fix typo.

2008-09-27  Daiki Ueno  <ueno@unixuser.org>

	* epg.el (epg-wait-for-status): Check if there is no pending status.
	Reported by Ted Romer <ted@romerfamily.com>.

2008-09-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* startup.el (command-line): Turn on menu-bar-mode and
	tool-bar-mode when running as a daemon.

2008-09-26  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in ($(lisp)/progmodes/cc-mode.elc): Remove.
	($(lisp)/progmodes/cc-align.elc, $(lisp)/progmodes/cc-cmds.elc)
	($(lisp)/progmodes/cc-compat.elc, $(lisp)/progmodes/cc-defs.elc)
	($(lisp)/progmodes/cc-engine.elc)
	($(lisp)/progmodes/cc-fonts.elc, $(lisp)/progmodes/cc-langs.elc)
	($(lisp)/progmodes/cc-mode.elc, $(lisp)/progmodes/cc-styles.elc)
	($(lisp)/progmodes/cc-subword.elc)
	($(lisp)/progmodes/cc-vars.elc): New dependencies.

	* Makefile.in ($(lisp)/progmodes/cc-mode.elc): Remove.
	($(lisp)/progmodes/cc-align.elc, $(lisp)/progmodes/cc-cmds.elc)
	($(lisp)/progmodes/cc-compat.elc, $(lisp)/progmodes/cc-defs.elc)
	($(lisp)/progmodes/cc-engine.elc)
	($(lisp)/progmodes/cc-fonts.elc, $(lisp)/progmodes/cc-langs.elc)
	($(lisp)/progmodes/cc-mode.elc, $(lisp)/progmodes/cc-styles.elc)
	($(lisp)/progmodes/cc-subword.elc)
	($(lisp)/progmodes/cc-vars.elc): New dependencies.

2008-09-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* informat.el (Info-split-threshold): New variable.
	(Info-split): Use it.

	* textmodes/texinfmt.el (texinfo-format-buffer):
	Use Info-split-threshold to decide whether to split Info files.

2008-09-25  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/octave-mod.el (octave-mode-menu): Fix incorrect
	quoting.

	* comint.el (comint-dynamic-complete-as-filename): Quote directory
	name when reinserting it.

	* isearch.el (isearch-search-fun): Use word-search-forward-lax and
	word-search-backward-lax for incremental word search.

2008-09-25  Juanma Barranquero  <lekktu@gmail.com>

	* generic-x.el (generic-other-modes): Fix typo in docstring.
	(generic-use-find-file-hook, generic-lines-to-scan)
	(generic-find-file-regexp, generic-ignore-files-regexp)
	(generic-define-mswindows-modes, generic-define-unix-modes):
	Remove `*' from docstring.
	(generic-mode-find-file-hook): Use `string-match-p'.
	(apache-log-generic-mode, mailagent-rules-generic-mode)
	(prototype-generic-mode, pkginfo-generic-mode, javascript-generic-mode)
	(java-manifest-generic-mode, java-properties-generic-mode)
	(alias-generic-mode): Doc fix: use "Generic mode" in docstrings
	for consistency with other modes in generic-x.el.

2008-09-25  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/tex-mode.el (latex-handle-escaped-parens): New variable.
	(latex-backward-sexp-1, latex-forward-sexp-1): Treat escaped
	parens specially only if latex-handle-escaped-parens is non-nil.
	(latex-indent-within-escaped-parens): New option.
	(latex-find-indent): Bind latex-handle-escaped-parens to
	latex-indent-within-escaped-parens.  Do not treat escaped parens
	specially when this is nil.  (Bug#954)

2008-09-25  Glenn Morris  <rgm@gnu.org>

	* ffap.el (ffap-fixup-url): Don't call url-normalize-url.  (Bug#898)

2008-09-25  Chong Yidong  <cyd@stupidchicken.com>

	* vc.el (vc-mark-resolved): Move message here from
	vc-default-mark-resolved.
	(vc-default-mark-resolved): Change to an alias for ignore.

2008-09-24  Andreas Politz  <politza@fh-trier.de>  (tiny change)

	* term.el (term-emulate-terminal): Encode input string before
	checking its length.

2008-09-24  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/sh-script.el (sh-mode-map): Don't assume that skeleton
	is loaded.

	* server.el (server-buffer-done): Avoid changing the buffer when
	deleting the client's frame (bug#640).

	* vc.el (vc-default-mark-resolved): New function.

2008-09-24  Stephen Berman  <stephen.berman@gmx.net>

	* mail/rfc822.el (rfc822-addresses): Prevent rfc822-bad-address
	from raising a wrong-type-argument error.

2008-09-24  Martin Rudalics  <rudalics@gmx.at>

	* help-fns.el (describe-function-1, describe-variable): Print
	relative file name in help buffer.
	* faces.el (describe-face): Print relative file name in help
	buffer.

2008-09-23  Romain Francoise  <romain@orebokech.com>

	* subr.el (with-output-to-string): Make sure that the temporary
	buffer gets killed.

2008-09-23  Markus Sauermann  <markus@sauermann-consulting.de>  (tiny change)

	* emacs-lisp/lisp-mode.el (calculate-lisp-indent): Fix
	indentation problem with keyword symbols when a list starts with
	,@ or spaces.  (Bug#1012)

2008-09-23  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/tex-mode.el (latex-find-indent): Try to handle
	escaped close parens correctly.  (Bug#954)

2008-09-22  Tassilo Horn  <tassilo@member.fsf.org>

	* play/fortune.el (fortune-in-buffer): Fix a bug which forced
	usage of `fortune-file' even though a FILE argument was passed to
	the function.

2008-09-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* startup.el (command-line): Start the server when in daemon mode.
	Remove always true test.

	* frame.el (frame-initialize): Remove spurious setting of
	special-display-function with the default value.

2008-09-20  Vincent Belaïche  <vincent.b.1@hotmail.fr>

	* calc/calc-vec.el (calcFunc-venum): Properly handle intervals.

2008-09-20  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/lisp-mode.el (lisp-indent-offset):
	Fix custom type.  (Bug#1011)

2008-09-20  David De La Harpe Golden  <david@harpegolden.net>

	* files.el (move-file-to-trash): Avoid recursive trashing if
	rename-file calls delete-file.

2008-09-20  Glenn Morris  <rgm@gnu.org>

	* play/fortune.el: Remove leading `*' from defcustom docs.
	(fortune-program-options): Doc fix.  Allow to be a string again.
	Add :version.
	(fortune-in-buffer): Handle fortune-program-options as a string.
	Don't rely on fortune program accepting options after fortune file.

2008-09-20  Justin Bogner  <mail@justinbogner.com>  (tiny change)

	* play/fortune.el (fortune-program-options): Change to a list.
	(fortune-in-buffer): Use apply.

2008-09-20  Ulrich Mueller  <ulm@kph.uni-mainz.de>

	* emacs-lisp/authors.el: Change encoding of file to utf-8.
	(authors-coding-system): Likewise.

2008-09-20  Ami Fischman  <ami@fischman.org>

	* savehist.el (savehist-save): Handle errors in writing as well as
	reading.

2008-09-20  Michael Olson  <mwolson@gnu.org>

	* emacs-lisp/tq.el (tq-create): Disable undo in tq buffer in order
	to provide a minimal performance boost.

2008-09-19  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-grammar-alist, proced-custom-attributes)
	(proced-format-alist, proced-format, proced-filter-alist)
	(proced-filter, proced-sort): Use defcustom.
	(proced-mode): Fix docstring.
	(proced-process-attributes): Handle return value nil of functions
	in proced-custom-attributes.

2008-09-19  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/sgml-mode.el (sgml-tag-syntax-table): Remove prefix
	flag from "'" entry in sgml-tag-syntax-table.  (Bug#946)

2008-09-19  Miles Bader  <miles@gnu.org>

	* comint.el (comint-output-filter): Make field properties for
	output text front-sticky.

2008-09-18  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-show-log-entry):
	* vc-git.el (vc-git-show-log-entry): Deal with a nil argument,
	C-x v l for a directory uses that.

2008-09-18  Simon Josefsson  <simon@josefsson.org>

	* files.el (auto-mode-alist): Use sieve-mode for .sv, .siv, and
	.sieve files.

2008-09-18  Martin Rudalics  <rudalics@gmx.at>

	* help-macro.el (make-help-screen): Preserve key bindings
	established in help-mode call when exiting this macro.

2008-09-17  Kenichi Handa  <handa@m17n.org>

	* language/burmese.el: Fix setting of composition-function-table.

2008-09-17  Martin Rudalics  <rudalics@gmx.at>

	* info.el (Info-follow-nearest-node): Don't raise an error for
	mouse-1 clicks.

2008-09-17  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-units.el (calc-convert-temperature): Use default
	units when appropriate.

2008-09-16  Markus Triska  <markus.triska@gmx.at>

	* textmodes/flyspell.el (flyspell-math-tex-command-p): Always
	catch errors raised in `texmathp'.
	(flyspell-tex-math-initialized): Remove.

2008-09-16  Martin Rudalics  <rudalics@gmx.at>

	* frame.el (select-frame-set-input-focus): With non-nil
	mouse-autoselect-window always move mouse cursor to frame's
	selected window.  Otherwise restore pre 2008-09-13 behavior.
	(select-frame-by-name): Use select-frame-set-input-focus.

	* files.el (switch-to-buffer-other-frame): Don't raise frame since
	pop-to-buffer already does it.
	(display-buffer-other-frame): Fix doc-string.

2008-09-16  Glenn Morris  <rgm@gnu.org>

	* add-log.el (diff-find-source-location): Update declaration.

	* progmodes/make-mode.el (makefile-match-function-end):
	Move point.  (Bug#983)

2008-09-16  Daiki Ueno  <ueno@unixuser.org>

	* epg.el (epg-start-verify): Pass "--verify" to gpgsm.

2008-09-15  Juanma Barranquero  <lekktu@gmail.com>

	* vc-rcs.el (vc-rcs-steal-lock, vc-rcs-checkout): Fix docstring typos.
	(vc-rcs-fetch-master-state, vc-rcs-system-release): Doc fixes.

2008-09-15  Eduard Wiebe  <usenet@pusto.de>  (tiny change)

	* vc-rcs.el (vc-rcs-rollback): Fix typos in docstring.

2008-09-15  Martin Rudalics  <rudalics@gmx.at>

	* files.el (file-truename): Don't raise args-out-of-range error
	when filename has no separator on windows-nt.  (Bug#982)

2008-09-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-find-file-name): Rename `batch' to `noprompt' and
	be more honest when we don't know.
	(diff-tell-file-name): Don't prompt before the actual prompt.
	(diff-mode): Don't prompt in add-log-buffer-file-name-function.
	(diff-find-source-location): Add `noprompt' argument.
	(diff-current-defun): Don't prompt.

2008-09-14  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-mark-face, proced-marked-face)
	(proced-sort-header-face): Remove.
	(proced-font-lock-keywords): Simplify.
	(proced-format): Use face proced-sort-header.
	(proced-format-interactive, proced-sort-interactive)
	(proced-filter-interactive): Only call proced-update if the scheme
	has changed.
	(proced-sort-header): Use posn-actual-col-row.

2008-09-14  Martin Rudalics  <rudalics@gmx.at>

	* add-log.el (change-log-find-window): New variable.
	(change-log-goto-source-1, change-log-goto-source):
	Set change-log-find-window to window displaying source.
	(change-log-next-error): Select window specified by
	change-log-find-window.

2008-09-13  Martin Rudalics  <rudalics@gmx.at>

	* frame.el (select-frame-set-input-focus): With focus follows
	mouse move mouse cursor to right window.
	* window.el (pop-to-buffer): Select window before calling
	select-frame-set-input-focus.

2008-09-12  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-sort-header): New face.
	(proced-sort-header-face): New variable.
	(proced-format): Allow format value nil.
	Use proced-sort-header-face for header of sort column.
	(proced-format-args): New function.
	(proced-grammar-alist, proced-timer-flag, proced-process-alist)
	(proced-header-help-echo, proced-field-help-echo, proced-timer)
	(proced-toggle-timer-flag, proced, proced-mode): Doc fix.
	(proced-refine): Rename from proced-filter-attribute.  Doc fix.
	(proced-sort-header): Bind also to mouse-1.
	(proced-move-to-goal-column): Return position of point.
	(proced-filter-interactive): Always revert listing.
	(proced-format-ttname): Simplify.
	(proced-update): Do not keep undo information.  Put point at
	beginning of buffer if we generate the first listing.

2008-09-12  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-scroll-up-or-next-page)
	(doc-view-scroll-down-or-previous-page): Fix scrolling in case of
	vertically split windows.

2008-09-12  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-mode-map): Don't bind \t and \r.

	* indent.el (indent-line-function): Doc fix.
	* progmodes/sh-script.el (sh-font-lock-open-heredoc): Doc fix.

2008-09-11  Martin Rudalics  <rudalics@gmx.at>

	* window.el (pop-to-buffer): If the window for buffer-or-name is
	not on the selected frame, raise that window's frame and give it
	input focus.  (Bug#745)

2008-09-11  Glenn Morris  <rgm@gnu.org>

	* ido.el (ido-mode): Initialize with custom-initialize-default,
	rather than a set function.  (Bug#947)

2008-09-10  Chong Yidong  <cyd@stupidchicken.com>

	* replace.el (perform-replace): Don't set inhibit-read-only using
	query-replace-skip-read-only (bug#956).

	* edmacro.el (edmacro-parse-keys): Fix last change to omit macros
	of the <<foo>> form.

2008-09-10  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer): Fix doc-string typo.

2008-09-10  Kenichi Handa  <handa@m17n.org>

	* composite.el (compose-gstring-for-graphic): Fix previous change.

2008-09-10  Glenn Morris  <rgm@gnu.org>

	* info.el (Info-try-follow-nearest-node): Fix doc typo.

2008-09-10  Stephen Berman  <stephen.berman@gmx.net>

	* info.el (Info-mouse-follow-nearest-node): Follow links to different
	manuals.  (Bug#886)

2008-09-09  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-unload-function): New function.

2008-09-08  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-file-internal): Fix typo in prompt.
	(ido-merge-ftp-work-directories, ido-max-work-file-list): Doc fixes.
	(ido-max-prospects, ido-max-file-prompt-width, ido-ignore-buffers)
	(ido-enable-prefix, ido-setup-hook, ido-rewrite-file-prompt-functions)
	(ido-magic-forward-char, ido-magic-delete-char, ido-pop-dir):
	Fix typos in docstrings.

2008-09-08  Martin Rudalics  <rudalics@gmx.at>

	* help-fns.el (describe-function-1): Don't print extra newline
	after filling.

2008-09-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* help-fns.el (find-lisp-object-file-name): Handle case where
	library is compressed.

2008-09-07  Chong Yidong  <cyd@stupidchicken.com>

	* complete.el (PC-do-completion): Don't replace buffer
	contents (bug#227).

2008-09-07  Juanma Barranquero  <lekktu@gmail.com>

	* loadhist.el (unload-feature-special-hooks):
	Add `choose-completion-string-functions'.

2008-09-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-svn.el (vc-svn-root):
	* vc-sccs.el (vc-sccs-root):
	* vc-rcs.el (vc-rcs-root):
	* vc-cvs.el (vc-cvs-root): Delete.
	* vc-hooks.el (vc-find-root): Remove `invert' argument.

2008-09-07  Nikolaj Schumacher  <n_schumacher@web.de>  (tiny change)

	* progmodes/flymake.el (flymake-parse-err-lines): Filter out
	errors occurring in different files.

2008-09-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-extra-fileinfo): New defstruct.
	(vc-bzr-status-printer): New function.
	(vc-bzr-after-dir-status): Deal with renamed files.

2008-09-07  Johan Euphrosine  <proppy@aminche.com>  (tiny change)

	* ibuf-ext.el (ibuffer-diff-buffer-with-file-1): Shell quote
	buffer's filename.

2008-09-07  Martin Rudalics  <rudalics@gmx.at>

	* subr.el (cancel-change-group): Widen buffer temporarily when
	undoing changes.  (Bug#810)

2008-09-07  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-stop-subjob): Using jdb, suspend threads
	with gud-stop-subjob rather than exit debugger.

2008-09-07  Kenichi Handa  <handa@m17n.org>

	* composite.el: Compose combining characters only when it
	follows a character matching with "[[:alpha:]]".

2008-09-06  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el: Require time-date.
	(proced-command-alist, proced-command, proced-goal-header-re)
	(proced-sorting-schemes-alist, proced-sorting-scheme)
	(proced-header-alist, proced-sorting-schemes-re)
	(proced-skip-regexp, proced-next-line, proced-previous-line)
	(proced-listing-type, proced-sorting-scheme-p): Remove.
	(proced-grammar-alist, proced-custom-attributes)
	(proced-format-alist, proced-format, proced-filter-alist)
	(proced-filter, proced-sort, proced-goal-attribute)
	(proced-timer-interval, proced-timer-flag, proced-timer)
	(proced-process-alist, proced-sort-internal, proced-process-tree)
	(proced-header-help-echo, proced-field-help-echo): New variables.
	(proced-pid-at-point, proced-timer, proced-mark-process-alist)
	(proced-omit-process, proced-filter, proced-process-tree)
	(proced-filter-children, proced-children-pids)
	(proced-filter-parents, proced-<, proced-string-lessp)
	(proced-time-lessp, proced-xor, proced-sort-p)
	(proced-format-time, proced-format-start, proced-format-ttname)
	(proced-format, proced-process-attributes): New functions.
	(proced-toggle-timer-flag, proced-mark-children)
	(proced-mark-parents, proced-filter-interactive)
	(proced-filter-attribute, proced-sort-interactive)
	(proced-sort-header, proced-format-interactive): New commands.
	(proced-move-to-goal-column): Use goal-column.
	(proced-mode): Use proced-timer.
	(proced-do-mark-all): Display process count.  Use use-region-p.
	Simplify.
	(proced-omit-processes): Use use-region-p.
	(proced-sort-pcpu, proced-sort-pmem, proced-sort-pid)
	(proced-sort-start, proced-sort-time, proced-sort-user):
	Use proced-sort-interactive.
	(proced-sort): Make it a function that performs the actual sort.
	(proced-update): New arg revert.  Use proced-process-alist,
	proced-filter, proced-sort, proced-format, and
	proced-grammar-alist.  Preserve position of point based on fields.
	Make header line and fields clickable.
	(proced-send-signal): Use proced-pid-at-point and proced-process-alist.
	(proced-why): Use save-selected-window.
	(proced-log): Use buffer-read-only.

2008-09-06  Chong Yidong  <cyd@stupidchicken.com>

	* tooltip.el (tooltip-mode): Initialize unconditionally to t.

2008-09-06  Glenn Morris  <rgm@gnu.org>

	* add-log.el (diff-find-source-location): Declare.
	(find-change-log): If called from a diff buffer, try to switch to the
	source buffer (e.g. to respect change-log-default-name there).

	* progmodes/sh-script.el (sh-get-kw): Remove '()' from the list of
	unallowed characters; added 2006-10-10 without comment.  (Bug#753)

	* Makefile.in (ELCFILES): Update.

2008-09-06  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/ispell.el (ispell-command-loop): Suspend ispell if the
	user enters a mouse event in another frame, or a special event.

	* server.el (server-switch-buffer): New arg.
	(server-execute): If reusing an existing window, set file position
	if required.

2008-09-06  Kenichi Handa  <handa@m17n.org>

	* language/lao.el: Fix setting of composition-function-table.

2008-09-06  Eli Zaretskii  <eliz@gnu.org>

	* term/pc-win.el (msdos-show-help): Don't truncate lines while
	displaying help echo messages.

2008-09-06  Martin Rudalics  <rudalics@gmx.at>

	* subr.el (symbol-file): Fix doc-string.

2008-09-06  Glenn Morris  <rgm@gnu.org>

	* help-mode.el (help-xref-forward-stack): Doc fix.

	* add-log.el (change-log-default-name): Autoload safety.

2008-09-05  Wilson Snyder  <wsnyder@wsnyder.org>

	* verilog-mode.el (verilog-library-extensions): Enable .sv
	filename extensions to call verilog-mode.
	(verilog-auto, verilog-auto-inst, verilog-faq)
	(verilog-submit-bug-report): Update author support URLs.
	(verilog-delete-auto, verilog-auto-inout-module)
	(verilog-auto-inout-comp, verilog-auto): Add AUTOINOUTCOMP for
	creating complemented testbench modules.  Suggested by Yishay Belkind.
	(verilog-auto-inst-port, verilog-simplify-range-expression):
	When verilog-auto-inst-param-value is set, don't require a
	AUTO_TEMPLATE to expand parameter substitutions.  Suggested by
	Yishay Belkind.
	(verilog-auto-inst-param-value): Add safe variable.
	(verilog-re-search-forward, verilog-re-search-backward):
	Fix returning wrong search results on Emacs 22.1.
	(verilog-modi-cache-results, verilog-auto): Fix warning message
	about "toggling font-lock-mode."
	(verilog-auto): Fix losing font-lock on errors.
	(verilog-auto-inst-param-value, verilog-mode-version)
	(verilog-mode-version-date, verilog-read-inst-param-value)
	(verilog-auto-inst, verilog-auto-inst-param)
	(verilog-auto-inst-port, verilog-simplify-range-expression):
	Allow parameters to be replaced with their values, on the expansion of
	an AUTOINST with Verilog 2001 style parameter settings.
	Suggested by David Rogoff.

2008-09-05  Michael McNamara  <mac@mail.brushroad.com>

	* verilog-mode.el (verilog-beg-block-re-ordered, verilog-calc-1):
	Better support for the property statement.  Sometimes this keyword
	introduces a statement which requires an endproperty keyword, and
	sometimes it doesn't, depending on the work before the property
	word.  If property is prefixed with assert, assume or cover
	keyword, then the statement is ended with a ';'.  Otherwise,
	property is like task or specify, and is followed by some number
	of statements, which are ended with an endproperty keyword.
	(electric-verilog-tab): Support Emacs 22.2 style handling of tab
	in a highlighted region: indent each line in region according to
	mode.  Supply this so it works in XEmacs and older Emacs.

2008-09-05  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el (whitespace-kill-buffer-hook, whitespace-action):
	Don't clean up a buffer when killing it.

2008-09-05  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: Fix auto-cleanup on kill prevents killing read-only
	buffers (bug#360).  New version 11.2.1.
	(whitespace-action): New value `warn-read-only' to give a warning when
	buffer is read-only and whitespace action is cleanup or auto-cleanup.
	(whitespace-cleanup, whitespace-cleanup-region): Code fix.
	(whitespace-warn-read-only): New fun.

2008-09-05  Chong Yidong  <cyd@stupidchicken.com>

	* international/quail.el: Require help-mode.
	(quail-help-init): Function removed.
	(quail-keyboard-layout-button, quail-keyboard-customize-button):
	Define directly.

	* dired.el (dired-get-filename): Rewrite octal escape character
	processor (bug#885).

2008-09-05  Eli Zaretskii  <eliz@gnu.org>

	* cus-edit.el (custom-button-pressed): Default to inverse-video.

	* term/pc-win.el (msdos-face-setup): Setup faces for all frames,
	not just for terminal-frame.

2008-09-05  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window--try-to-split-window): Don't split when window
	is not splittable in last disjunct.  (Bug#888)

2008-09-05  Kenichi Handa  <handa@m17n.org>

	* language/tibetan.el: Fix setting of composition-function-table.

	* composite.el (find-composition): Mention about the automatic
	composition in the docstring.
	(compose-gstring-for-graphic): Fix handling "above" marks.

	* descr-text.el (describe-char): Fix handling of automatic composition.

2008-09-04  Juanma Barranquero  <lekktu@gmail.com>

	* net/tramp-cache.el (tramp-flush-file-function): Fix docstring typo.
	(tramp-parse-connection-properties): Reflow docstring.

2008-09-04  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-buffer-internal, ido-file-internal): Pass on other-window
	and other-frame methods when switching between file and buffer modes.

2008-09-04  Martin Rudalics  <rudalics@gmx.at>

	* info.el (Info-dir-remove-duplicates): Narrow buffer when
	removing duplicate entries under same heading.  Don't skip char
	matching anything but a space or tab at bol.  (Bug#864)

2008-09-03  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-defs.el (c-version): Increment to 5.31.6.

2008-09-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-pcm--pattern->regex): Undo last change.
	(completion-pcm--all-completions): Move the case-fold-search binding to
	it also applies to completion-regexp-list (used in all-completions).
	(completion-pcm--hilit-commonality): Add missing case-fold-search.

2008-09-03  Martin Rudalics  <rudalics@gmx.at>

	* window.el (pop-up-frame-function): Move ...
	* frame.el (pop-up-frame-function): ... here, to avoid
	"CHANGED outside Customize;".

2008-09-03  Glenn Morris  <rgm@gnu.org>

	* buff-menu.el (buffer-menu-mode-hook): Add obsolete alias.

2008-09-03  Chong Yidong  <cyd@stupidchicken.com>

	* isearch.el (isearch-highlight-regexp): Fix last change, quoting
	non-alphabetical characters properly.

2008-09-02  Dan Nicolaescu  <dann@ics.uci.edu>

	* files.el (auto-mode-alist): Use verilog-mode for SystemVerilog files.

2008-09-02  Martin Rudalics  <rudalics@gmx.at>

	* calc/calc.el (calc-dispatch-map): Fix handling of upcased and
	control-prefixed keys.  (Bug#835)

2008-09-02  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-mode): Fix 2008-07-19 change.

2008-09-02  Juanma Barranquero  <lekktu@gmail.com>

	* tool-bar.el (tool-bar-add-item): Fix typo in docstring.

	* emulation/tpu-edt.el (tpu-kill-buffer): Doc fix.

2008-09-02  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/lucid.el (try-face-font): Remove dead alias.

	* progmodes/cc-langs.el (c-opt-op-identitier-prefix): Fix typo.

2008-09-01  Glenn Morris  <rgm@gnu.org>

	* vc-hooks.el (vc-previous-version): Move alias to vc.el.
	* vc.el (vc-default-previous-version): Move alias here from vc-hooks,
	and fix name typos.  (Bug#856)

2008-09-01  Chong Yidong  <cyd@stupidchicken.com>

	* minibuffer.el (completion-pcm--pattern->regex):
	When completion-ignore-case is non-nil, generate a regexp that
	ignores case.

	* window.el (recenter-top-bottom): Doc fix.

2008-09-01  Simon South  <ssouth@member.fsf.org>

	* progmodes/delphi.el: New maintainer.
	(delphi-interface-types): New var.
	(delphi-composite-types): Use it.
	(delphi-enclosing-indent-of): Distinguish between "interface"
	keyword as a unit separator and used like a class declaration.

2008-09-01  Martin Rudalics  <rudalics@gmx.at>

	* help-fns.el (describe-simplify-lib-file-name)
	(find-source-lisp-file): Remove.
	(find-lisp-object-file-name): New function giving preference to
	files found via load-path instead of loaddefs.el.
	(describe-function-1): Use new function instead of the removed
	ones.  (Bugs #587, #669, #690)
	* faces.el (describe-face): Use find-lisp-object-file-name instead
	of describe-simplify-lib-file-name.

2008-09-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-diag.el (font-show-log): Fix previous change.

	* international/mule-cmds.el (set-language-environment):
	Don't overwrite current-iso639-language if the current language
	environment doesn't provide that data.
	(set-locale-environment): Set current-iso639-language from the
	locale name.

	* international/fontset.el (script-representative-chars): Re-add
	the entry for symbol, but with vector of characters.
	(setup-default-fontset): Cancel previous change.

2008-08-31  Chong Yidong  <cyd@stupidchicken.com>

	* ido.el: Move provide statement to the end of the file.

2008-08-30  Markus Triska  <markus.triska@gmx.at>

	* linum.el (linum-mode): `window-size-change-functions' can now be
	buffer-local.
	(linum-update-window): Use result of `move-overlay'.

2008-08-30  Glenn Morris  <rgm@gnu.org>

	* subr.el (make-variable-frame-local): Tweak obsolescence message.

	* info.el (Info-hide-note-references, Info-refill-paragraphs):
	Doc fixes.

	* apropos.el (apropos-command): Report documentation errors.
	* help-fns.el (describe-function-1): Handle broken aliases.  (Bug#825)

2008-08-29  Chong Yidong  <cyd@stupidchicken.com>

	* isearch.el (isearch-highlight-regexp): Fix case of highlighted
	string.

2008-08-29  Eli Zaretskii  <eliz@gnu.org>

	* bindings.el (mode-line-frame-identification): Fix last change.

2008-08-29  Kenichi Handa  <handa@m17n.org>

	These changes are to adjust the automatic composition for the new
	implementation (avoid using text property).

	* composite.el (composition-function-table): Move declaration to
	composite.c.
	(terminal-composition-base-character-p): Delete it.
	(terminal-composition-function): Delete it.
	(terminal-composition-function-table): Delete it.
	(lgstring-header, lgstring-set-header, lgstring-font)
	(lgstring-char, lgstring-char-len, lgstring-shaped-p)
	(lgstring-set-id, lgstring-glyph, lgstring-glyph-len)
	(lgstring-set-glyph, lglyph-from, lglyph-to, lglyph-char)
	(lglyph-code, lglyph-width, lglyph-lbearing, lglyph-rbearing)
	(lglyph-ascent, lglyph-descent, lglyph-adjustment)
	(lglyph-set-from-to, lglyph-copy, lgstring-insert-glyph)
	(compose-glyph-string, compose-glyph-string-relative)
	(compose-gstring-for-graphic, compose-gstring-for-terminal):
	New functions.
	(auto-compose-chars): Argument changed.

	* language/european.el: Don't setup composition-function-table.
	(diacritic-composition-pattern, diacritic-compose-region)
	(diacritic-compose-string, diacritic-compose-buffer)
	(diacritic-composition-function): Delete them.

	* language/lao-util.el (lao-composition-function): Argument changed.

	* language/sinhala.el: Fix setting up of composition-function-table.

	* language/thai.el: Fix setting up of composition-function-table.

	* language/thai-util.el: Encoding changed to utf-8.
	(thai-composition-function): Argument changed.

	* language/indian.el: Fix setting up of composition-function-table.
	(devanagari-composable-pattern)
	(tamil-composable-pattern, kannada-composable-pattern)
	(malayalam-composable-pattern): New variables.

	* international/characters.el (unicode-category-table):
	Setup unicode-category-table.

	* international/fontset.el (setup-default-fontset): Prepend
	iso10646-1 fonts to the fallback font groups instead of appending.

2008-08-29  Glenn Morris  <rgm@gnu.org>

	* cus-start.el (truncate-partial-width-windows): Changed in 23.1.

2008-08-28  Chong Yidong  <cyd@stupidchicken.com>

	* term/x-win.el (x-win-suspend-error): Don't signal error if there
	are no X frames active.

2008-08-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/xesam.el (xesam-kill-buffer-function): Wrap code by
	`ignore-errors' (the function must succeed always).

2008-08-28  "Edward O'Connor"  <hober0@gmail.com>

	* json.el (json-read-number): New arg.  Handle explicitly signed
	numbers.
	(json-readtable): Add `+' and `.'.

2008-08-28  Eli Zaretskii  <eliz@gnu.org>

	* term/pc-win.el (msdos-previous-message): New variable.
	(msdos-show-help): New function.
	(msdos-initialize-window-system): Set show-help-function to
	msdos-show-help.

2008-04-09  Lennart Borgman  <lennart.borgman@gmail.com>

	* emacs-lisp/debug.el (debug): When killing a noninteractive
	Emacs, give an exit status of -1.

2008-08-28  Chong Yidong  <cyd@stupidchicken.com>

	* vc-hooks.el (vc-workfile-unchanged-p): Revert last change.

2008-08-27  Alex Harsanyi  <harsanyi@mac.com>  (tiny change)

	* vc-hooks.el (vc-workfile-unchanged-p): If the checkout time is
	not the same as the last modification time, fall back on the
	backend-specific check.

2008-08-27  Teodor Zlatanov  <tzz@lifelogs.com>

	* add-log.el (change-log-next-error): Run an extra `pop-to-buffer'
	to go to the position of interest.

2008-08-27  Tomas Abrahamsson  <tab@lysator.liu.se>

	* textmodes/artist.el (artist-mode-init): Add comment on the
	setting up of the `artist-replacement-table' array.
	(artist-get-replacement-char): New defsubst.
	(artist-get-char-at-xy-conv, artist-replace-char)
	(artist-replace-chars, artist-replace-string): Use it instead of
	accessing `artist-replacement-table' directly.
	Reported by Rubén Berenguel <ruben@maia.ub.es>.

	(artist-mt): Fix structures for cut and copy operations.

2008-08-27  Chong Yidong  <cyd@stupidchicken.com>

	* shell.el (shell-file-name-quote-list): Quote `$'.

	* comint.el (comint-dynamic-complete-as-filename): Generalize last
	change to allow quoting of characters before point.
	(comint-dynamic-list-filename-completions): Quote common substring.

2008-08-26  Chong Yidong  <cyd@stupidchicken.com>

	* comint.el (comint-dynamic-complete-as-filename): If case is
	ignored while matching, replace the entire filename with completion.

	* textmodes/flyspell.el (flyspell-check-pre-word-p): Make sure
	flyspell-pre-point is valid to avoid signalling an error in
	post-command-hook.

2008-08-26  Johan Bockgård  <bojohan@gnu.org>

	* linum.el (linum): Inherit remaining face attributes from default
	face.

2008-08-26  Markus Triska  <markus.triska@gmx.at>

	* linum.el (linum-delay): Disable - it should no longer be
	necessary, and can lead to longer delays.
	(linum-update-window): Renumber if margin width has changed.

2008-08-26  Daiki Ueno  <ueno@unixuser.org>

	* epa.el (epa--key-widget-action): Save the selected window to
	make `widget-button-click-moves-point' work.  (Bug#733).

2008-08-26  Glenn Morris  <rgm@gnu.org>

	* calendar/holidays.el (calendar-holidays): Doc fix.

	* progmodes/gud.el (tramp-file-name-localname)
	(tramp-dissect-file-name): Declare.

	* term/pc-win.el (msdos-setup-keyboard): Fix declaration.

2008-08-25  Eli Zaretskii  <eliz@gnu.org>

	* bindings.el (mode-line-frame-control): New function, caters to
	`pc' ``window system''.
	(mode-line-frame-identification): Use it instead of accessing
	window-system directly.

2008-08-25  Juri Linkov  <juri@jurta.org>

	* textmodes/text-mode.el (text-mode-map): Unbind "\es" from
	`center-line' and "\eS" from `center-paragraph'.
	(facemenu-keymap): Bind "\es" to `center-line' and "\eS" to
	`center-paragraph'.

2008-08-25  Ulf Jasper  <ulf@web.de>

	* net/newst-treeview.el (newsticker-treeview-own-frame): Doc fixed.
	(newsticker-treeview-treewindow-width): New.
	(newsticker-treeview-listwindow-height): New.
	(newsticker-treeview-browse-url-item): New.
	(newsticker-treeview-mode-map):
	Add newsticker-treeview-browse-url-item.
	(newsticker--treeview-window-init):
	Use newsticker-treeview-treewindow-width and
	newsticker-treeview-listwindow-height.

	* net/newst-reader.el (newsticker-browse-url-item): New.

2008-08-25  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-marked-only-files-and-states):
	(vc-dir-child-files-and-states): Reverse the list before returning it.

2008-08-24  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-introspect): Use `dbus-call-method-non-blocking'.

2008-08-24  Romain Francoise  <romain@orebokech.com>

	* progmodes/python.el (run-python): Remove '' from sys.path.

2008-08-23  Glenn Morris  <rgm@gnu.org>

	* progmodes/fortran.el (fortran-tab-mode-string)
	(fortran-comment-line-start, fortran-continuation-string): Doc fixes.

2008-08-23  Eli Zaretskii  <eliz@gnu.org>

	* term/pc-win.el (msdos-setup-keyboard) <msdos-setup-keyboard>:
	Add declare-function.

	* startup.el (command-line): Don't call tty-register-default-colors
	if initial-window-system is `pc'.

	* term/internal.el (local-function-key-map): Fix unbalanced parens.
	(msdos-key-remapping-map): New variable.  Move here all the special
	keys we will be remapping via local-function-key-map.
	(msdos-setup-keyboard): New function.

	* term/pc-win.el (msdos-create-frame-with-faces): Rename from
	make-msdos-frame.
	(terminal-init-internal): New function, errors out if called.
	(msdos-initialize-window-system): New function.
	(msdos-create-frame-with-faces): Set the terminal's
	`terminal-initted' (sic!) parameter.
	(frame-creation-function-alist): Add msdos-create-frame-with-faces.
	(window-system-initialization-alist):
	Add msdos-initialize-window-system.
	(handle-args-function-alist): Use tty-handle-args for `pc'
	``window system'' as well.
	(pc-win): Provide.

	* term/tty-colors.el (tty-register-default-colors): Remove bogus
	code for using msdos-color-values.

	* loadup.el [ms-dos]: Load term/pc-win.

2008-08-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-prepare-status-buffer): Make sure we use a
	directory name.

2008-08-23  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-common-init): Use absolute file so that
	perldb works with tramp (sudo).

	* term/x-win.el (x-gtk-map-stock): Don't let the tool bar destroy
	match data in process filters.

2008-08-23  Martin Rudalics  <rudalics@gmx.at>

	* dired.el (dired-buffer-stale-p): Do not revert buffer that
	can be written.

2008-08-23  Glenn Morris  <rgm@gnu.org>

	* dired-x.el (dired-guess-shell-alist-default): Add .mp3 and .ogg.
	(dired-guess-shell-alist-user): Doc fix.  (Bug#417).

2008-08-23  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (temp-buffer-show-hook): Doc fix.

2008-08-22  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-remote-process-environment): Add "EMACS=t"
	and "INSIDE_EMACS=...".  Reported by Tassilo Horn
	<tassilo@member.fsf.org>.

	* net/trampver.el: Update release number.

	* net/xesam.el (xesam-minor-mode): New minor mode.
	(xesam-highlight-buffer): Remove.  Code moved to
	`xesam-minor-mode'.
	(xesam-refresh-entry): Use `xesam-minor-mode'.

2008-08-21  Chong Yidong  <cyd@stupidchicken.com>

	* minibuffer.el (completion--try-word-completion):
	Disable partial-completion when considering the addition of a space
	or hyphen.

2008-08-21  John Paul Wallington  <jpw@pobox.com>

	* mail/rmail.el (rmail-insert-inbox-text): Ensure that the
	filename of `tofile' doesn't contain any colons on Windows,
	Cygwin, and MS-DOS systems.

2008-08-21  Daiki Ueno  <ueno@unixuser.org>

	* epg.el (epg-make-context, epg-context-set-passphrase-callback)
	(epg-context-set-progress-callback): Make sure the callback is a
	cons of a function and a handback.  Update all callers.

2008-08-20  David Reitter  <david.reitter@gmail.com>

	* term/ns-win.el (ns-cursor-blink-rate, ns-cursor-blink-mode): Remove.
	Patch applied by Adrian Robert.

2008-08-20  Kevin Ryde  <user42@zip.com.au>

	* textmodes/nroff-mode.el (nroff-mode): Avoid auto-filling on
	directive lines.

2008-08-20  Michael Albinus  <michael.albinus@gmx.de>

	* net/xesam.el (xesam-highlight-string): Precise doc string.
	(xesam-highlight-buffer): New defun.
	(xesam-refresh-entry): Use it.  Better check for sourceModified.

2008-08-19  Chong Yidong  <cyd@stupidchicken.com>

	* edmacro.el (edmacro-parse-keys): Catch events with spaces in
	their names.

2008-08-19  Kenichi Handa  <handa@m17n.org>

	* language/european.el ("Esperanto"): Change the preferred
	charsets to iso-8859-3.

	* language/utf-8-lang.el ("UTF-8"): Add the preferred charsets.

	* international/fontset.el (script-representative-chars):
	Delete the entry for symbol.
	(setup-default-fontset): For symbol characters, don't specify
	:script property.

2008-08-19  Chong Yidong  <cyd@stupidchicken.com>

	* minibuffer.el (completion-table-dynamic): Doc fix.

	* cus-edit.el (custom-toggle-hide): Allow hiding only if widget is
	saved.

2008-08-18  Chong Yidong  <cyd@stupidchicken.com>

	* emulation/edt.el (edt-default-emulation-setup):
	Share global-buffers-menu-map with the emulated global map.

2008-08-18  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* term/ns-win.el (global): Uncomment "put backspace
	ascii-character..." and friends, they are needed for tramp.  (Bug#725)

2008-08-18  Kenichi Handa  <handa@m17n.org>

	* international/mule-diag.el (font-show-log): Add optional arg N
	to control the limit of font listing.

2008-08-18  Chong Yidong  <cyd@stupidchicken.com>

	* window.el (recenter-top-bottom): Determine top and bottom
	positions using scroll-margin instead of scroll-conservatively.

2008-08-17  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-send-signal): Use beginning-of-line.

2008-08-17  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-signal-list): Add POSIX 1003.1-2001 signals.
	(proced-mode-map): Add tooltips for menus.  Use radio buttons for
	listing types.
	(proced-log-buffer): New variable.
	(proced-mark-all, proced-unmark-all, proced-do-mark-al): Operate on
	region if transient-mark-mode is turned on and the region is active.
	(proced-omit-processes): Rename from proced-hide-processes to
	avoid key clash with describe-mode (bound to h).  Search for
	marked processes starting from point-min.
	(proced-header-space): Remove.
	(proced-send-signal): Handle errors.  Operate on current process
	if no process is marked.
	(proced-why): New command.
	(proced-log, proced-log-summary): New functions.
	(proced-help): Use proced-why.
	* textmodes/bibtex.el (bibtex-entry-format): Mark as safe.
	(bibtex-autokey-year-title-separator): Fix docstring.

2008-08-17  Michael Albinus  <michael.albinus@gmx.de>

	* net/xesam.el (xesam-vendor, xesam-notify-function):
	New local variables.
	(xesam-mode): Extend docstring.  Initialize `xesam-notify-function'.
	(xesam-refresh-entry): Use `xesam-notify-function' if set.  Remove
	Debbugs specific code; it shall be enabled via `xesam-mode-hooks'.
	(xesam-new-search): Initialize `xesam-vendor'.

2008-08-15  Glenn Morris  <rgm@gnu.org>

	* eshell/esh-cmd.el (eshell-do-pipelines): Indicate the last command in
	a pipeline.
	* eshell/em-ls.el (eshell-ls-files): List one per line in a pipeline,
	unless at the end of the pipeline.  (Bug#699).

2008-08-14  Chong Yidong  <cyd@stupidchicken.com>

	* minibuffer.el (completion-boundaries): Doc fix.
	(display-completion-list): Only default base-size to zero if
	completing in the minibuffer.

	* simple.el (completion-base-size): Doc fix.
	(choose-completion): Try reselecting completion-reference-buffer.

2008-08-14  Michael Albinus  <michael.albinus@gmx.de>

	* vc-dispatcher.el (vc-do-command): Let asynchronous processes run
	also for remote directories.

2008-08-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/easymenu.el (easy-menu-add): Don't precompute keybindings
	since those precomputed values aren't used any more.
	(easy-menu-precalculate-equivalent-keybindings): Obsolete.

2008-08-14  Martin Rudalics  <rudalics@gmx.at>

	* help.el (with-help-window): Return last value in BODY.

2008-08-14  Michael Albinus  <michael.albinus@gmx.de>

	* net/xesam.el (xesam-refresh-entry): Use `save-excursion' in the
	notify function of the URL.
	(xesam-new-search): Encode special characters in the query string.

2008-08-13  Chong Yidong  <cyd@stupidchicken.com>

	* term/ns-win.el (ns-parse-geometry): Rename from x-parse-geometry.

2008-08-13  Andreas Schwab  <schwab@suse.de>

	* net/tramp.el (tramp-handle-shell-command): Handle output going
	to current buffer like shell-command.  Don't disable undo.

2008-08-13  Glenn Morris  <rgm@gnu.org>

	* eshell/esh-cmd.el (eshell/which): Handle the case where no
	description is found.

2008-08-12  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-defs.el (c-emacs-features):
	argumentative-bod-function: bind mark-ring to avoid accumulating a
	spurious mark.

2008-08-12  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (visual-line--saved-state): New var.
	(visual-line-mode): Save local values of variables, and restore
	them when visual-line-mode is disabled.

2008-08-12  NAKAGAWA Makoto  <gha03025@nifty.ne.jp>  (tiny change)

	* net/ldap.el (ldap-search-internal): Tweak URL regexp.

2008-08-11  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/cc-defs.el (c-emacs-features):
	Check beginning-of-defun-raw instead of beginning-of-defun, and avoid
	moving point during the test.

	* emacs-lisp/lisp.el (beginning-of-defun): Doc fix.

2008-08-11  Glenn Morris  <rgm@gnu.org>

	* term/ns-win.el (x-parse-geometry): Doc fix.

	* dired.el (x-popup-menu):
	* hi-lock.el (x-popup-menu):
	* mouse.el (font-face-attributes):
	* calendar/cal-menu.el (x-popup-menu):
	* calendar/calendar.el (x-popup-menu):
	* calendar/holidays.el (x-popup-menu):
	* progmodes/cperl-mode.el (x-popup-menu):
	* term/ns-win.el (dnd-open-file, tool-bar-mode, scroll-bar-scale)
	(x-open-connection):
	* term/w32-win.el (x-colors, x-handle-args, x-parse-geometry)
	(x-command-line-resources):
	* term/x-win.el (x-colors, x-parse-geometry, x-resource-name)
	(x-display-name, x-command-line-resources):
	Add declarations for builds without X.

2008-08-10  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-bahai.el (holiday-bahai): Doc fix.

2008-08-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-find-revision): Rename from
	vc-bzr-find-version, forgotten in the 2007-10-10 renaming.

2008-08-10  Michael Albinus  <michael.albinus@gmx.de>

	* net/xesam.el (xesam-search-engines): Add Debbugs hit fields.
	(xesam-refresh-entry): Add Debbugs handling.  Insert a widget
	"DONE", when all hits are retrieved.
	(xesam-search): Autoload it.

2008-08-11  John Paul Wallington  <jpw@pobox.com>

	* ibuffer.el (ibuffer-buffer-file-name): Return nil rather than
	empty string when no filename.
	(define-ibuffer-column filename): Accommodate that change.

	* ibuf-ext.el (ibuffer-define-filter filename): Use plain old
	`buffer-file-name' instead of `ibuffer-buffer-file-name'.

2008-08-10  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Update.

2008-08-10  John Paul Wallington  <jpw@pobox.com>

	* pcvs.el (defun-cvs-mode): Add `doc-string' decl.

2008-08-08  Chong Yidong  <cyd@stupidchicken.com>

	* battery.el (battery-echo-area-format, battery-status-function):
	Handle new Linux sysfs format for battery reporting.
	(battery-linux-sysfs): New function.

2008-08-07  Martin Rudalics  <rudalics@gmx.at>

	* add-log.el (change-log-search-tag-name)
	(change-log-goto-source): Fix behavior when point is not on tag.

2008-08-06  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* startup.el (command-line-ns-option-alist): Use ignore instead of
	ns-ignore-0-arg.

	* term/ns-win.el (ns-ignore-0-arg, mouse-extend-region)
	(ns-win-suspend-error, ns-yes-or-no-p, colors): Drop.
	(ns-alternatives-map): New variable.
	(x-set-up-function-keys): Use it.
	(global): Comment out "put backspace ascii-character..." and friends.
	Move function-key-map into ns-alternatives-map.  Don't call
	precompute-menubar-bindings.  Don't set anything connected with
	browse-url.
	(after-make-frame-functions): Clarify comment why a hook is added.

2008-08-06  Joakim Verona  <joakim@verona.se>

	* thingatpt.el (thing-at-point-url-path-regexp): Allow parenthesis
	in url:s.

2008-08-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-svn.el (vc-svn-parse-status): Use when instead of if.
	Fix 2008-01-01 change: use a shy group to not affect subsequent
	match calls.

2008-08-06  Reto Zimmermann  <reto@gnu.org>

	* progmodes/vera-mode.el (vera-electric-tab):
	* progmodes/vhdl-mode.el (vhdl-electric-tab): Make TAB indent
	region when active.

2008-08-06  Kenichi Handa  <handa@m17n.org>

	* faces.el (face-valid-attribute-values): Fix handling the value
	of (font-family-list) and font-XXX-table.

2008-08-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* proced.el (proced-menu): Bind the correct function to for toggling.

	* vc-dir.el (vc-dir-mode): Fix typo.

2008-08-06  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el (whitespace-newline-mode)
	(global-whitespace-newline-mode, whitespace-mode)
	(global-whitespace-mode): Improve docstring.

2008-08-05  Chong Yidong  <cyd@stupidchicken.com>

	* kmacro.el (kmacro-exec-ring-item): Add autoload.

	* files.el (auto-save-visited-file-name): Move definition to fileio.c.

	* cus-start.el (all): Handle auto-save-visited-file-name.

2008-08-05  Alex Shinn  <alexshinn@gmail.com>  (tiny change)

	* files.el (hack-one-local-variable-eval-safep): Handle
	lisp-indent-function and scheme-indent-function in addition to the
	deprecated lisp-indent-hook.

2008-08-05  Michael Albinus  <michael.albinus@gmx.de>

	* net/xesam.el (top): Require `wid-edit' always.
	(xesam-mode-line, xesam-highlight): New deffaces.
	(xesam-objects): New local variable.
	(xesam-search-engines): Fix error in field list.
	(xesam-mode): Use `xesam-mode-line' instead of
	`font-lock-type-face'.  Apply `xesam-mode' to a temp buffer, for
	proper initialization (why?).
	(xesam-highlight-string, xesam-get-hits)
	(xesam-kill-buffer-function): New defuns.
	(xesam-refresh-entry): Move code to `xesam-get-hits'.  Check
	result of "hit.fields", it isn't a string only.  Wrap an error of
	the strigi search engine ("xesam:size" is returned as string).
	Highlight search items.
	(xesam-refresh-search-buffer): Make logic of counters more simple.
	Prefetch next hits.
	(xesam-signal-handler): Use `xesam-mode-line' instead of
	`font-lock-type-face'.
	(xesam-new-search): Add `xesam-kill-buffer-function' to
	`kill-buffer-hook'.

2008-08-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* add-log.el (change-log-next-error, change-log-mode): Add support
	for `next-error' to call `change-log-goto-source' on named files
	in a ChangeLog.

2008-08-05  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (math-read-number): Handle all C-like languages
	properly.

2008-08-04  Vincent Belaïche  <vincent.b.1@hotmail.fr>

	* calc/calc.el (math-read-number): Handle C numbers beginning with
	0 correctly.

2008-07-27  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* term/ns-win.el ([ns-new-frame]): New global key.

2008-08-04  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-cmds.el (read-char-by-name):
	Check UCS names with `assoc-string' and case folding.

2008-08-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-call-method-asynchronously)
	(dbus-method-return-internal, dbus-method-error-internal):
	Declare them with `declare-function'.

2008-08-04  Juanma Barranquero  <lekktu@gmail.com>

	* descr-text.el (describe-char-display): Fix last change:
	don't pass CHARSET to `encoded-string-description'.

2008-08-02  Alex Harsanyi  <harsanyi@mac.com>  (tiny change)

	* vc.el (vc-next-action): Update list var correctly after delete.

2008-08-02  Chong Yidong  <cyd@stupidchicken.com>

	* ido.el (ido-mode): Add toggle notification.

	* cus-edit.el (custom-save-all): Avoid destroying symlink if
	already visiting the custom file.

	* pgg-gpg.el (pgg-gpg-process-region): Accept any remaining
	pending output coming after the status change.

2008-08-02  Jason Rumney  <jasonr@gnu.org>

	* w32-fns.el (tis620-2533): Use as preferred registry for thai fonts.

2008-08-01  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (encode-coding-char):
	New optional arg CHARSET.

	* descr-text.el (describe-char-display): Call encode-coding-char
	with the arg CHARSET.
	(describe-char): Pay attention to the text-property `charset'.

2008-08-01  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-check-event, dbus-handle-event): Handle D-Bus
	error messages.
	(dbus-set-property): Call `dbus-introspect-get-property' instead
	of `dbus-get-property'.

	* net/xesam.el (xesam-all-fields): Remove source and content
	identifiers.
	(xesam-dbus-unique-names): New defvar.
	(xesam-dbus-call-method): New defun.  Replace all calls of
	`dbus-call-method' by `xesam-dbus-call-method'.
	(xesam-get-cached-property, xesam-set-cached-property):
	New defuns.
	(xesam-get-property, xesam-set-property, xesam-refresh-entry)
	(xesam-new-search, xesam-search): Apply `xesam-get-cached-property'.
	(xesam-search-engines): Make it an association list.  Take changed
	layout into account in the corresponding function.
	(xesam-delete-search-engine): Remove check for consistency of
	`xesam-search-engines', not needed anymore.
	(xesam-mode): Show XML query string only in the debug case.

2008-07-31  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (read-file-modes): Fix typo in docstring.

2008-07-31  Chong Yidong  <cyd@stupidchicken.com>

	* Makefile.in: Avoid maintainer warning for autogenerated unicode
	files.

	* apropos.el (apropos-symbol): Don't set button skip by default.
	(apropos-print): Set button skip iff searching for multiple types.
	(apropos-print-doc): Insert blank label button when searching for
	a single type.

	* button.el (forward-button): Avoid infloop.

	* minibuffer.el (read-file-name-completion-ignore-case):
	Add cygwin to the list.

2008-07-31  Sven Joachim  <svenjoac@gmx.de>

	* files.el (abbreviate-file-name): When replacing $HOME with ~,
	turn off case-fold-search.

2008-07-31  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (top): Don't register for "NameOwnerChanged".
	(dbus-message-type-invalid, dbus-message-type-method-call)
	(dbus-message-type-method-return, dbus-message-type-error)
	(dbus-message-type-signal): New defconst.
	(dbus-ignore-errors): Fix `edebug-form-spec' property.
	(dbus-return-values-table): New defvar.
	(dbus-call-method-non-blocking-handler, dbus-event-message-type):
	New defun.
	(dbus-check-event, dbus-handle-event, dbus-event-serial-number):
	Extend docstring.  Adapt implementation according to new
	`dbus-event' layout.
	(dbus-event-service-name, dbus-event-path-name)
	(dbus-event-interface-name, dbus-event-member-name):
	Adapt implementation according to new `dbus-event' layout.
	(dbus-set-property): Correct `dbus-introspect-get-attribute' call.

	* net/xesam.el (xesam-type, xesam-query, xesam-xml-string): New defvar.
	(xesam-mode): Rework implementation.
	(xesam-new-search): Additional parameter TYPE.
	(xesam-search): Adapt call of `xesam-new-search'.

2008-07-31  Juri Linkov  <juri@jurta.org>

	* dired-aux.el (dired-do-chmod): Set default value to the original
	mode string using absolute notation like u=rwx,g=rx,o=rx.
	Use it as a new arg `default' of `dired-mark-read-string'.
	(dired-mark-read-string): Add new optional arg `default'.

	* files.el (read-file-modes): Set default value to the original
	mode string using absolute notation like u=rwx,g=rx,o=rx.
	Use it as the `default' arg of `read-string'.

	* filesets.el (filesets-cmd-isearch-getargs): Check if the
	variable `files' is bound to avoid warnings.

	* isearch.el (isearch-forward-regexp, isearch-forward-word)
	(isearch-backward, isearch-backward-regexp): Doc fix - make a link
	to the command `isearch-forward' instead of displaying "See C-s".
	(isearch-highlight-regexp): Remove arguments `regexp' and `face'
	with their interactive specifications.  Move reading the face name to
	the main body after calls to isearch-done and isearch-clean-overlays.

	* mb-depth.el: Unify all names under one common name prefix
	`minibuffer-depth-'.
	(minibuffer-depth-indicator-function): Rename from
	`minibuf-depth-indicator-function'.
	(minibuffer-depth-overlay): Rename from
	`minibuf-depth-overlay'.
	(minibuffer-depth-setup): Rename from
	`minibuf-depth-setup-minibuffer'.
	(minibuffer-depth-indicate-mode): Rename from
	`minibuffer-indicate-depth-mode'.

2008-07-31  Juri Linkov  <juri@jurta.org>

	* dired-aux.el (dired-isearch-filenames-toggle): New command.
	(dired-isearch-filenames-setup): Bind "\M-sf" to
	dired-isearch-filenames-toggle in isearch-mode-map.
	(dired-isearch-filenames-end): Bind "\M-sf" to nil
	in isearch-mode-map.

	* isearch.el (isearch-edit-string-set-word): New command.
	(minibuffer-local-isearch-map): Bind "\C-w" to
	isearch-edit-string-set-word.
	(isearch-new-word): Temporary internal variable.
	(isearch-edit-string): Remove special case of reading the
	first character and checking it for C-w.

	* simple.el (read-shell-command, shell-command):
	Move code that uses minibuffer-with-setup-hook to set
	minibuffer-default-add-function to minibuffer-default-add-shell-commands
	from the interactive spec of `shell-command' to `read-shell-command'.

	* international/mule-cmds.el (read-char-by-name):
	Accept hash notation.  Doc fix.
	(ucs-insert): Doc fix.  Convert to number only when `arg' is
	a string.  Use separate error message when `arg' is not an integer.
	Bind `ucs-insert' to `C-x 8 RET'.

2008-07-31  Joachim Nilsson  <joachim.nilsson@member.fsf.org>  (tiny change)

	* progmodes/cc-styles.el (c-style-alist): For the Ellemtel style,
	move the (arglist-cont-nonempty) from c-offsets-alist to
	c-hanging-braces-alist like other styles already have.

2008-07-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* textmodes/texinfmt.el:
	* nxml/nxml-enc.el:
	* mail/feedmail.el:
	* international/mule.el:
	* international/latexenc.el:
	* emulation/viper-util.el:
	* emulation/viper-init.el:
	* emulation/viper-ex.el:
	* emacs-lisp/bytecomp.el:
	* version.el:
	* subr.el:
	* startup.el:
	* sort.el:
	* shadowfile.el:
	* recentf.el:
	* printing.el:
	* paths.el:
	* minibuffer.el:
	* ls-lisp.el:
	* loadup.el:
	* hippie-exp.el:
	* finder.el:
	* files.el:
	* ediff-util.el:
	* ediff-ptch.el:
	* ediff-init.el:
	* ediff-diff.el:
	* dired.el:
	* dired-aux.el:
	* cus-edit.el:
	* bindings.el:
	* arc-mode.el:
	* add-log.el: Remove VMS support.
	* obsolete/vmsproc.el:
	* obsolete/vms-pmail.el:
	* obsolete/vms-patch.el: Remove file.

2008-07-31  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-before-hack-hook): New function
	(Top Level): Install c-before-hack-hook on
	before-hack-local-variables-hook, rather than
	c-postprocess-file-styles on hack-local-variables-hook.

2008-07-31  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (normal-mode): Move call to hack-project-variables into
	hack-local-variables.
	(file-local-variables-alist, before-hack-local-variables-hook):
	New vars.
	(ignored-local-variables): Add file-local-variables-alist.
	(hack-local-variables-filter): Renamed from
	hack-local-variables-apply.  Add the result to
	file-local-variables-alist, without applying them.
	(hack-local-variables): Set file-local-variables-alist to nil.
	Call hack-project-variables and before-hack-local-variables-hook.
	Apply variables here, instead of hack-local-variables-apply.
	Based on a patch by Alan Mackenzie.

2008-07-30  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* info-look.el (autoconf-mode :doc-spec): For
	"(autoconf)M4 Macro Index", if the item already
	begins with "AS_", don't prefix that string again.

2008-07-30  Juri Linkov  <juri@jurta.org>

	* info.el (info, Info-mode): Doc fix.

	* isearch.el (isearch-mode-map): Bind `M-s r' to
	`isearch-toggle-regexp' and `M-s w' to `isearch-toggle-word'.
	(search-map): Bind `M-s w' to `isearch-forward-word' globally
	in the global map `search-map'.
	(isearch-forward): Doc fix.
	(isearch-forward-word, isearch-toggle-case-fold): New commands.

	* simple.el (quoted-insert): Comment out code that treats
	0240-0377 specially.

2008-07-30  Chong Yidong  <cyd@stupidchicken.com>

	* cus-start.el: Add customization info for
	read-buffer-completion-ignore-case.

2008-07-30  Sam Steingold  <sds@gnu.org>

	* vc-dir.el (vc-dir): Call file-truename on the dir argument.

2008-07-30  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-menu-map, vc-at-event): Fix docstring.
	(vc-dir-mode): Improve docstring.

2008-07-30  Juri Linkov  <juri@jurta.org>

	* dired-aux.el (dired-isearch-filenames-setup): Add autoload cookie
	for the sake of isearch-mode-hook in dired-mode in dired.el.

2008-07-19  Markus Triska  <markus.triska@gmx.at>

	* image-mode.el (image-mode): Set image-mode-text-map when image
	cannot be displayed.

2008-07-30  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-prj.el (ada-prj-initialize-values): Fix use of deleted
	ada-xref-set-default-prj-values.
	(ada-prj-display-page): Ditto.

	* progmodes/ada-xref.el (ada-gnatstub-opts): Fix doc string.
	(ada-make-filename-from-adaname): Fix free variable.

2008-07-30  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-git-status-printer): Synchronize with the default.

2008-07-30  Michael McNamara  <mac@mail.brushroad.com>

	* progmodes/verilog-mode.el (verilog-do-indent): Remove special indent
	for declarations inside a parenthetical list.  The code is ill-advised,
	and doesn't work given user defined types.
	(verilog-set-auto-endcomments): Enhance function automatic
	endcomment to support functions that return user defined types.
	(verilog-mode): Add code to tell which-function-mode minor mode
	that Verilog supports this feature.
	(verilog-beg-block-re-ordered, verilog-indent-re)
	(verilog-forward-sexp, verilog-forward-wa, verilog-calc-1)
	(verilog-leap-to-head): Support the new virtual and/or protected
	tasks, as well as extern declarations of tasks for indenting and
	for forward/backward expression.

2008-07-30  Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el (verilog-read-decls): Allow AUTORESET
	to work with SV 'logic' signals.  Suggested by Julian Gorfajn.
	(verilog-auto-inst-column): Make verilog-auto-inst-column customizable.
	(verilog-string-replace-matches): Avoid recursion with small
	replacements.
	(verilog-auto-inst-param-value, verilog-mode-version)
	(verilog-mode-version-date, verilog-read-inst-param-value)
	(verilog-auto-inst, verilog-auto-inst-param)
	(verilog-auto-inst-port, verilog-simplify-range-expression): Add
	verilog-auto-inst-param-value option for AUTOINST.  Suggested by
	David Rogoff.  This allows parameters to be replaced with their
	values, on the expansion of an AUTOINST with Verilog 2001 style
	parameter settings.

2008-07-30  David Lord  <david.lord@phonecoop.coop>  (tiny change)

	* calendar/timeclock.el (timeclock-day-projects): Change a `cdr'
	to `cddr'.

2008-07-29  Chong Yidong  <cyd@stupidchicken.com>

	* Makefile.in (ELCFILES): Add mairix.elc.

2008-07-29  David Engster  <deng@randomsample.de>

	* net/mairix.el: New file.

2008-07-29  Juri Linkov  <juri@jurta.org>

	* cus-edit.el (custom-face-tag): Inherit from custom-variable-tag
	instead of variable-pitch with bold and 1.2 height.

	* dired-aux.el (dired-do-async-shell-command): New command.

	* dired.el (dired-mode-map): Rebind `dired-flag-garbage-files'
	from `&' to `%&'.  Bind `&' to `dired-do-async-shell-command'.

2008-07-29  Juri Linkov  <juri@jurta.org>

	* international/mule-cmds.el (ucs-names): New internal variable.
	(ucs-names): New function.
	(ucs-completions): New lazy completion variable.
	(read-char-by-name): New function.
	(ucs-insert): Replace interactive spec letter "s" with the call to
	`read-char-by-name'.

	* replace.el (read-regexp): Add second arg `default'.  Doc fix.

	* replace.el (occur-read-primary-args):
	* hi-lock.el (hi-lock-line-face-buffer, hi-lock-face-buffer)
	(hi-lock-face-phrase-buffer): Use `(car regexp-history)' as the
	second arg of `read-regexp'.

	* dired-aux.el (dired-isearch-filenames): New user option.
	(dired-isearch-orig-success-function): New internal variable.
	(dired-isearch-filenames-setup, dired-isearch-filenames-end)
	(dired-isearch-success-function): New functions.
	(dired-isearch-filenames, dired-isearch-filenames-regexp):
	New commands.

	* dired.el (dired-insert-set-properties): Add new text property
	`dired-filename' to put on file names.
	(dired-mode-map): Bind `M-s f C-s' to `dired-isearch-filenames'
	and `M-s f M-C-s' to `dired-isearch-filenames-regexp'.
	Add menu items.
	(dired-mode): Add hook `dired-isearch-filenames-setup' to
	buffer-local `isearch-mode-hook'.

2008-07-29  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/ada-mode.el (ada-batch-reformat): Doc fix.
	(ada-create-case-exception): Fix typo in docstring.
	(ada-no-auto-case): Return nil, not the docstring.
	(ada-indent-current): Reflow docstring.

	* progmodes/ada-prj.el (ada-prj-edit, ada-prj-initialize-values)
	(ada-prj-save-specific-option, ada-prj-field): Fix typos in docstrings.
	(ada-prj-load-from-file): Reflow docstring.
	(ada-prj-display-page): Fix typo in widget.

	* progmodes/ada-stmt.el (ada-case, ada-package-body, ada-private):
	Fix typos in docstrings.

	* progmodes/ada-xref.el (ada-find-executable, ada-gnat-parse-gpr)
	(ada-compile-current, ada-check-current, ada-run-application)
	(ada-get-ali-file-name): Fix typos in docstrings.
	(ada-xref-confirm-compile, ada-find-references)
	(ada-find-local-references, ada-find-any-references): Doc fixes.
	(ada-get-all-references): Fix typo in error message.
	(ada-xref-current-project): Use `let', not `let*'.
	(ada-do-file-completion, ada-xref-change-buffer): Reflow docstring.

2008-07-28  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el (whitespace-newline): Change initialization to have a
	low contrast relative to the background color.  Suggested by David
	Reitter <david.reitter@gmail.com>.

2008-07-28  Juri Linkov  <juri@jurta.org>

	* dired-aux.el (dired-do-isearch, dired-do-isearch-regexp):
	New functions.

	* dired.el (dired-mode-map): Bind dired-do-isearch to `M-s a C-s'
	and dired-do-isearch-regexp to `M-s a M-C-s'.  Add menu items.

2008-07-28  Seiji Zenitani  <zenitani@mac.com>

	* help-fns.el (help-C-file-name): Add .m (Obj-C code) for Cocoa port.
	* emacs-lisp/find-func.el (find-function-search-for-symbol): Likewise.

2008-07-28  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-mode.el (ada-mode): Clean up XEmacs handling.
	Add support for add-log.
	(ada-end-stmt-re): Fix bug - allow comment after 'when'.

	* progmodes/ada-prj.el: Delete 'main_unit' project variable.
	(ada-prj-save): Prompt for file name if not given.
	(ada-prj-display-page): Display casing exceptions.

	* progmodes/ada-xref.el: Add support for GNAT project files as Emacs
	Ada mode project files.  Delete 'main_unit' project variable;
	only need 'main'.  Simplify handling of default project values.
	Use cross-prefix consistently.
	(ada-find-executable): Throw error if not found.
	(ada-initialize-runtime-library): Improve error handling when
	gnatls not found.
	(ada-gnat-parse-gpr): New.
	(ada-treat-cmd-string): Allow process environment variables.
	(ada-xref-set-default-prj-values): Delete; replace with
	ada-default-prj-properties.
	(ada-parse-prj-file): Handle GNAT project files.
	(ada-parse-prj-file-1): New, factored out of ada-parse-prj-file.
	(ada-select-prj-file): New.
	(ada-get-absolute-dir-list): Allow project and environment variables.

2008-07-27  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.1.14.

	* net/tramp.el (tramp-perl-directory-files-and-attributes)
	(tramp-get-device): Make device number a cons cell.
	(tramp-convert-file-attributes): Make inode a cons cell.

	* net/trampver.el: Update release number.

2008-07-27  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* faces.el (face-set-after-frame-default): Treat 'ns as all other
	window systems.

2008-07-27  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* term/ns-win.el (do-applescript): New alias in carbon-compat section.

2008-07-27  Dan Nicolaescu  <dann@ics.uci.edu>

	Remove support for Mac Carbon.
	* term/mac-win.el: Remove file
	* international/mule-cmds.el:
	* version.el:
	* startup.el:
	* simple.el:
	* mwheel.el:
	* mouse.el:
	* loadup.el:
	* isearch.el:
	* info.el:
	* frame.el:
	* faces.el:
	* disp-table.el:
	* cus-start.el:
	* cus-face.el:
	* cus-edit.el:
	* Makefile.in: Remove code for Carbon.

2008-07-26  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* term/ns-win.el (ns-extended-platform-support-mode): Get rid of
	bindings for functions deleted by Dan N. 2008-07-21.  Set
	where-is-preferred-modifier.  Add show-manual option to Help menu.

2008-07-26  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-start-file-process):
	Set query-on-exit flag.  Kill temporary buffer.
	(tramp-process-sentinel): Remove defun.
	(tramp-do-copy-or-rename-file-out-of-band)
	(tramp-maybe-open-connection): Don't call it.

	* net/tramp-fish.el (tramp-fish-maybe-open-connection): Don't call
	`tramp-process-sentinel'.

	* net/tramp-smb.el (tramp-smb-maybe-open-connection): Don't call
	`tramp-process-sentinel'.

	* net/xesam.el (xesam-from): Remove defvar.
	(xesam-mode): Derive from `special-mode'.  Extend `xesam-mode-map'
	and `mode-line-position'.
	(xesam-refresh-entry): Remove argument `hit-number'.  Add debug
	information to the widgets.  Don't set `mode-line-position'.
	(xesam-refresh-search-buffer): Correct hit number computing.
	Don't set `mode-line-position'.
	(xesam-new-search): Add debug information to the mode line.

2008-07-25  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* diff-mode.el (diff-show-trailing-blanks): Renamed to
	diff-show-trailing-whitespaces.

2008-07-25  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/tex-mode.el (tex-compilation-parse-errors): Check for
	invalid filename strings when parsing tex errors (bug#376).

2008-07-25  Dan Nicolaescu  <dann@ics.uci.edu>

	* menu-bar.el (menu-bar-file-menu): Fix typo.

2008-07-25  Juanma Barranquero  <lekktu@gmail.com>

	* play/solitaire.el (solitaire-mode-map): Define within defvar.
	(solitaire-mode): Define with `define-derived-mode'.
	(solitaire-insert-board, solitaire-right, solitaire-left, solitaire-up)
	(solitaire-down): Use "?\s" instead of "?\ "; use `when'.
	(solitaire-undo, solitaire-check): Use `when'.
	(solitaire-solve): Err out if the solitaire is already in progress.
	Use `when'.

	* descr-text.el (describe-char): Don't overwrite local variable char
	when describing characters with display-table entries.  Display font
	backend when describing composed characters.  Simplify: use `let'
	instead of `let*', and `or x y' instead of `if x x y'.

2008-07-25  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-minor-mode): Set up winprops.

2008-07-24  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* diff-mode.el (diff-show-trailing-blanks): New fun.
	Show trailing blanks in modified lines for diff-mode.

2008-07-24  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in (ELCFILES): Add net/xesam.el.

	* net/tramp.el (tramp-handle-start-file-process): Make NAME a unique
	process name.  Reported by Markus Triska <markus.triska@gmx.at>.

	* net/xesam.el: New file.

2008-07-24  Sven Joachim  <svenjoac@gmx.de>

	* dired-aux.el (dired-copy-file-recursive): Avoid calling
	set-file-modes when creating target directories.

2008-07-24  Juanma Barranquero  <lekktu@gmail.com>

	* play/solitaire.el (solitaire-mode): Fix typo in docstring.
	Set `show-trailing-whitespace' to nil.
	(solitaire, solitaire-mode-map, solitaire-mode-hook, solitaire-solve):
	Fix typos in docstrings.

2008-07-24  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/enriched.el (enriched-mode-map): Bind C-a and C-j via
	key remapping, not directly.

2008-07-24  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: New version 11.2.
	(whitespace-newline-mode, global-whitespace-newline-mode): New newline
	minor mode visualization.

2008-07-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/cc-mode.el (auto-mode-alist): Add .i and .ii files.

	* Makefile.in (ELCFILES): Add term/common-win.elc.

	* vc-dir.el (vc-dir-search, vc-dir-isearch)
	(vc-dir-isearch-regexp): New functions.
	(vc-dir-mode-map, vc-dir-menu-map): Bind them.

2008-07-23  Juri Linkov  <juri@jurta.org>

	* isearch-multi.el: Remove file to avoid dos file name clashes
	with isearch-x.el.  Move most content to misearch.el.

	* misearch.el: New file with most content from isearch-multi.el.
	Rename `isearch-buffers' name prefixes to `multi-isearch'.
	Remove `isearch-buffers-minor-mode'.  Add new function
	`multi-isearch-setup' to `isearch-mode-hook'.  New top-level
	commands `multi-isearch-buffers', `multi-isearch-buffers-regexp',
	`multi-isearch-files', `multi-isearch-files-regexp'.

	* Makefile.in (ELCFILES): Remove isearch-multi.elc.  Add misearch.elc.

	* isearch.el (isearch-message-prefix): Display "Multi" when
	`multi-isearch-next-buffer-current-function' is non-nil.
	(isearch-search-string): Replace `isearch-buffers-next-buffer-function'
	with `multi-isearch-next-buffer-current-function', and
	`isearch-buffers-current-buffer' with `multi-isearch-current-buffer'.

	* add-log.el (change-log-mode): Set `change-log-next-buffer' to
	`multi-isearch-next-buffer-function' instead of
	`isearch-buffers-next-buffer-function'.  Remove call to
	`isearch-buffers-minor-mode'.

	* buff-menu.el (Buffer-menu-marked-buffers)
	(Buffer-menu-isearch-buffers)
	(Buffer-menu-isearch-buffers-regexp): New functions.
	(Buffer-menu-mode-map): Bind "M-s a C-s" to
	`Buffer-menu-isearch-buffers', and "M-s a M-C-s" to
	`Buffer-menu-isearch-buffers-regexp'.
	(Buffer-menu-mode): Document new commands in docstring.
	(list-buffers-noselect): Add one space after Info file name
	according to the Info address convention.

	* ibuf-ext.el (ibuffer-do-isearch, ibuffer-do-isearch-regexp):
	New functions.

	* ibuffer.el (ibuffer-mode-map): Bind "M-s a C-s" to
	`ibuffer-do-isearch' and "M-s a M-C-s" to `ibuffer-do-isearch-regexp'.
	(ibuffer-mode): Document new commands in docstring.

	* filesets.el (filesets-commands): Add commands for "Isearch" and
	"Isearch (regexp)".  Replace `query-replace' and `query-replace-regexp'
	with `perform-replace' using `filesets-cmd-query-replace-regexp-getargs'.
	(filesets-run-cmd): Call `fn' only once if it is `multi-isearch-files'
	or `multi-isearch-files-regexp'.
	(filesets-cmd-query-replace-getargs): Call standard function
	`query-replace-read-args' to read `query-replace' arguments.
	Add `multi-query-replace-map'.
	(filesets-cmd-query-replace-regexp-getargs)
	(filesets-cmd-isearch-getargs): New functions.

2008-07-23  Chong Yidong  <cyd@stupidchicken.com>

	* international/mule.el (recode-region): Deactivate mark at the end.

2008-07-23  Nikolaj Schumacher  <n_schumacher@web.de>  (tiny change)

	* progmodes/flymake.el (flymake-errline, flymake-warnline):
	Use more suitable colors on dark displays.

2008-07-23  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-methods): Add "-q" for "scp", "scp1",
	"scp2", "ssh", "ssh1", "ssh2", "scpc", "scpx", "sshx".
	(tramp-temp-buffer-name): New defconst.
	(tramp-handle-start-file-process): Use it.  Apply "exec", for the
	command.  No trailing prompt.
	(tramp-process-sentinel): Remove temporary buffer, if existing.
	Don't handle trailing prompt.
	(tramp-open-connection-setup-interactive-shell):
	Use `tramp-temp-buffer-name'.

2008-07-23  Chong Yidong  <cyd@stupidchicken.com>

	* shell.el (shell-dynamic-complete-functions):
	Use comint-dynamic-complete-filename as well (bug#361).

2008-07-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/ns-win.el:
	* version.el (emacs-version):
	* loadup.el:
	* frame.el (make-frame-on-display): Check for ns instead of
	ns-windowing.

	* dired.el (dired-mode-map): Show the key binding for wdired.

	* menu-bar.el (menu-bar-file-menu): Show the key binding for
	exiting Emacs.

2008-07-19  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* term/ns-win.el (x-list-fonts): Drop alias.

2008-07-23  Juri Linkov  <juri@jurta.org>

	* replace.el (multi-query-replace-map): New variable.
	(perform-replace): Add processing of new multi-buffer keys bound
	to `automatic-all' and `exit-current'.  Set `query-flag' to nil
	if last input char was `automatic-all'.  Set new local variable
	`multi-buffer' to t when one of new two keys were typed.  Return
	non-nil value of `multi-buffer' that tells to calling functions
	to continue replacement on the next file.

	* progmodes/etags.el (tags-query-replace): Set arg `map' of
	`perform-replace' to `multi-query-replace-map'.

2008-07-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-auto-refine-mode): Remove lighter, since it's
	otherwise displayed in every buffer.

	* vc-arch.el (vc-arch-trim-make-sentinel): Use a closure.
	(vc-arch-trim-one-revlib): Delete temp directories as well.

2008-07-22  Stephen Eglen  <stephen@gnu.org>

	* iswitchb.el (iswitchb-delim): New variable.  Suggested by Ted Roden.

2008-07-22  Sven Joachim  <svenjoac@gmx.de>

	* vc-dir.el (vc-dir-recompute-file-state): Fix mismatched parenthesis.

2008-07-22  Miles Bader  <miles@gnu.org>

	* progmodes/sh-script.el (sh-newline-and-indent): Remove.
	(sh-mode-map): Remove remapping of newline-and-indent.

2008-07-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (Todo): Update.

	* vc-hooks.el: Remove obsolete comment.

	* vc-git.el (vc-git-status-printer): Update the directory display
	to match the default.

	* vc-dir.el (vc-dir-recompute-file-state): Add workaround for CVS.

2008-07-21  Chong Yidong  <cyd@stupidchicken.com>

	* menu-bar.el (menu-bar-line-wrapping-menu): Use Visual Line mode
	for "word wrap" command.

	* simple.el (visual-line-mode): Disable truncate-partial-width-windows.

2008-07-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/ns-win.el: Rename ns- functions/variables to the
	corresponding x- versions.
	(x-select-text, x-cut-buffer-or-selection-value)
	(x-disown-selection-internal, x-get-selection-internal)
	(x-own-selection-internal, x-defined-colors, xw-defined-colors)
	(x-display-mm-width, x-display-mm-height)
	(x-display-backing-store, x-display-save-under)
	(x-display-visual-class, x-display-screens, x-focus-frame): Remove
	defaliases.

	* frame.el (ns-display-name): Remove declaration.
	(make-frame-on-display): Use x-display-name instead
	ns-display-name.  Use unless.

	* startup.el (command-line-1): Fix indentation.

	* term/ns-win.el (up-one, down-one, left-one, right-one): Remove,
	checked in inadvertently.

2008-07-21  Chong Yidong  <cyd@stupidchicken.com>

	* term/ns-win.el: Standardize references to "Nextstep" in
	comments, messages, and docstrings.
	(ns-handle-args, x-parse-geometry)
	(ns-extended-platform-support-mode, x-setup-function-keys)
	(ns-select-overlay, ns-unselect-line, ns-yes-or-no-p)
	(ns-set-pasteboard, ns-scroll-bar-move, ns-defined-colors)
	(ns-initialized, ns-initialize-window-system): Doc fixes.

2008-07-21  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* diff-mode.el (diff-auto-refine): Delete defcustom.
	(diff-auto-refine-mode): New func/var via define-minor-mode.
	Update var ref to use diff-auto-refine-mode.
	* smerge-mode.el (diff-mode): Require when compiling.
	(smerge-auto-refine): Delete defcustom.
	Update smerge-auto-refine ref to use diff-auto-refine-mode.

2008-07-21  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (visual-line): New custom group.
	(visual-line-fringe-indicators): New var.
	(visual-line-mode): Set fringe-indicator-alist based on
	visual-line-fringe-indicators.  Add lighter.

2008-07-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/x-win.el (x-handle-switch, x-handle-numeric-switch)
	(x-handle-initial-switch, x-handle-iconic, x-handle-xrm-switch)
	(x-handle-geometry, x-handle-name-switch, x-display-name)
	(x-handle-display, x-handle-args, x-colors): Move ...
	* term/common-win.el: ... here.  New file.
	* term/w32-win.el (x-handle-switch, x-handle-numeric-switch)
	(x-handle-initial-switch, x-handle-iconic, x-handle-xrm-switch)
	(x-handle-geometry, x-handle-name-switch, x-display-name)
	(x-handle-display, x-handle-args, x-colors): Remove.
	* loadup.el: Load term/common-win before term/x-win and term/w32-win.

2008-07-19  Juri Linkov  <juri@jurta.org>

	* startup.el (fancy-startup-text): Move the line "To quit
	a partially entered command, type Control-g" a few lines below
	to be after the line "To start".  Add text "at gnu.org" to
	"Overview of Emacs features".

	* dired.el (dired-mode-map): Fix menu text of
	image-dired-display-thumbs.

	* image-dired.el (image-dired-cmd-create-thumbnail-options)
	(image-dired-cmd-create-temp-image-options)
	(image-dired-cmd-create-standard-thumbnail-command): Add > to the
	ImageMagick command line to change the dimensions of the image
	only if its width or height exceeds the geometry specification.

	* longlines.el: Add coding cookie utf-8 for the pilcrow sign.

	* proced.el (proced-mode, proced): Add \\<proced-mode-map>
	to docstrings.

2008-07-19  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* term/ns-win.el (ns-ps-print-menu-map): Fix typo pointed out by
	Vinicius Jose Latorre.

2008-07-19  Glenn Morris  <rgm@gnu.org>

	* term/ns-win.el (ns-make-command-string): Use mapconcat.
	(ns-save-preferences): Fix typo in previous change.  (Bug#573)

2008-07-18  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-interface-properties): New defconst.
	(dbus-introspect): Update docstring.
	(dbus-introspect-xml, dbus-introspect-get-attribute)
	(dbus-introspect-get-node-names, dbus-introspect-get-all-nodes)
	(dbus-introspect-get-interface-names)
	(dbus-introspect-get-interface, dbus-introspect-get-method-names)
	(dbus-introspect-get-method, dbus-introspect-get-signal-names)
	(dbus-introspect-get-signal, dbus-introspect-get-property-names)
	(dbus-introspect-get-property)
	(dbus-introspect-get-annotation-names)
	(dbus-introspect-get-annotation)
	(dbus-introspect-get-argument-names, dbus-introspect-get-argument)
	(dbus-introspect-get-signature, dbus-get-property)
	(dbus-set-property, dbus-get-all-properties): New defuns.

2008-07-18  Chong Yidong  <cyd@stupidchicken.com>

	* Makefile.in (ELCFILES): Remove ns-carbon-compat.elc and
	ns-grabenv.elc.

	* ns-carbon-compat.el: File removed.

	* ns-grabenv.el: File removed.

	* term/ns-win.el: Contents of ns-carbon-compat.el and
	ns-grabenv.el moved here.
	(ns-grabenv, ns-open-file-select-line): Doc fixes.
	(ns-submit-bug-report): Function removed.  Reports go to the main
	Emacs bug list.
	(ns-handle-args, ns-spi-service-call): Doc fixes.
	(info-ns-emacs): Function removed.  Nextstep port manual will be
	merged into the Emacs manual, so no separate link needed.

2008-07-18  Francesc Rocher  <rocher@member.fsf.org>

	* startup.el (fancy-splash-head): Fix change of 2008-07-02.

2008-07-18  Glenn Morris  <rgm@gnu.org>

	* eshell/esh-arg.el (eshell-quote-backslash): Restrict previous change
	to XEmacs, since it does nothing for Emacs.

2008-07-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* net/tls.el (open-tls-stream): Make it work with the 2nd argument
	BUFFER that is a string but does not exist as a buffer object, as
	mentioned in the doc-string.

2008-07-17  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-visual): Make it a defcustom.
	(line-move-1): Convert temporary-goal-column back to an integer if
	it was set as a float by a previous call to line-move-visual.
	(end-of-visual-line, beginning-of-visual-line)
	(next-logical-line, previous-logical-line): New functions.

2008-07-17  David Reitter  <david.reitter@gmail.com>

	* simple.el (kill-visual-line, turn-on-visual-line-mode): New
	functions.
	(visual-line-mode, global-visual-line-mode): New minor mode.
	(visual-line-mode-map): New variable.

2008-07-17  Glenn Morris  <rgm@gnu.org>

	* term/ns-win.el (parameters): Declare for compiler.

2008-07-17  Fan Kai  <fktpp@xemacs.org>  (tiny change)

	* eshell/esh-arg.el (eshell-quote-backslash): Fix eshell path completion
	for Windows.

2008-07-17  Daiki Ueno  <ueno@unixuser.org>

	* epa.el (epa-key-list-mode): Use run-mode-hooks.
	(epa-key-mode): Ditto.
	(epa-info-mode): Ditto.

2008-07-17  Glenn Morris  <rgm@gnu.org>

	* term/ns-win.el (ns-handle-switch): Simplify.  Handle the numeric case.
	(ns-handle-numeric-switch): Just call ns-handle-switch.
	(ns-handle-name-switch, ns-handle-nxopen, ns-handle-nxopentemp)
	(ns-handle-args): Simplify using `pop'.
	(ns-display-name): Define (used in frame.el).
	(menu-bar-select-frame): Add (ignored) arg to more closely match the
	original definition.
	(ns-perform-service): Declare.
	(ns-save-preferences): Use fewer `let's.

	* frame.el (ns-display-name): Declare for compiler.

2008-07-17  Kenichi Handa  <handa@m17n.org>

	* descr-text.el (describe-char-unidata-list): Initialize to the
	list of name, general-category, decomposition, and old-name.

2008-07-16  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* startup.el (command-line-1): Update processing of NS long options to
	mimic recent changes to processing of X long options.

2008-07-16  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-create-define-alist): Don't create a
	list of #defines for remote files.
	(gdb-source-info): Only show main if it has been found.

2008-07-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term/ns-win.el: Require CL; fix up comment style; reindent.
	(ns-define-service): Use subst-char-in-string.  Avoid `eval'.
	(ns-save-preferences): Use `case'.
	(ns-initialize-window-system): Use `dolist'.

2008-07-16  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* loadup.el: Remove load of easy-mmode prior to ns-win when NS
	windowing is used.
	* term/ns-win.el (ns-extended-platform-support-mode):
	Correct/improve documentation.

2008-07-16  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/cl-compat.el, emacs-lisp/cl-macs.el, emacs-lisp/cl-seq.el:
	Simply require 'cl (see comment in cl-compat.el).
	* emacs-lisp/cl-macs.el (cl-compile-time-init): Remove function.
	* emacs-lisp/cl.el (cl-do-pop, cl-mapcar-many): Declare for compiler.
	(cl-hack-byte-compiler): Load cl-macs and run cl-hack-bytecomp-hook
	directly rather by subterfuge.  Provide cl before loading cl-macs.

	* paths.el (rmail-spool-directory): Remove settings for systems that are
	no longer supported.

	* frame.el (ns-initialize-window-system): Declare for compiler.

	* term/ns-win.el: Add numerous declarations for compiler.
	(ns-pop-up-frames): Move definition before use.  Doc fix.

	* emacs-lisp/check-declare.el (check-declare-locate)
	(check-declare-verify): Handle .m files.

2008-07-15  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* ns-carbon-compat.el: New file: user-visible compatibility of
	NeXTstep port with Carbon port.
	* ns-grabenv.el: New file: functionality useful on OS X platform to
	expose environment variables inside Emacs started from icon.
	* Makefile.in (ELCFILES): Add ns-carbon-compat, ns-grabenv, ns-win.
	* cus-edit.el:
	* cus-face.el:
	* disp-table.el:
	* faces.el:
	* info.el:
	* mouse.el:
	* mwheel.el:
	* simple.el: Add ns to window systems treated as GUIs.
	* facemenu.el (facemenu-read-color): Don't require a name match under
	NS, to allow numeric color entry.
	* frame.el (make-frame-on-display): Follow code for 'x in initializing
	'ns window system if need be.
	(various): Add 'ns as described above.
	* loadup.el: Load ns-win.el, easy-menu.el, easy-mmode.el if
	ns-windowing is active.
	* startup.el (command-line-ns-option-alist): New constant to handle NS
	windowing system specific command line args analogous to how they are
	handled for X windows.
	(command-line-1): Use the above where appropriate.
	* version.el: Add NS port version.
	* woman.el (woman-man.conf-path): Add /usr/share/misc to init path on
	Darwin (usually OS X) systems.
	(woman-use-own-frame): Include 'ns in list of GUI window systems.
	* emulation/viper-util.el (ns-display-color-p)
	(ns-color-defined-p): Remove these (caustically-commented) outdated
	compensations for a port that was never itself integrated until now.
	* gnus/gnus-util.el (gnus-select-frame-set-input-focus): Add support
	for NS window system.
	* international/mule-cmds.el: Add 'ns to list of special-cased window
	systems (probably most of these, x/w32/mac/ns could be changed to
	window-system non-nil).
	* term/ns-win.el: New file: lisp-side support for NS windowing system.

2008-07-14  Jason Rumney  <jasonr@gnu.org>

	* term/w32-win.el (x-handle-switch, x-handle-name-switch)
	(x-handle-numeric-switch, x-handle-initial-switch)
	(x-handle-xrm-switch, x-handle-args, x-handle-display)
	(xw-defined-colors, w32-initialize-window-system):
	Avoid use of cl pop and push macros.

2008-07-14  Martin Rudalics  <rudalics@gmx.at>

	* add-log.el (change-log-goto-source): Avoid wrong-type-argument
	error when change-log-search-file-name returns nil.

2008-07-13  Martin Rudalics  <rudalics@gmx.at>

	* add-log.el (change-log-search-file-name):
	Use match-string-no-properties.
	(change-log-search-tag-name-1, change-log-search-tag-name)
	(change-log-goto-source-1, change-log-goto-source): New functions.
	(change-log-tag-re, change-log-find-head, change-log-find-tail):
	New variables.
	(change-log-mode-map): Bind C-c C-c to change-log-goto-source.

2008-07-13  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-help.el (calc-describe-key): Add angles to special key
	descriptions.

2008-07-13  Vincent Belaïche  <vincent.b.1@hotmail.fr>

	* calc/calc-help.el (calc-describe-thing): Use `re-search-forward' to
	search for regexp.

2008-07-12  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-visual): Handle null pixel position gracefully.

2008-07-11  Jason Rumney  <jasonr@gnu.org>

	* files.el (file-truename): Get truename of ancestors if file does
	not exist on Windows.

2008-07-11  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-visual): Obey goal-column and no-error arg.
	(track-eol, temporary-goal-column, previous-line, next-line):
	Update docstring.
	(move-end-of-line, move-beginning-of-line): Bind line-move-visual
	to nil.

2008-07-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (line-move-visual): New var.
	(line-move-visual): New function.
	(line-move): Call line-move-visual.

2008-07-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/grep.el (grep-files-aliases): Improve the C++ source
	pattern and add patterns for C++ header files.

2008-07-10  Chong Yidong  <cyd@stupidchicken.com>

	* window.el (truncated-partial-width-window-p): New function.

	* menu-bar.el: Remove Longlines mode from menu.  Add word-wrap option.

	* faces.el (x-create-frame-with-faces): Don't pass parameters that
	are set later to x-create-frame.
	(face-set-after-frame-default): Apply X resources for non-default
	faces.

2008-07-08  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (face-set-after-frame-default): Simplify.  Don't apply
	frame-specific X resource settings.  Set faces using a list of
	frame parameters explicitly passed to the calling
	function (e.g. make-frame).
	(x-create-frame-with-faces, tty-create-frame-with-faces):
	Supply explicit frame parameter list to face-set-after-frame-default.

2008-07-08  Eduard Wiebe  <usenet@pusto.de>  (tiny change)

	* net/browse-url.el (browse-url-default-browser):
	Fix argument list in lambda.

2008-07-07  Ulf Jasper  <ulf@web.de>

	* net/newst-backend.el (newsticker--get-news-by-url): Catch errors
	from url-retrieve.
	(newsticker--sentinel-work): Fix xerror typo.

2008-07-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-refresh): Only update files.

	* vc-git.el (vc-git--ls-files-state): Remove unused function.

	* vc-bzr.el (vc-bzr-after-dir-status): Deal with execute bit changes.

2008-07-06  John Paul Wallington  <jpw@pobox.com>

	* kermit.el (kermit-esc-char, kermit-clean-off): Doc fixes.

2008-07-05  Alexandre Julliard  <julliard@winehq.org>

	* vc-git.el (vc-git-registered): Return true for removed files.
	(vc-git-print-log, vc-git-log-view-mode): Print a single log for
	all the files instead of one per file.
	(vc-git-previous-revision): Add support for project-wide previous
	revision when specified file is nil.

2008-07-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* vms-patch.el, vmsproc.el, mail/vms-pmail.el: Move to obsolete dir.

	* vc-dir.el (vc-dir-find-child-files): New function.
	(vc-dir-resync-directory-files): New function.
	(vc-dir-recompute-file-state): New function, broken out of ...
	(vc-dir-resynch-file): ... here.  Also deal with directories.
	* vc-dispatcher.el (vc-resynch-buffers-in-directory): New function.
	(vc-resynch-buffer): Use it.

	* vc-hg.el (vc-hg-registered): Do not set vc-state.

	* vc-annotate.el (vc-annotate-mode-menu): Add separator.

2008-07-05  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-display-buffer): Don't split a buffer
	if it's not part of gdb-ui, e.g, at start.

	* progmodes/gud.el (gud-gdb-get-stackframe): Allow absolute
	filenames in stack trace (text command mode).

2008-07-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse-drag.el (mouse-drag-throw, mouse-drag-drag): Autoload.

	* textmodes/sgml-mode.el (sgml-font-lock-syntactic-keywords):
	Use syntax-ppss on a position *before* the char we want to change.

2008-07-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-query-replace-regexp): New function.
	(vc-dir-tool-bar-map, vc-dir-menu-map): Bind it.
	(vc-dir-mode-map): Likewise.

2008-07-03  Juanma Barranquero  <lekktu@gmail.com>

	* eshell/esh-arg.el (eshell-quote-backslash): Fix typo in docstring.
	(eshell-parse-argument-hook, eshell-special-chars-inside-quoting)
	(eshell-arg-load-hook, eshell-special-chars-outside-quoting):
	Remove spurious * in defcustom docstrings.

	* textmodes/fill.el (fill-paragraph): Fix typo in docstring.
	(fill-individual-varying-indent, colon-double-space, enable-kinsoku)
	(adaptive-fill-mode, adaptive-fill-first-line-regexp)
	(default-justification): Remove spurious * in defcustom docstrings.

	* textmodes/rst.el (rst, rst-line-homogeneous-p, rst-mode-abbrev-table)
	(rst-font-lock-keywords-function, rst-mode, rst-minor-mode)
	(rst-compare-decorations, rst-default-indent, rst-update-section)
	(rst-decoration-complete-p, rst-section-tree, rst-toc-insert-node)
	(rst-toc-insert-find-delete-contents, rst-toc-count-lines)
	(rst-toc-mode-goto-section, rst-faces, rst-level-face-base-color):
	Fix typos in docstrings.
	(rst-mode-lazy): Fix typo in docstring.  Remove spurious *.
	(rst-adjust, rst-line-homogeneous-p, rst-suggest-new-decoration)
	(rst-get-decorations-around, rst-section-tree-point)
	(rst-font-lock-adornment-point): Reflow docstrings.
	(rst-get-decoration, rst-get-decoration-match, rst-adjust-decoration):
	Doc fixes.
	(rst-re-enumerations): Comment out.

	* nxml/nxml-glyph.el (nxml-glyph-set-hook):
	* nxml/nxml-uchnm.el (nxml-unicode-blocks)
	(nxml-unicode-block-char-name-set):
	* nxml/nxml-util.el (nxml-debug, nxml-make-namespace):
	* nxml/rng-nxml.el (rng-set-state-after):
	* nxml/rng-uri.el (rng-file-name-uri): Fix typo in docstring.

	* nxml/rng-cmpct.el (rng-c-lookup-create, rng-c-parse-primary)
	(rng-c-parse-annotation-body):
	* nxml/rng-dt.el (rng-dt-namespace-context-getter): Reflow docstrings.

	* nxml/nxml-mode.el (nxml, nxml-mode, nxml-after-change1)
	(nxml-extend-region, nxml-merge-indent-context-type, nxml-complete)
	(nxml-forward-balanced-item, nxml-dynamic-markup-word)
	(nxml-define-char-name-set, nxml-toggle-char-ref-extra-display):
	Fix typos in docstrings.
	(nxml-attribute-indent): Reflow docstring.
	(nxml-bind-meta-tab-to-complete-flag, nxml-last-fontify-end)
	(nxml-default-buffer-file-coding-system): Doc fixes.

	* nxml/nxml-ns.el (nxml-ns-state, nxml-ns-initial-state)
	(nxml-ns-set-prefix): Fix typos in docstrings.
	(nxml-ns-push-state, nxml-ns-pop-state, nxml-ns-set-default):
	Reflow docstring.
	(nxml-ns-get-prefix, nxml-ns-get-default): Doc fixes.

	* nxml/nxml-outln.el (nxml-hide-all-text-content)
	(nxml-show-direct-text-content, nxml-show-direct-subheadings)
	(nxml-hide-direct-text-content, nxml-hide-subheadings)
	(nxml-hide-text-content, nxml-show-subheadings, nxml-hide-other)
	(nxml-outline-display-rest, nxml-outline-set-overlay)
	(nxml-section-tag-forward, nxml-section-tag-backward)
	(nxml-back-to-section-start): Fix typos in docstrings.

	* nxml/nxml-parse.el (nxml-validate-function, nxml-parse-file):
	Doc fixes.

	* nxml/nxml-rap.el (nxml-scan-end, nxml-move-tag-backwards)
	(nxml-scan-element-forward, nxml-scan-element-backward): Doc fixes.
	(nxml-scan-after-change): Fix typo in docstring.

	* nxml/rng-match.el (rng-being-compiled, rng-normalize-choice-list)
	(rng-name-class-possible-names): Doc fixes.
	(rng-memo-map-add, rng-intern-group, rng-match-possible-namespace-uris)
	(rng-match-possible-start-tag-names, rng-match-possible-value-strings):
	Fix typos in docstrings.
	(rng-intern-group-shortcut, rng-intern-choice-shortcut):
	Reflow docstrings.

	* nxml/rng-util.el (rng-uniquify-eq, rng-uniquify-equal): Doc fixes.
	(rng-substq, rng-complete-before-point): Fix typos in docstrings.

	* nxml/rng-xsd.el (rng-xsd-make-date-time-regexp)
	(rng-xsd-convert-date-time): Reflow docstrings.
	(rng-xsd-compile): Fix typo in docstring.

	* nxml/rng-loc.el (rng-current-schema-file-name)
	(rng-locate-schema-file-using, rng-locate-schema-file-from-type-id):
	Doc fixes.
	(rng-set-schema-file): Fix typo in docstring.

	* nxml/rng-valid.el (rng-error-count, rng-validate-mode)
	(rng-do-some-validation, rng-process-start-tag, rng-process-text):
	Fix typos in docstrings.
	(rng-message-overlay, rng-conditional-up-to-date-start)
	(rng-conditional-up-to-date-end): Doc fixes.
	(rng-next-error, rng-previous-error): Reflow docstrings.

	* nxml/xmltok.el (xmltok-attribute-raw-normalized-value): Doc fix.
	(xmltok-dtd, xmltok-dependent-regions, xmltok-attribute-refs)
	(xmltok-valid-char-p, xmltok-standalone, xmltok-forward-prolog)
	(xmltok-merge-attributes): Fix typos in docstrings.
	(xmltok-make-attribute, xmltok-forward-special)
	(xmltok-get-declared-encoding-position): Reflow docstrings.

	* nxml/xsd-regexp.el (xsdre-char-class-to-range-list): Doc fix.
	(xsdre-range-list-union, xsdre-check-range-list, xsdre-current-regexp):
	Fix typos in docstrings.

2008-07-02  John Paul Wallington  <jpw@pobox.com>

	* ibuffer.el (ibuffer-buffer-file-name):
	Use `list-buffers-directory'.  Remove special-casing for `cvs-mode'
	and `vc-dir-mode'.  Suggested by Dan Nicolaescu.

2008-07-02  Toru Tsuneyoshi  <t_tuneyosi@hotmail.com>

	* files.el (backup-extract-version): Handle versioned directories.
	(trash-directory): New variable.
	(move-file-to-trash): New function.

	* cus-start.el (delete-by-moving-to-trash): Declare for custom.

2008-07-02  Magnus Henoch  <mange@freemail.hu>

	* vc-git.el (vc-git-annotate-command): Use proper option for
	specifying revision.

2008-07-02  Francesc Rocher  <rocher@member.fsf.org>

	* startup.el (fancy-splash-head): Prefer SVG or PNG splash image,
	if available.

2008-07-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* uniquify.el (uniquify-list-buffers-directory-modes): Add vc-dir-mode.

	* vc-annotate.el (vc-annotate-mode-map): Use lower case keys.
	Add binding for vc-annotate-show-changeset-diff-revision-at-line.

	* vc-dir.el (vc-dir-mode): Set list-buffers-directory.

2008-07-01  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-create-source-file-list): New option.
	(gdb-init-2): Use it.  Don't run gdb-mode-hook again.
	(gdb-var-list-children-regexp, gdb-var-update-regexp)
	(gdb-info-breakpoints-custom, gdb-stack-list-frames-regexp)
	(gdb-var-list-children-regexp-1, gdb-var-update-regexp-1)
	(gdb-stack-list-locals-regexp): Future proof regexps better.

2008-06-30  Juri Linkov  <juri@jurta.org>

	* faces.el (face-name-history): New variable.
	(make-face, make-empty-face): Replace interactive spec "S"
	with `read-from-minibuffer' where `read' arg is t and
	`hist' arg is `face-name-history'.
	(read-face-name): Set `hist' arg of `completing-read-multiple'
	to `face-name-history'.
	(list-faces-display): Use `read-regexp' instead of `read-string'
	to read regexp.

	* hi-lock.el (hi-lock-regexp-history): Make it an obsolete alias
	to `regexp-history'.
	(hi-lock-face-history): Rename to `hi-lock-face-defaults' and
	make it an obsolete alias to it.
	(hi-lock-face-defaults): New variable renamed from
	`hi-lock-face-history'.
	(hi-lock-line-face-buffer, hi-lock-face-buffer)
	(hi-lock-face-phrase-buffer): Use `read-regexp' instead of
	`read-from-minibuffer'.  Doc fix.
	(hi-lock-read-face-name): Replace `hi-lock-face-history' with
	`hi-lock-face-defaults'.  Remove `mapcar (lambda (f) (cons f f))'.
	Set `hist' arg of `completing-read' to `face-name-history'.
	Put a list of default faces to `default' arg instead of `hist' arg.

	* bindings.el (abbrev-map, narrow-map): New variables.
	Bind `C-x a' to `abbrev-map' and `C-x n' to `narrow-map'.
	Rebind related commands to these new maps.
	(ctl-x-r-map): New variable for rectangle, register and bookmark
	keys.  Move rectangle keybindings to rect.el and register
	keybindings to register.el.
	(next-buffer, previous-buffer): Remove C-x prefix and move
	keybindings to ctl-x-map.

	* bookmark.el: Rebind three global `C-x r' keys "b", "m", "l"
	to the new map `ctl-x-r-map' in autoload cookies.

	* expand.el: Rebind two global `C-x a' keys "n", "p"
	to the new map `abbrev-map' in autoload cookies.

	* rect.el: Bind global keys to ctl-x-r-map in autoload cookies.

	* register.el: Bind global keys to ctl-x-r-map in autoload cookies.

2008-06-30  Miles Bader  <miles@gnu.org>

	* net/rcirc.el (rcirc-markup-attributes): Don't skip a character
	after processing an escape sequence.

2008-06-29  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-ftp.el (tramp-ftp-file-name-handler): Revert patch
	from 2008-06-28.  It does not work on W32.

2008-06-29  Juri Linkov  <juri@jurta.org>

	* replace.el (read-regexp): New function.
	(keep-lines-read-args, occur-read-primary-args):
	Call `read-regexp' instead of code moved to new function.
	(keep-lines, flush-lines, how-many): Remove parenthesis and colon
	from the end of prompt.
	(replace-re-search-function): Doc fix.

2008-06-29  Kenichi Handa  <handa@m17n.org>

	* descr-text.el (describe-char-display): Always return a string.
	(describe-char-padded-string): New function.
	(describe-char): Adjusted for the change of
	describe-char-display.  Use describe-char-padded-string.

2008-06-29  Andreas Schwab  <schwab@suse.de>

	* vc-dir.el (vc-dir): Make backend argument optional and use
	vc-responsible-backend when nil.  Interactively pass nil for
	backend instead of using the backend of what happens to be
	default-directory at the time of the call.

	* find-dired.el (find-dired-filter): Preserve point.

2008-06-28  Juanma Barranquero  <lekktu@gmail.com>

	* net/sasl.el (sasl-client-set-property, sasl-make-mechanism)
	(sasl-find-mechanism, sasl-next-step):
	* net/sasl-ntlm.el (sasl-ntlm-steps, sasl-ntlm-request)
	(sasl-ntlm-response): Fix typos in docstrings.

2008-06-28  robert marshall  <robert@capuchin.co.uk>  (tiny change)

	* international/mule-cmds.el (view-hello-file): Doc fix.

2008-06-28  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (inhibit-face-set-after-frame-default): Var deleted.
	(set-face-attribute, face-set-after-frame-default)): Don't use it.

2008-06-28  John Paul Wallington  <jpw@pobox.com>

	* calc/calc.el (defmath): Add `doc-string' decl.  Add docstring.

2008-06-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-file-modes): Handle symlinks.
	(tramp-convert-file-attributes): Convert symlinks only when
	returned from `tramp-handle-file-attributes-with-stat'.

	* net/tramp-ftp.el (top): Delete 'ange-ftp property from
	`substitute-in-file-name' when unloading.
	(tramp-ftp-file-name-handler): Set `tramp-mode' to nil.

2008-06-28  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-hide-up-to-date): Also hide empty directories.
	(vc-string-prefix-p): Move function ...
	* vc.el (vc-string-prefix-p): ... here.

2008-06-27  Juanma Barranquero  <lekktu@gmail.com>

	* vc-dir.el (vc-dir): Complete only directory names.

2008-06-27  Jason Rumney  <jasonr@gnu.org>

	* w32-fns.el (top-level): Unconditionally define all charsets.

2008-06-27  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-mode-base-map): Don't bind C-M-[ae] to
	the CC Mode specific functions; this is no longer needed, since
	{beginning,end}-of-defun now pass ARG to ...-of-defun-function.

	* progmodes/cc-defs.el (c-emacs-features): New feature
	'argumentative-bod-function.

2008-06-27  John Paul Wallington  <jpw@pobox.com>

	* chistory.el (list-command-history): Use `bound-and-true-p'.
	(command-history-map): Define within defvar.  Add docstring.

2008-06-27  Juanma Barranquero  <lekktu@gmail.com>

	* image.el (image-jpeg-p): Don't fail if the arg cannot be converted
	to unibyte; just assume it is not a JPEG.  Use `string-match-p'.
	(image-type-from-data, image-type-from-file-name): Use `string-match-p'.
	(image-type-from-buffer): Use `looking-at-p'.

2008-06-27  Juanma Barranquero  <lekktu@gmail.com>

	* ibuf-ext.el (diff-sentinel): Declare.

2008-06-27  Glenn Morris  <rgm@gnu.org>

	* calendar/lunar.el (calendar-lunar-phases): Rename from
	calendar-phases-of-moon.  Keep old name as alias, update callers.
	(lunar-phases): Rename from phases-of-moon.  Keep old name as alias.
	(diary-lunar-phases): Rename from diary-phases-of-moon.
	Keep old name as alias.
	* calendar/cal-menu.el (cal-menu-sunmoon-menu)
	(cal-menu-global-mouse-menu): Update for lunar name changes.
	* calendar/calendar.el (calendar-mode-map): Update for name change.
	* calendar/diary-lib.el (diary-list-sexp-entries): Doc update.

2008-06-26  Glenn Morris  <rgm@gnu.org>

	* calendar/solar.el (solar-sunrise-sunset-string): Add optional
	argument `nolocation'.
	(calendar-sunrise-sunset-month): New function.
	* calendar/cal-menu.el (cal-menu-sunmoon-menu): Rename from
	cal-menu-moon-menu.  Add calendar-sunrise-sunset-month.
	(cal-menu-global-mouse-menu): Add calendar-sunrise-sunset-month.
	* calendar/calendar.el (solar-sunrises-buffer): New constant.
	(calendar-mode-map): Use cal-menu-sunmoon-menu.
	(calendar-buffer-list): Add solar-sunrises-buffer.

	* calendar/cal-menu.el (cal-menu-goto-menu): Tweak menu name.

2008-06-26  Chong Yidong  <cyd@stupidchicken.com>

	* cus-start.el: Add customization types for word-wrap and
	shift-select-mode.

2008-06-26  John Paul Wallington  <jpw@pobox.com>

	* ibuf-ext.el (ibuffer-diff-buffer-with-file-1): New function.
	(ibuffer-diff-with-file): Use it.  Do diff on marked buffers.
	(ibuffer-mark-on-buffer): Don't display message when removing marks.
	(ibuffer-mark-by-mode): Use `buffer-local-value'.

2008-06-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (tool-bar): Require.

	* vc.el (ewoc, tool-bar): Do not require.

2008-06-26  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (encode-coding-char): Fix for ASCII
	characters.

	* composite.el (terminal-composition-base-character-p): New function.
	(terminal-composition-function):
	Use terminal-composition-base-character-p.  Include the base character
	in the composition.
	(auto-compose-chars): Don't check font-object for terminal display.

2008-06-26  Glenn Morris  <rgm@gnu.org>

	* doc-view.el (bookmark-make-record-default):
	* image-mode.el (bookmark-make-record-default): Fix declaration.

	* calendar/calendar.el (calendar-date-echo-text): Doc fix.
	Add default :value for sexp type.
	(calendar-month-edges): New variable.
	(calendar-month-edges): New function.
	(calendar-recompute-layout-variables): Set calendar-month-edges.
	(calendar-intermonth-header, calendar-intermonth-text): New options.
	(calendar-insert-at-column): New function.
	(calendar-generate-month): Use calendar-insert-at-column.
	Handle intermonth text.  Add 'date property.
	(calendar-column-to-month): Remove function.
	(calendar-column-to-segment): New function.
	(calendar-cursor-to-date): Use calendar-column-to-segment.
	Check 'date property.

	* calendar/calendar.el (calendar-print-other-dates):
	Handle mouse events.
	* calendar/cal-menu.el (calendar-mouse-print-dates): Remove function.
	(cal-menu-context-mouse-menu): Use calendar-print-other-dates.

	* calendar/holidays.el (calendar-cursor-holidays): Handle mouse events.
	* calendar/cal-menu.el (calendar-mouse-holidays): Remove function.
	(cal-menu-context-mouse-menu): Use calendar-cursor-holidays.

	* calendar/cal-move.el (calendar-cursor-to-nearest-date):
	Use calendar-column-to-segment, calendar-month-edges, and
	the 'date property to handle intermonth text.

	* calendar/cal-iso.el (calendar-iso-from-absolute): Add autoload cookie.

	* calendar/cal-menu.el (cal-menu-moon-menu, cal-menu-diary-menu)
	(cal-menu-holidays-menu, cal-menu-goto-menu, cal-menu-scroll-menu):
	Add doc strings.
	(cal-menu-context-mouse-menu): Add some :keys.
	(calendar-check-holidays): Declare rather than autoloading.
	(diary-show-holidays-flag): Remove unneeded declaration.

	* calendar/cal-menu.el (cal-menu-moon-menu): Add sunrise/sunset.
	* calendar/calendar.el (calendar-cursor-to-date): Handle case where
	event-start is nil.

2008-06-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-basic-try-completion): Use the text after
	point to constrain the completion candidates.
	(completion-basic-all-completions): Adjust accordingly.

2008-06-25  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/tex-mode.el (tex-verbatim): Use monospace instead of
	courier.

	* faces.el (set-face-attribute): Doc fix.

2008-06-25  Juri Linkov  <juri@jurta.org>

	* bindings.el (goto-map): New variable.  Rebind goto-related
	commands to this `M-g' prefix keymap.
	(search-map): New variable for `M-s' prefix keymap.
	Bind `M-s o' to `occur', `M-shr' to `highlight-regexp', `M-shp' to
	`highlight-phrase', `M-shl' to `highlight-lines-matching-regexp',
	`M-shu' to `unhighlight-regexp', `M-shf' to `hi-lock-find-patterns',
	`M-shw' to `hi-lock-write-interactive-patterns'.

	* isearch.el (isearch-mode-map): Bind `M-s h r' to
	`isearch-highlight-regexp'.
	(isearch-highlight-regexp): New function.

2008-06-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* info.el (Info-bookmark-make-record):
	Use bookmark-make-record-default.
	(Info-bookmark-jump): Use bookmark-default-handler.

	* image-mode.el (image-bookmark-make-record):
	Use bookmark-make-record-default.
	(image-bookmark-jump): Use bookmark-default-handler.

	* doc-view.el (doc-view-bookmark-make-record):
	Use bookmark-make-record-default.
	(doc-view-bookmark-jump): Use bookmark-default-handler.

	* bookmark.el (bookmark-alist): Allow the 2 slightly different formats
	used until now in bookmark.el's code.
	(bookmark-get-bookmark): Accept bookmark names or bookmark records.
	(bookmark-get-bookmark-record): Allow the 2 slightly different formats
	used until now in bookmark.el's code.
	(bookmark-set-filename): Remove special code, moved to its only caller.
	(bookmark-store): Use the newer format.
	(bookmark-make-record-default): Add arg `point-only'.
	Rename from bookmark-make-record-for-text-file.
	(bookmark--jump-via): New function.
	(bookmark-jump, bookmark-jump-other-window, bookmark-bmenu-2-window)
	(bookmark-bmenu-other-window, bookmark-bmenu-switch-other-window):
	Use it.
	(bookmark-jump-noselect, bookmark-default-handler):
	Don't return an alist, instead return the data implicitly by changing
	current buffer and point.  Signal an error if the file doesn't exist.

	* buff-menu.el: Use with-current-buffer and inhibit-read-only.
	(Buffer-menu-toggle-read-only): Avoid vc-toggle-read-only.

	* bs.el: Use with-current-buffer.  Simplify.
	(bs-toggle-readonly): Avoid vc-toggle-read-only.

	* eshell/esh-cmd.el (eshell-manipulate): Check eshell-debug-command
	is bound before using it.

2008-06-25  Kenichi Handa  <handa@m17n.org>

	* image.el (image-jpeg-p): Convert DATA to unibyte at first.

2008-06-25  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el:
	* vc-git.el: Require vc-dir when compiling.

	* vc-dir.el (vc-dir-marked-only-files-and-states): Rename from
	vc-dir-marked-only-files.  Change the return value.
	(vc-dir-child-files-and-states): Rename from vc-dir-child-files.
	Change the return value.
	(vc-dir-deduce-fileset): New function broken out from ...
	* vc.el (vc-deduce-fileset): ... here and ...
	(vc-deduce-fileset): ... here.

	* vc-svn.el (vc-annotate-parent-rev): Pacify byte compiler.
	(vc-svn-parse-status): Do not set the vc-backend property.

2008-06-25  Andreas Schwab  <schwab@suse.de>

	* faces.el (face-font-family-alternatives, variable-pitch):
	Use "Sans Serif", not "Sans-Serif".

2008-06-24  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (face-font-family-alternatives, variable-pitch):
	Change "Sans" to the canonical name "Sans-Serif".

2008-06-24  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-mode-map): Add extra keybindings to
	`calc-missing-key'.
	* calc/calc-ext.el (calc-init-extensions): Add keybinding for
	`kill-ring-save'.

2008-06-24  Miles Bader  <miles@gnu.org>

	* mouse.el (mouse-appearance-menu): Don't do anything if the user
	pops up the menu but doesn't select anything.

2008-06-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* add-log.el (add-change-log-entry): Add new arg to force each new
	entry to be on a new line.
	* diff-mode.el (diff-add-change-log-entries-other-window): Use it.

	* vc-dir.el (vc-client-object): Remove.
	(vc-dir-prepare-status-buffer): Take a backend as an argument and
	use it when looking for a buffer.
	(vc-dir): Add a backend argument.  Set revert-buffer-function.
	Don't create a client object.  Move bindings ...
	(vc-dir-menu-map, vc-dir-mode-map): ... here.
	(vc-dir-revert-buffer-function): New function.
	(vc-generic-status-printer): Rename to ...
	(vc-dir-status-printer): ... this.
	(vc-generic-state, vc-generic-status-fileinfo-extra)
	(vc-dir-extra-menu, vc-make-backend-object): Remove.
	(vc-default-status-printer): Use a different face for
	directories.  Don't display any text for directories in the state
	column.  Add tooltips.

	* vc.el (Todo): Update.

	* vc-hg.el (vc-annotate-convert-time, vc-default-status-printer):
	* vc-rcs.el (vc-annotate-convert-time):
	* vc-mtn.el (vc-annotate-convert-time):
	* vc-git.el (vc-annotate-convert-time):
	* vc-cvs.el (vc-annotate-convert-time):
	* vc-bzr.el (vc-annotate-convert-time): Declare as functions.

2008-06-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-annotate.el (vc-annotate-mode): Derive from special-mode
	instead of using view-mode.

2008-06-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (distclean): Don't delete *.elc and autogen files.

2008-06-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el:
	* vc-hooks.el:
	* vc-dispatcher.el: Move vc-dir variables and functions ...
	* vc-dir.el: ... here.  New file.
	* Makefile.in (ELCFILES): Add vc-dir.elc.

	* vc.el: Move vc-annotate variables and functions ...
	* vc-annotate.el: ... here.  New file.
	* Makefile.in (ELCFILES): Add vc-annotate.elc.

	* vc-dav.el: Move here from url/vc-dav.el.
	(Todo): Note work needed to make this backend functional.

	* Makefile.in (ELCFILES): Update vc-dav.el location.

2008-06-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (COMPILE_FIRST): Trim down and add autoload.el.

2008-06-21  John Paul Wallington  <jpw@pobox.com>

	* emacs-lisp/derived.el (define-derived-mode): Add `doc-string' decl.

	* textmodes/rst.el (rst-mode): Put docstring in right place.

2008-06-21  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (fancy-about-text, fancy-startup-tail): Increase text
	size for legibility.

	* faces.el (fixed-pitch): Use "Monospace" family.
	(variable-pitch): Use "Sans" family.
	(face-font-family-alternatives): Define alternatives for "Sans"
	and "Monospace".

2008-06-21  Glenn Morris  <rgm@gnu.org>

	* mail/hashcash.el, net/tramp-smb.el, nxml/nxml-mode.el:
	Require 'cl when compiling.

	* emacs-lisp/debug.el (help-xref-interned): Declare.

	* emacs-lisp/easy-mmode.el (easy-mmode-set-keymap-parents):
	Evaluate definition when compiling.

	* progmodes/bug-reference.el (bug-reference-map): Bind down-mouse-1
	rather than mouse-1.
	(bug-reference-url-format): Autoload safe if string.
	(bug-reference-bug-regexp): Make space after "bug" optional.

	* Makefile.in (all): Explicitly pass EMACS to sub-make,
	for some non-GNU makes.

	* cus-dep.el (custom-dependencies-no-scan-regexp):
	* finder.el (finder-no-scan-regexp): Add ldefs-boot.el

	* calendar/cal-move.el (calendar-forward-day): Scroll in one month
	increments.

	* calendar/calendar.el: Factor out the magic numbers controlling the
	calendar layout.
	(calendar-month-digit-width, calendar-month-width)
	(calendar-right-margin): New variables.
	(calendar-recompute-layout-variables, calendar-set-layout-variable):
	New functions.
	(calendar-left-margin, calendar-intermonth-spacing)
	(calendar-column-width, calendar-day-header-width)
	(calendar-day-digit-width): New options.
	(calendar-first-date-row): New constant.
	(calendar-move-to-column, calendar-ensure-newline): New functions,
	replacing calendar-insert-indented.
	(calendar-insert-indented): Remove function.
	(calendar-generate-month): Use calendar-move-to-column and
	calendar-ensure-newline.  Use layout variables.
	(calendar-generate, calendar-update-mode-line)
	(calendar-font-lock-keywords): Use layout variables.
	(calendar-column-to-month): New function.
	(calendar-cursor-to-date): Use calendar-column-to-month.
	Use layout variables.
	* calendar/cal-move.el (calendar-cursor-to-nearest-date):
	Use layout variables.  Use calendar-column-to-month.
	(calendar-cursor-to-visible-date): Use layout variables.

2008-06-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (update-elclist): Don't exclude COMPILE_FIRST.
	(all): Run compile-last.
	(compile-onefile): New target.
	(compile-first): Simplify.
	(compile-last): Don't treat COMPILE_FIRST specially.
	(COMPILE_FIRST): List the elc files rather than the el files.
	(ELCFILES): Update.

2008-06-21  Ulf Jasper  <ulf@web.de>

	* net/newst-treeview.el: Remove dead code.
	(newsticker--window-config): Remove.
	(newsticker-treeview-quit): Do not save window config.
	(newsticker-treeview): Do not try to restore window config.
	(newsticker-groups, newsticker--treeview-list-sort-by-column)
	(newsticker--treeview-list-new-items)
	(newsticker--treeview-list-immortal-items)
	(newsticker--treeview-list-obsolete-items)
	(newsticker--treeview-list-all-items)
	(newsticker--treeview-list-feed-items): Fix documentation.

2008-06-21  Miles Bader  <miles@gnu.org>

	* face-remap.el (text-scale-adjust): Bind `echo-keystrokes' to nil.

2008-06-21  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-engine.el (c-guess-basic-syntax CASE 5D.5): Fix an
	infinite loop on invalid syntax.

2008-06-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/rst.el: Run rst-define-level-faces when loading.
	(rst-mode): Don't set the font-lock-multiline var.
	(rst-font-lock-find-unindented-line, rst-font-lock-handle-adornment):
	Set the font-lock-multiline property by hand.

	* loadup.el: Don't add emacs-<VERS> name when bootstrapping.

	* Makefile.in (emacs-deps): Remove.
	($(lisp)/cus-load.el, $(lisp)/finder-inf.el): Re-add.
	(all): Use them.
	(autogen-clean): Remove.

2008-06-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (all): New target.
	(bootstrap-prepare): Remove.

	* Makefile.in ($(lisp)/progmodes/cc-mode.elc): Pass the .el file not
	the .elc file to batch-byte-compile.

	* progmodes/cc-mode.el (c-make-inherited-keymap): Only use
	set-keymap-parents if set-keymap-parent doesn't exist.

	* vc-bzr.el (vc-bzr-annotate-extract-revision-at-line):
	Allow more than one space before the |.

	* textmodes/rst.el: Fix up docstring conventions.
	Move vars to before their first use.
	(rst-mode): Don't mess with font-lock-support-mode.
	(rst-suggest-new-decoration, rst-adjust-decoration):
	Avoid CL's copy-list.
	(rst-delete-entire-line): Use line-beginning-position.
	(rst-position): New fun.
	(rst-straighten-decorations): Use it instead of CL's position.
	(rst-straighten-bullets-region): Avoid CL's mapcar*.
	(rst-toc-mode): Use define-derived-mode.
	(rst-iterate-leftmost-paragraphs, rst-iterate-leftmost-paragraphs-2):
	Remove unused var `in-par'.  Use `point' rather than `point-marker'.
	(rst-line-block-region): Reduce redundancy.  Use the `pfxarg' arg.
	(rst-replace-lines): Simplify.
	(auto-mode-alist): Use rst-mode for *.rst and *.rest files.

	* simple.el (special-mode-map): New var.
	(special-mode): New major mode.

2008-06-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-mtn.el (vc-mtn-log-view-mode): Set log-view-per-file-logs and
	log-view-file-re.

	* vc.el (vc-dir-hide-up-to-date): Undo previous change.
	(vc-switch-backend): Simplify.
	(Todo): Remove solved items.

	* vc-cvs.el (vc-cvs-parse-status, vc-cvs-parse-entry): Do not set
	the vc-backend property.

2008-06-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/checkdoc.el (checkdoc-start-section, checkdoc-error):
	Bind inhibit-read-only since the buffer is always read-only.

2008-06-20  Ulf Jasper  <ulf@web.de>

	* net/newst-treeview.el (newsticker-treeview-own-frame):
	Change default value to nil.
	(newsticker--treeview-list-add-item)
	(newsticker--treeview-propertize-tag): Show item title in tooltip.

2008-06-20  Martin Blais  <blais@furius.ca>
	    Stefan Merten  <smerten@oekonux.de>
	    David Goodger  <goodger@python.org>

	* textmodes/rst.el: New file.

2008-06-20  Sam Steingold  <sds@gnu.org>

	* vc.el (vc-dir-hide-up-to-date): Accept a prefix argument to also
	remove DIRECTORY entries.

2008-06-20  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (distclean): Depend on `clean'.
	(clean): Delete calc/calc-loaddefs.el~ and eshell/esh-groups.el~.
	(AUTOGENEL): Add $(lisp)/nxml/subdirs.el.
	($(lisp)/cus-load.el): Don't use `touch'.  Instead, generate an
	empty cus-load.el with `echo', and include "Local Variables"
	section to prevent the empty file from being compiled.
	(cus-load.el-SH, cus-load.el-CMD): New SHELLTYPE-specific targets
	that generate an empty cus-load.el.

2008-06-20  Juanma Barranquero  <lekktu@gmail.com>

	* makefile.w32-in (bootstrap-clean-CMD, bootstrap-clean-SH):
	Don't copy ldefs-boot.el over loaddefs.el.
	(bootstrap-clean): Remove loaddefs.el and don't depend on it.
	(loaddefs.el-SH, loaddefs.el-CMD): Don't add autoloads and defvars
	to loaddefs.el; they are not needed now.  Add coding cookie.

2008-06-20  Miles Bader  <miles@gnu.org>

	* face-remap.el (face-remap-add-relative, face-remap-set-base):
	Strip unnecessary list levels from SPECS.
	(buffer-face-set, buffer-face-toggle):
	Change argument from FACE to &rest SPECS, and strip unnecessary
	list levels from SPECS.
	(buffer-face-mode-invoke): Change argument from FACE to SPECS.

2008-06-20  Jason Rumney  <jasonr@gnu.org>

	* international/fontset.el (setup-default-fontset): Specify script
	for latin use of iso10646-1.  Fix use of lang tags.

2008-06-19  Miles Bader  <miles@gnu.org>

	* face-remap.el (text-scale-increase): Start from zero if
	text-scale-mode isn't enabled.

2008-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* faces.el (face-set-after-frame-default): Re-apply explicit `font'
	frame parameters after setting up the `default' face.

2008-06-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* faces.el (face-set-after-frame-default): Don't exclude `default'.

2008-06-18  Glenn Morris  <rgm@gnu.org>

	* mouse.el (buffer-face-mode-invoke): Declare.

	* Makefile.in (ELCFILES): Add org/org-id.elc.

	* calendar/holidays.el (calendar-cursor-holidays): Accept optional date.
	* calendar/cal-menu.el (cal-menu-holidays-menu):
	Use calendar-cursor-holidays rather than cal-menu-today-holidays.
	(cal-menu-today-holidays): Remove function.

	* calendar/cal-menu.el (cal-menu-holiday-window-suffix): Simplify.
	(cal-menu-list-holidays-year, cal-menu-list-holidays-following-year)
	(cal-menu-list-holidays-previous-year, calendar-mouse-goto-date):
	Remove unused functions.
	(calendar-mouse-view-diary-entries): Use format rather than concat.

	* calendar/cal-menu.el (cal-menu-x-popup-menu): Turn it into a macro.
	(calendar-mouse-holidays, calendar-mouse-view-diary-entries)
	(calendar-mouse-print-dates): Adapt for cal-menu-x-popup-menu change.

	* calendar/cal-menu.el (cal-menu-event-to-date): Remove function.
	(calendar-mouse-holidays, calendar-mouse-view-diary-entries)
	(calendar-mouse-view-other-diary-entries, calendar-mouse-print-dates)
	(cal-menu-set-date-title): Use calendar-cursor-to-date rather than
	cal-menu-event-to-date.

	* calendar/cal-html.el (cal-html-cursor-month, cal-html-cursor-year):
	Handle mouse events.
	* calendar/cal-tex.el (cal-tex-cursor-year)
	(cal-tex-cursor-year-landscape, cal-tex-cursor-filofax-year)
	(cal-tex-cursor-month-landscape, cal-tex-cursor-month)
	(cal-tex-cursor-week, cal-tex-cursor-week2, cal-tex-cursor-week-iso)
	(cal-tex-cursor-week-monday, cal-tex-cursor-filofax-2week)
	(cal-tex-cursor-filofax-week, cal-tex-cursor-filofax-daily)
	(cal-tex-cursor-day): Handle mouse events.  Rename ARG to N.
	(cal-tex-cursor-month): Mark N as optional.
	* calendar/cal-menu.el (calendar-mouse-tex-day)
	(calendar-mouse-tex-week, calendar-mouse-tex-week2)
	(calendar-mouse-tex-week-iso, calendar-mouse-tex-week-monday)
	(calendar-mouse-tex-filofax-daily, calendar-mouse-tex-filofax-2week)
	(calendar-mouse-tex-filofax-week, calendar-mouse-tex-month)
	(calendar-mouse-tex-month-landscape, calendar-mouse-tex-year)
	(calendar-mouse-tex-filofax-year, calendar-mouse-tex-year-landscape):
	Remove functions.
	(cal-menu-context-mouse-menu): Replace the above functions with the
	cal-tex versions.  Add HTML submenu.

2008-06-17  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gud-gdba-marker-filter): Don't switch to
	text command mode.
	(gdb): Explain that gud-gdb is needed for text command mode.

2008-06-17  Martin Rudalics  <rudalics@gmx.at>

	* window.el (split-height-threshold): Remove spurious extra line.

2008-06-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* calendar/calendar.el (calendar-cursor-to-date): Add argument `event'.
	(calendar-set-mark):
	* calendar/diary-lib.el (diary-insert-entry):
	* calendar/solar.el (calendar-sunrise-sunset): Use it.
	* calendar/cal-menu.el (calendar-mouse-sunrise/sunset)
	(calendar-mouse-insert-diary-entry, calendar-mouse-set-mark): Delete.
	(cal-menu-context-mouse-menu): Use calendar-set-mark,
	diary-insert-entry, and calendar-sunrise-sunset instead.

	* vc.el (vc-deduce-fileset): Add arg `only-files'.
	(vc-next-action): Pass the new arg.
	(vc-register): Don't use `only-files'.
	Don't set `backup-inhibited' in the current buffer.

2008-06-17  Miles Bader  <miles@gnu.org>

	* mouse.el (mouse-appearance-menu): Use buffer-face-mode.

	* face-remap.el (buffer-face-mode-face)
	(buffer-face-mode-remapping): New variables.
	(buffer-face-mode, buffer-face-set, buffer-face-toggle)
	(buffer-face-mode-invoke): New functions.
	(variable-pitch-mode-remapping): Variable removed.
	(variable-pitch-mode): Rewrite as an interface to `buffer-face-mode'.

	* face-remap.el (internal-lisp-face-attributes): New variable.
	(face-attrs-more-relative-p, face-remap-order): New functions.
	(face-remap-add-relative): Use `face-remap-order'.

2008-06-17  Glenn Morris  <rgm@gnu.org>

	* mouse.el (x-select-font): Declare.

	* calendar/calendar.el (calendar-move-hook):
	Add calendar-update-mode-line as an option.
	(calendar-date-echo-text): New user option.
	(calendar-generate-month): Set `day'.  Use calendar-date-echo-text.
	(calendar-insert-indented): Simplify newline insertion.
	(calendar-describe-mode): Remove unused function.
	(calendar-mode-line-entry): New function.
	(calendar-mode-line-format): Doc fix.  Use calendar-mode-line-entry.
	Mark as risky.
	(calendar-mouse-other-month): Remove function.
	(calendar-other-month): Handle mouse events.
	(calendar-goto-info-node): Call fit-window-to-buffer.
	(calendar-mode): Use define-derived-mode.  Doc fix.
	(calendar-update-mode-line): Tweak whitespace.

2008-06-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-dispatcher.el (vc-dir-child-files): Use vc-string-prefix-p.
	(vc-dir-marked-only-files): vc-string-prefix-p.

2008-06-16  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-memory-set-address)
	(gdb-memory-set-repeat-count): Allow keyboard bindings.
	(gdb-memory-mode-map): Bind above functions respectively
	to 'S' and 'N'.

2008-06-16  Derek Upham  <sand@blarg.net>  (tiny change)

	* nxml/nxml-mode.el (nxml-mode): Use run-mode-hooks.

2008-06-16  Juanma Barranquero  <lekktu@gmail.com>

	* log-view.el (vc-diff-internal): Declare for compiler.

	* vc-bzr.el (log-view-per-file-logs):
	* vc-svn.el (log-view-per-file-logs): Pacify byte compiler.

2008-06-15  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (mouse-appearance-menu-map): New var.
	(mouse-appearance-menu): New function.
	Bind it to S-down-mouse-1.

2008-06-15  Juri Linkov  <juri@jurta.org>

	* info.el (Info-toc): Call Info-toc-nodes instead of Info-build-toc.
	(Info-toc, Info-insert-toc): Increment nth's index to add PARENT
	as the second element.
	(Info-build-toc): Add PARENT element extracted from the Up pointer.
	Don't print progress messages.
	(Info-toc-nodes): New variable and function.
	(Info-index-nodes): Optimize non-string file name case.
	(Info-breadcrumbs-depth): Increment the default value from 3 to 4.
	(Info-insert-breadcrumbs): Use the cached document structure instead
	of visiting all ancestor nodes.  Remove the initial `>'.

2008-06-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* log-view.el (log-view-diff-changeset): New function.
	(log-view-mode-map, log-view-mode-menu): Bind it.
	(log-view-per-file-logs, log-view-vc-fileset)
	(log-view-vc-backend): New variables.
	(log-view-find-revision, log-view-modify-change-comment)
	(log-view-annotate-version): Throw an error if the log is for more
	than one file and we can't find the current file.  Get the current
	file from log-view-vc-fileset if necessary.
	(log-view-diff): Get the current file from log-view-vc-fileset if
	necessary.

	* vc.el (vc-print-log): Set log-view-vc-fileset and log-view-vc-backend.

	* vc-hg.el (vc-hg-log-view-mode): Call the log method only once.
	(vc-hg-log-view-mode): Declare for compiler.
	(vc-hg-log-view-mode): Set log-view-per-file-logs and
	log-view-file-re.
	(vc-hg-diff): If no file is passed, use default-directory for cwd.

	* vc-bzr.el (vc-bzr-log-view-mode): Set log-view-per-file-logs.

	* vc-svn.el (vc-svn-log-view-mode): New derived mode.

2008-06-15  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-start-file-process):
	Clear modification time of the connection buffer.
	(tramp-sh-file-name-handler): Reset `tramp-locked' in case of error.
	(tramp-open-connection-setup-interactive-shell): Flush cache, and
	restart `tramp-maybe-open-connection' when the remote system has
	been changed.  Throw 'uname-changed event.
	(tramp-maybe-open-connection): Catch it.

	* net/tramp-cmds.el (tramp-cleanup-all-connections):
	Reset `tramp-locked'.

2008-06-15  Ulf Jasper  <ulf@web.de>

	* net/newst-treeview.el (newsticker--treeview-list-update)
	(newsticker--treeview-item-update)
	(newsticker--treeview-tree-update)
	(newsticker-treeview-jump, newsticker-group-add-group)
	(newsticker-group-move-feed, newsticker-group-delete-group):
	Remove window dedication.
	(newsticker--group-manage-orphan-feeds): Handle ill-valued
	newsticker-groups.
	(newsticker--treeview-tree-expand): Don't manage orphan feeds here.

2008-06-15  Andreas Schwab  <schwab@suse.de>

	* vc-cvs.el (vc-cvs-status-extra-headers): Don't match newline
	when parsing CVS/Repository.

	* wdired.el (wdired-search-and-rename): Fix undocumented change.

2008-06-15  Ulf Jasper  <ulf@web.de>

	* net/newst-plainview.el (newsticker-faces, newsticker-feed-face)
	(newsticker-extra-face, newsticker-enclosure-face): Moved to
	net/newst-reader.el.

	* net/newst-reader.el (newsticker-faces, newsticker-feed-face)
	(newsticker-extra-face, newsticker-enclosure-face): Moved from
	net/newst-reader.el.

2008-06-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/encoded-kb.el (encoded-kbd-self-insert-utf-8):
	Catch and recover from case when the bytes we thought we were reading
	turn out to be something else entirely, such as latin-1 chars from
	quail.  See bug#396.

2008-06-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-deduce-fileset): Check if the buffer has a file.
	(vc-register): Call the backend function only once, instead of
	once for each file.
	(vc-next-action): Update call to vc-register.
	(vc-dir-register): Remove function.
	(vc-dir): Bind vc-register instead of vc-dir-register.

2008-06-14  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Add net/newst-*.el.

2008-06-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* wdired.el (wdired-do-renames): New function.
	(wdired-finish-edit): Use it to.
	(wdired-preprocess-files): Don't hardcode (point-min) == 1.

2008-06-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* info.el (Info-insert-breadcrumbs): Don't break in apropos and toc.

2008-06-14  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window--even-window-heights): Even window heights
	only if the selected window is higher than WINDOW.
	Reported by Stephen Berman <Stephen.Berman at gmx.net>.

2008-06-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* info.el (Info-insert-breadcrumbs): Be careful to preserve history.

2008-06-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term/linux.el (terminal-init-linux): Load t-mouse.

2008-06-13  Stefan Monnier  <monnier@iro.umontreal.ca>
	    Drew Adams  <drew.adams@oracle.com>

	* info.el (Info-breadcrumbs-depth): New var.
	(Info-insert-breadcrumbs): New function.
	(Info-fontify-node): Use it.
	(Info-mode-map): Move initialization into declaration.

2008-06-13  Ulf Jasper  <ulf.jasper@web.de>

	Rename net/newsticker-*.el to net/newst-*.el.
	* net/newst-backend.el: Rename from net/newsticker-backend.el.
	* net/newst-plainview.el: Rename from net/newsticker-plainview.el.
	* net/newst-reader.el: Rename from net/newsticker-reader.el.
	* net/newst-ticker.el: Rename from net/newsticker-ticker.el.
	* net/newst-treeview.el: Rename from net/newsticker-treeview.el.
	* net/newsticker-backend.el: Rename to net/newst-backend.el.
	* net/newsticker-plainview.el: Rename to net/newst-plainview.el.
	* net/newsticker-reader.el: Rename to net/newst-reader.el.
	* net/newsticker-ticker.el: Rename to net/newst-ticker.el.
	* net/newsticker-treeview.el: Rename to net/newst-treeview.el.

2008-06-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-start): Don't disable undo in
	comint buffer.  Don't override the comint-filter with our own.
	(compilation-filter): Change point's insertion-type.

	* comint.el (comint-output-filter): Use copy-marker.

2008-06-13  David Reitter  <david.reitter@gmail.com>

	* textmodes/flyspell.el (mail-mode-flyspell-verify):
	Check message-signature-separator exists before using it.

2008-06-13  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-delete-file): Bind default-directory before calling
	the backend.
	(vc-annotate-show-diff-revision-at-line): Move most of the code to ...
	(vc-annotate-show-diff-revision-at-line-internal): ... here.
	New function.
	(vc-annotate-show-changeset-diff-revision-at-line): New function.
	(vc-annotate-mode-menu): Bind it.

2008-06-13  Jason Rumney  <jasonr@gnu.org>

	* term/w32-win.el (mouse-set-font): Remove overridden function.
	(w32-select-font): Declare as obsolete alias for x-select-font.

2008-06-13  Daniel Engeler  <engeler@gmail.com>

	These changes add serial port access.
	* term.el (term-update-mode-line): Modify.
	(serial-port-is-file-p, serial-nice-speed-history)
	(serial-no-speed, serial-mode-line-speed-menu)
	(serial-mode-line-config-menu): New variables and constants.
	(serial-name-history, serial-speed-history)
	(serial-supported-or-barf, serial-read-name, serial-read-speed)
	(serial-term, serial-speed, serial-mode-line-speed-menu-1)
	(serial-mode-line-speed-menu, serial-update-speed-menu)
	(serial-mode-line-config-menu-1, serial-mode-line-config-menu)
	(serial-update-config-menu): New functions.

2008-06-13  Glenn Morris  <rgm@gnu.org>

	* menu-bar.el (menu-set-font): Use fboundp rather than functionp.

	* emacs-lisp/bytecomp.el (byte-compile-maybe-guarded): Doc fix.

2008-06-13  Kenichi Handa  <handa@m17n.org>

	* cus-face.el (custom-face-attributes): Add :foundry.

	* faces.el (set-face-attribute): Parse "FOUNDRY-FAMILY" here.
	(face-x-resources): Add :foundry.
	(face-valid-attribute-values): Likewise.
	(face-attribute-name-alist): Likewise.
	(describe-face): Likewise.

2008-06-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/map-ynp.el (map-y-or-n-p): Accept non-char events.

2008-06-12  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlines-search-forward, longlines-search-backward)
	(longlines-re-search-forward): Use a smarter search-spaces-regexp.

2008-06-12  Sam Steingold  <sds@gnu.org>

	* vc.el (vc-rename-file): DTRT when the destination is a directory
	name and the source is a file.

2008-06-12  Chong Yidong  <cyd@stupidchicken.com>

	* menu-bar.el (menu-set-font): Rename x-font-dialog to x-select-font.

2008-06-12  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-beginning-of-subprogram)
	(f90-end-of-subprogram): Only give a message when interactive.

	* term/mac-win.el (x-toolkit-scroll-bars): Check bound.

	* progmodes/cperl-mode.el (cperl-info-on-command):
	Use display-pixel-height rather than x-display-pixel-height.

	* mail/rmailedit.el (rmail-cease-edit):
	* vc-dispatcher.el (vc-dir-mode): Check tool-bar-mode is bound.

	* emulation/edt.el (edt-xserver):
	* emulation/edt-mapper.el (edt-xserver): Use replace-regexp-in-string.

	* emulation/edt-mapper.el: Drop test for Emacs < 19.

	* mwheel.el (mouse-wheel-follow-mouse, mwheel-event-window):
	Evaluate definitions when compiling.  Reverse tests.

	* dframe.el (dframe-reposition-frame-emacs): Reorder test, and
	use unless.

	* menu-bar.el (w32-menu-bar-open): Declare for compiler.

	* textmodes/artist.el (x-pointer-shape):
	* term/x-win.el (x-parse-geometry, x-resource-name, accelerate-menu)
	(x-open-connection, x-server-max-request-size, x-get-resource):
	* term/w32console.el (x-setup-function-keys):
	* term/w32-win.el (x-parse-geometry, x-resource-name)
	(generate-fontset-menu, image-library-alist, x-open-connection)
	(setup-default-fontset, set-fontset-font, setup-default-fontset)
	(create-fontset-from-fontset-spec, create-fontset-from-x-resource)
	(x-get-resource):
	* term/mac-win.el (x-parse-geometry, x-resource-name)
	(x-get-selection-internal, tool-bar-mode, set-fontset-font)
	(new-fontset, x-display-list, x-open-connection, x-get-resource):
	* progmodes/gud.el (tooltip-last-mouse-motion-event, tooltip-hide)
	(tooltip-start-delayed-tip, tooltip-use-echo-area, tooltip-show)
	(tooltip-strip-prompt, tooltip-expr-to-print, tooltip-event-buffer):
	* progmodes/gdb-ui.el (tooltip-show, tooltip-use-echo-area)
	(tooltip-identifier-from-point, define-fringe-bitmap):
	* play/gamegrid.el (image-size):
	* play/bubbles.el (image-size):
	* mail/emacsbug.el (x-server-vendor, x-server-version):
	* international/mule-util.el (internal-char-font):
	* international/mule-diag.el (font-info, query-fontset, fontset-info)
	(fontset-alias-alist, fontset-list, fontset-plain-name):
	* international/mule-cmds.el (x-server-vendor, x-server-version):
	* international/fontset.el (font-encoding-charset-alist)
	(otf-script-alist, new-fontset, set-fontset-font)
	(x-pixel-size-width-font-regexp, vertical-centering-font-regexp)
	(fontset-list, query-fontset, x-get-resource):
	* emulation/edt.el (x-server-vendor):
	* emulation/edt-mapper.el (x-server-vendor):
	* emacs-lisp/map-ynp.el (x-popup-dialog):
	* emacs-lisp/lmenu.el (x-popup-dialog):
	* x-dnd.el (x-window-property, x-change-window-property)
	(x-get-selection-internal):
	* woman.el (x-list-fonts):
	* w32-fns.el (x-server-version):
	* tooltip.el (x-show-tip, x-hide-tip):
	* tool-bar.el (image-mask-p):
	* thumbs.el (image-size):
	* term.el (overflow-newline-into-fringe):
	* subr.el (scroll-bar-scale):
	* startup.el (x-get-resource, tool-bar-mode, image-size):
	* select.el (x-get-selection-internal, x-own-selection-internal)
	(x-disown-selection-internal):
	* mouse.el (generate-fontset-menu):
	* mouse-sel.el (x-select-text, x-cut-buffer-or-selection-value):
	* image.el (image-library-alist):
	* image-mode.el (image-size, image-refresh):
	* image-dired.el (clear-image-cache):
	* gs.el (x-display-mm-width, x-display-pixel-width)
	(x-display-mm-height, x-display-pixel-height)
	(x-change-window-property, x-display-grayscale-p, x-window-property):
	* frame.el (tool-bar-mode, x-display-name, x-close-connection)
	(x-focus-frame, x-list-fonts, x-display-screens)
	(x-display-pixel-height, x-display-pixel-width, x-display-mm-height)
	(x-display-mm-width, x-display-backing-store, x-display-save-under)
	(x-display-planes, x-display-color-cells, x-display-visual-class):
	* faces.el (internal-face-x-get-resource)
	(internal-set-lisp-face-attribute-from-resource, x-bitmap-file-path)
	(fontset-list, x-list-fonts, xw-color-defined-p, xw-color-values)
	(xw-display-color-p, x-display-grayscale-p, x-get-resource)
	(x-parse-geometry, x-create-frame, x-setup-function-keys)
	(tool-bar-setup):
	* doc-view.el (clear-image-cache, image-size, tooltip-show):
	* dired.el (dnd-get-local-file-name, dnd-get-local-file-uri):
	* dframe.el (x-display-pixel-width, x-display-pixel-height):
	* descr-text.el (internal-char-font):
	Define for compiler, for builds without X.

2008-06-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-rcs.el (vc-rcs-state-heuristic): Don't assume the file exists.

2008-06-11  Glenn Morris  <rgm@gnu.org>

	* progmodes/fortran.el (fortran-end-of-subprogram): Check for a match
	before trying to move there.
	(fortran-calculate-indent): When fortran-check-all-num-for-matching-do
	is non-nil, indent most terminating statements like loop body.

	* calendar/diary-lib.el (diary-list-entries-2): Accept optional
	Gregorian date, and add it, not the local date, to diary-entries-list.
	(diary-list-entries-1): Pass Gregorian date to diary-list-entries-2.

2008-06-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-filter): Fix up last change.

	* term/linux.el (terminal-init-linux): Use gpm-mouse-enable.

	* t-mouse.el (gpm-mouse-enable, gpm-mouse-disable): New functions.
	(gpm-mouse-mode): Make it into a proper global minor mode.

	* files.el (save-some-buffers-action-alist): Only use recursive-edit
	if the user enabled recursive-minibuffers.

	* emacs-lisp/map-ynp.el (map-y-or-n-p):
	Add support for scroll-other-window.

2008-06-11  Jason Rumney  <jasonr@gnu.org>

	* term/w32-win.el (w32-menu-bar-open): Rename from menu-bar-open.
	Use tmm-menubar if menu is disabled in this frame.

	* menu-bar.el (menu-bar-open): Determine how to open menu bar
	from frame type, per documentation.  Add w32 case.

2008-06-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion--merge-suffix): New function.
	(completion-basic-try-completion): Use it.
	(completion-pcm--find-all-completions): Add argument `filter'.
	(completion-pcm--filename-try-filter, completion-pcm--merge-try):
	New functions.
	(completion-pcm-try-completion): Use them.

	* xt-mouse.el (turn-on-xterm-mouse-tracking)
	(turn-off-xterm-mouse-tracking): Use terminal-list.

	* cus-start.el (underline-minimum-offset): Rename from
	x-underline-minimum-display-offset.

2008-06-10  David De La Harpe Golden  <david@harpegolden.net>  (tiny change)

	* cus-start.el (x-underline-minimum-display-offset): Give it a type.

2008-06-10  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (mouse-select-font): New function.

	* faces.el (face-spec-recalc): When the face is set using
	Customize, avoid recalculating it twice.

	* menu-bar.el (menu-set-font): New function.  Bind "Set Default
	Font" menu item to it.  Apply selected font to all frames, and
	make it savable.
	(menu-bar-options-save): Save `default' font if changed.

2008-06-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ffap.el (ffap-string-at-point-mode-alist):
	Use alpha rather than lower.

	* dired.el (dired-insert-directory): Don't assume Unix-style dir names.

	* subr.el (momentary-string-display): Use an overlay.

	* progmodes/compile.el (compilation-mode):
	Set window-point-insertion-type.
	(compilation-filter): Don't use insert-before-markers any more.
	* emacs-lisp/trace.el (trace-make-advice):
	Set window-point-insertion-type in the trace buffer.
	* startup.el (normal-top-level): Set window-point-insertion-type in
	*Messages*.
	* net/telnet.el (telnet-mode): Set window-point-insertion-type.
	(telnet-filter): Don't use insert-before-markers any more.
	* comint.el (comint-mode): Set window-point-insertion-type.
	(comint-output-filter): Don't use insert-before-markers any more.
	* button.el (make-text-button): Allow `start' to be a string.

2008-06-10  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/autoload.el (autoload-rubric):
	Fix coding cookie not to force Unix EOL.

2008-06-10  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window--splittable-p, window--try-to-split-window):
	Don't use with-selected-window to avoid messing up get-lru-window.
	Reported by David Hansen <david.hansen@gmx.net>.

2008-06-10  Glenn Morris  <rgm@gnu.org>

	* subr.el (locate-library): Doc fix.

	* net/newsticker-treeview.el (w3m-toggle-inline-images): Declare.
	(newsticker-treeview-tool-bar-map, newsticker-treeview-mode):
	Check tool-bar-map is bound, for non-X builds.

	* net/newsticker-reader.el (newsticker--next-item-image)
	(newsticker--previous-item-image, newsticker--previous-feed-image)
	(newsticker--next-feed-image, newsticker--mark-read-image)
	(ewsticker--mark-immortal-image, newsticker--narrow-image)
	(newsticker--get-all-image, newsticker--update-image)
	(newsticker--browse-image): Check xpm images are available.
	(newsticker--mark-read-image, newsticker--mark-immortal-image)
	(newsticker--narrow-image, newsticker--get-all-image): Doc fix.

	* net/newsticker-plainview.el (tool-bar-map): Don't declare.
	(newsticker--plainview-tool-bar-map, newsticker-mode):
	Check tool-bar-map is bound, for non-X builds.
	(w3m-toggle-inline-image): Declare.

	* net/newsticker-backend.el (tool-bar-map): Don't declare.

	* emacs-lisp/autoload.el (autoload-rubric): Add coding cookie.

	* finder.el (finder-font-lock-keywords): Handle ``quotes''.
	(finder-compile-keywords): Move let to where needed.
	(finder-mouse-face-on-line): Go back one more line if needed.
	(finder-list-matches): Use cadr.
	(finder-goto-xref): New function.
	(finder-commentary): Add buttons to jump to foo.el libraries.

2008-06-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* apropos.el (apropos-function, apropos-macro, apropos-command)
	(apropos-variable, apropos-face, apropos-group, apropos-widget)
	(apropos-plist): Add apropos-short-label property.
	(apropos-multi-type): New variables.
	(apropos-command, apropos-value): Set it.
	(apropos-compact-layout): New custom.
	(apropos-print, apropos-print-doc): Use it.
	(apropos-print): Truncate lines.

2008-06-09  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (font-encoding-alist):
	Add an entry for "ascii-0".

2008-06-09  Jihyun Cho  <jihyun.jo@gmail.com>

	* language/hanja-util.el (hanja-init-load): Show the message only
	when loading a table.

2008-06-08  Ulf Jasper  <ulf.jasper@web.de>

	* net/newsticker-treeview.el (newsticker-treeview):
	* net/newsticker-plainview.el (newsticker-plainview):
	Add autoload cookie.

2008-06-08  Ulf Jasper  <ulf.jasper@web.de>

	* net/newsticker.el: Split up into newsticker-backend, -ticker,
	-reader, -plainview, and -treeview.
	(newsticker-version): Change to 1.99.

	* net/newsticker-backend.el: New.  Move backend functionality from
	newsticker.el to newsticker-backend.el.
	(newsticker--download-logos): New.
	(newsticker--sentinel-callback): New.
	(newsticker--set-customvar): Remove.  Split up into specific
	functions related to retrieval, ticker, buffer, and display.
	(newsticker--set-customvar-retrieval): New.  Extracted from
	`newsticker--set-customvar'.
	(newsticker-retrieval): New.  Renamed from `newsticker-feed'.
	(newsticker-url-list-defaults):
	Use `newsticker--set-customvar-retrieval' for :set.  Change :group.
	(newsticker-url-list): Doc changed.  URL can be a function.
	Use `newsticker--set-customvar-retrieval' for :set.  Change :group.
	(newsticker-retrieval-method): New.
	(newsticker-wget-name, newsticker-wget-arguments): Change :group.
	(newsticker-retrieval-interval):
	Use `newsticker--set-customvar-retrieval' for :set.  Change :group.
	(newsticker-desc-comp-max): Change :group.
	(newsticker--cache): Doc changed.
	(newsticker--guid-to-string): New.
	(newsticker--guid): Use `newsticker--guid-to-string'.
	(newsticker--real-feed-name): New.
	(newsticker--start-feed): New.  Extracted from `newsticker-start'.
	(newsticker-start): Use `insert-file-contents' for reading cache.
	Use `newsticker--start-feed'.
	(newsticker--stop-feed): New.  Extracted from `newsticker-stop'.
	(newsticker-stop): Check whether `newsticker-stop-ticker' is fbound.
	Use `newsticker--stop-feed'.
	(newsticker-save-item): New.
	(newsticker--get-news-by-funcall): New.
	(newsticker-get-news): Handle new retrieval methods.
	(newsticker--sentinel): Use `newsticker--sentinel-work'.
	(newsticker--sentinel-work): New.  Extracted from
	`newsticker--sentinel'.  Use `newsticker--download-logos',
	`newsticker--sentinel-callback'.
	(newsticker--parse-atom-0.3): Use `newsticker--guid-to-string'.
	(newsticker--parse-atom-1.0): Fix link determination.
	(newsticker--parse-rss-0.91): Fix time determination.
	(newsticker--parse-rss-0.92): Fix time determination.
	(newsticker--parse-rss-2.0): Use `newsticker--guid-to-string'.
	(newsticker--parse-generic-feed): New arg order in
	`newsticker--cache-add'.
	(newsticker--parse-generic-items): Fix for multiple items.
	New arg order in `newsticker--cache-add'.
	(newsticker--forget-preformatted): Check whether
	`newsticker--buffer-set-uptodate' is fbound.
	(newsticker--decode-iso8601-date): Handle fractions of seconds.
	(newsticker--decode-rfc822-date): Partial timezone handling.
	(newsticker--cache-contains): Fix guid problem.
	(newsticker--cache-add): Swap args AGE and TIME.  Fix guid problem.
	(newsticker--cache-save): New.
	(newsticker--cache-update): Use temp buffer.
	(newsticker--stat-num-items): Allow multiple AGE args.
	(newsticker--stat-num-items-total): New.
	(newsticker--opml-import-outlines): New.
	(newsticker-opml-import): Use `newsticker--opml-import-outlines'.
	(newsticker--do-run-auto-mark-filter): Doc changed.
	(newsticker-retrieve-random-message): New.

	* net/newsticker-ticker.el: New.  Move ticker functionality from
	net/newsticker.el to net/newsticker-ticker.el.
	(newsticker--ticker-timer): Rename `newsticker--display-timer' to
	`newsticker--ticker-timer'.
	(newsticker-ticker-running-p): Rename `newsticker--display-timer'
	to `newsticker--ticker-timer'.
	(newsticker--set-customvar-ticker): New.  Extracted from
	`newsticker--set-customvar'.
	(newsticker-ticker-interval): Rename `newsticker-display-interval'
	to `newsticker-ticker-interval'.  Use `newsticker--set-customvar-ticker
	for :set.  Change :group.
	(newsticker-scroll-smoothly): Doc changed.  Change :group.
	(newsticker-hide-immortal-items-in-echo-area)
	(newsticker-hide-old-items-in-echo-area)
	(newsticker-hide-obsolete-items-in-echo-area):
	Use `newsticker--set-customvar-ticker for :set.  Change :group.
	(newsticker-start-ticker): Rename `newsticker--display-timer' to
	`newsticker--ticker-timer'.  Rename `newsticker-display-interval'
	to `newsticker-ticker-interval'.
	(newsticker-stop-ticker): Rename `newsticker--display-timer' to
	`newsticker--ticker-timer'.

	* net/newsticker-reader.el: New.  Move reader functionality from
	net/newsticker.el to net/newsticker-reader.el.
	(newsticker--set-customvar-formatting): New.  Extracted from
	`newsticker--set-customvar'.
	(newsticker-reader, newsticker-frontend): New.
	(newsticker-enable-logo-manipulations): Change :group.
	(newsticker-justification): Use `newsticker--set-customvar-formatting'
	for :set.  Change :group.
	(newsticker-use-full-width): Use `newsticker--set-customvar-formatting'
	for :set.  Change :group.
	(newsticker-html-renderer): Doc changed.
	Use `newsticker--set-customvar-formatting' for :set.  Change :group.
	(newsticker-date-format):
	Use `newsticker--set-customvar-formatting' for :set.  Change :group.
	(newsticker--insert-enclosure):
	Rename `newsticker--buffer-insert-enclosure' to
	`newsticker--insert-enclosure'.  Add keymap arg.
	(newsticker--print-extra-elements):
	Rename `newsticker--buffer-print-extra-elements' to
	`newsticker--print-extra-elements'.  Add keymap arg.
	(newsticker--do-print-extra-element):
	Rename `newsticker--buffer-do-print-extra-element' to
	`newsticker--do-print-extra-element'.  Add keymap arg.
	(newsticker-show-news): Use `newsticker-frontend'.

	* net/newsticker-plainview.el: New.  Move plainview functionality
	from net/newsticker.el to net/newsticker-reader.el.
	(newsticker-plainview): New.
	(newsticker--set-customvar-sorting): New.  Extracted from
	`newsticker--set-customvar'.
	(newsticker-sort-method): Use `newsticker--set-customvar-sorting
	for :set.  Changed :group.
	(newsticker-heading-format, newsticker-item-format)
	(newsticker-desc-format, newsticker-statistics-format):
	Use `newsticker--set-customvar-formatting for :set.  Change :group.
	(newsticker-faces): Change :group.
	(newsticker-default-face): Enable again.
	(newsticker-hide-old-items-in-newsticker-buffer)
	(newsticker-show-descriptions-of-new-items):
	Use `newsticker--set-customvar-buffer' for :set.  Change :group.
	(newsticker-show-all-news-elements): Change :group.
	(newsticker-plainview-hooks): New.
	(newsticker-select-item-hook, newsticker-select-feed-hook)
	(newsticker-buffer-change-hook, newsticker-narrow-hook): Change :group.
	(newsticker--plainview-tool-bar-map): Rename `newsticker--tool-bar-map'
	to `newsticker--plainview-tool-bar-map'.
	(newsticker--url-keymap): Add mouse-1 binding.
	(newsticker-plainview): New.
	(newsticker-mark-all-items-of-feed-as-read): Change doc.
	(newsticker--buffer-do-insert-text): Use renamed
	newsticker--[buffer-]insert-enclosure and
	newsticker--[buffer-]print-extra-elements.
	(newsticker--buffer-set-faces): Use newsticker-default-face.

	* net/newsticker-treeview.el: New.

2008-06-08  Andreas Schwab  <schwab@suse.de>

	* vc-dispatcher.el (vc-dir-children-marked-p): Fix child check.

	* vc-cvs.el (vc-cvs-dir-status): Pass -f to cvs.

	* vc-dispatcher.el (vc-dir-move-to-goal-column): Don't move in an
	empty line.

	* minibuffer.el (minibuffer-message): Bind inhibit-quit around sit-for.

2008-06-08  Martin Rudalics  <rudalics@gmx.at>

	* window.el (split-height-threshold, split-width-threshold):
	Add choice nil.
	(split-window-preferred-function): Allow either nil or a function.
	(window--splittable-p, window--try-to-split-window):
	Handle changed option values.

	(window--frame-usable-p): Handle nil argument.

	(display-buffer): Call get-lru-window when pop-up-windows is nil
	and window can't be split.

2008-06-08  Michael Albinus  <michael.albinus@gmx.de>

	* uniquify.el (uniquify-get-proposed-name): Handle remote files.

	* net/tramp.el (top): Quote feature names.  Remove
	`tramp-rfn-eshadow-setup-minibuffer' from
	`rfn-eshadow-setup-minibuffer-hook' when unloading.
	(tramp-read-passwd): There is only one call to
	`auth-source-user-or-password' needed.  Pacify byte compiler.

2008-06-08  Andreas Schwab  <schwab@suse.de>

	* window.el (display-buffer): Use lru window if current window
	cannot be split.

2008-06-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* apropos.el (apropos-library): New command and new button.
	(apropos-library-button): New function.

	* apropos.el: Remove spurious * in docstrings.
	(apropos-label-face): Use variable pitch.
	(apropos-print): Use dolist and with-current-buffer.
	(apropos-print-doc): Use when.

	* window.el (special-display-p, display-buffer):
	Fix up C->Elisp transcription error.

2008-06-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-current-group): New var.
	(byte-compile-file): Initialize it.
	(byte-compile-nogroup-warn): Keep track of the current group.

2008-06-08  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (compile, compile-always, bootstrap-prepare):
	Explicitly pass EMACS to sub-makes that use it, for non-GNU makes.

2008-06-07  Jihyun Cho  <jihyun.jo@gmail.com>

	* language/hanja-util.el (hanja-init-load): Use a char-table for
	hanja-table.
	(hangul-to-hanja-char): Adjust for the above change.

2008-06-07  Glenn Morris  <rgm@gnu.org>

	* finder.el (finder-compile-keywords): Use lm-keywords-list rather than
	lm-keywords.

	* mail/sendmail.el (mail-interactive): Add :version.

	* term/linux.el (terminal-init-linux): Use gpm-mouse-mode rather than
	obsolete alias.

	* ediff-merg.el, strokes.el, wid-edit.el, emacs-lisp/lisp-mnt.el:
	* emulation/edt-mapper.el, eshell/em-dirs.el, eshell/em-glob.el:
	* eshell/em-ls.el, eshell/em-unix.el, eshell/esh-cmd.el:
	* eshell/esh-io.el, eshell/esh-opt.el, eshell/esh-test.el:
	* eshell/esh-util.el, international/mule-cmds.el:
	* international/mule-diag.el, mail/smtpmail.el, net/netrc.el:
	* net/tls.el, progmodes/etags.el, textmodes/page-ext.el:
	Remove unnecessary eval-when-compiles and eval-and-compiles.

	* Makefile.in (bootstrap-clean): Run autogen-clean.
	(maintainer-clean): No need to run autogen-clean now it is included in
	bootstrap-clean.

2008-06-06  Miles Bader  <miles@gnu.org>

	* Makefile.in (ELCFILES): Add gnus/nndir.elc.

2008-06-06  Chong Yidong  <cyd@stupidchicken.com>

	* menu-bar.el (menu-bar-options-menu): Add Menu entry for
	longlines mode.

	* replace.el (replace-search-function)
	(replace-re-search-function): New vars.
	(perform-replace): Use them.

	* longlines.el (longlines-re-search-forward): New function.
	(longlines-mode): Bind replace-search-function and
	replace-re-search-function, to ensure that replacement commands
	treat newlines as spaces.
	(longlines-show-effect): Default to a pilcrow sign.

2008-06-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* help.el (function-called-at-point):
	* help-fns.el (variable-at-point): Use emacs-lisp-mode-syntax-table
	even when calling find-tag-default.

2008-06-06  Daniel Colascione  <danc@merrillpress.com>

	* nxml/nxml-mode.el (nxml-syntax-highlight-flag)
	(nxml-fontify-chunk-size, nxml-clear-face, nxml-set-fontified)
	(nxml-clear-fontified, nxml-fontify, nxml-fontify1)
	(nxml-fontify-buffer, nxml-do-fontify):
	Remove obsolete variables and functions.
	(nxml-font-lock-keywords, nxml-set-face, nxml-mode)
	(nxml-degrade, nxml-after-change, nxml-after-change1)
	(nxml-extend-region, nxml-extend-after-change-region)
	(nxml-extend-after-change-region1, nxml-fontify-matcher)
	(nxml-toggle-char-ref-extra-display): Use font-lock, and
	font-lock-extend-region-functions in particular, to fontify
	nxml-mode buffers.
	(nxml-debug-region): New debugging helper function.

	* nxml/nxml-rap.el (nxml-clear-inside, nxml-set-inside)
	(nxml-scan-after-change, nxml-move-tag-backwards):
	Adapt for font-lock changes.

	* nxml/nxml-util.el (nxml-debug, nxml-debug-change)
	(nxml-debug-set-inside, nxml-debug-clear-inside):
	New debugging functions.
	(nxml-with-degradation-on-error): New helper macro.

2008-06-06  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer): Remove dead call to get-lru-window.

2008-06-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mail/sendmail.el (mail-interactive): Change default.

2008-06-05  John Paul Wallington  <jpw@pobox.com>

	* bindings.el (completion-ignored-extensions):
	Add .p64fsl, .d64fsl, and .dx64fsl.

2008-06-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ffap.el (ffap-prompter): Don't use the region.

2008-06-05  Sam Steingold  <sds@gnu.org>

	* vc-cvs.el (vc-cvs-registered): Consider a directory with a CVS
	subdirectory to be registered.

2008-06-05  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-function, special-display-p)
	(special-display-buffer-names, special-display-regexps)
	(special-display-function, same-window-p, same-window-buffer-names)
	(same-window-regexps, pop-up-frames, display-buffer-reuse-frames)
	(pop-up-frame-function, pop-up-windows, even-window-heights)
	(split-window-preferred-function, split-height-threshold)
	(window--display-buffer-1, display-buffer, pop-to-buffer):
	Move from window.c and buffer.c.
	(window--splittable-p, window--try-to-split-window)
	(window--frame-usable-p, window--display-buffer-2)
	(window--even-window-heights): New functions.
	(split-width-threshold): New option.
	(split-window-preferred-horizontally): Remove.

	* cus-start.el: Remove corresponding declarations.

2008-06-05  Sam Steingold  <sds@gnu.org>

	* vc.el (vc-update): Use `save-some-buffers' instead of signaling
	an error on modified buffers.

2008-06-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/etags.el (tags-verify-table): Be careful to use and update
	tags-file-name and tags-table-list from the right buffer.
	(tags-table-check-computed-list, tags-table-extend-computed-list)
	(find-tag-noselect): Use with-current-buffer.

	* emacs-lisp/trace.el (trace-entry-message, trace-exit-message):
	Use print-circle.

	* minibuffer.el (minibuffer-local-must-match-filename-map):
	Declare obsolete alias for the old name.

	* abbrev.el (unexpand-abbrev): Better preserve markers.

2008-06-05  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/autoload.el (autoload-rubric): New function,
	extracted from autoload-ensure-default-file.
	(autoload-ensure-default-file): Use autoload-rubric.

	* cus-dep.el (generated-custom-dependencies-file): Doc fix.
	(custom-dependencies-no-scan-regexp): New variable.
	(custom-make-dependencies): Use with-temp-buffer and autoload-rubric.
	Don't scan files matching custom-dependencies-no-scan-regexp.
	Disable undo in the output buffer.  Remove kept-new-versions wackiness.

	* finder.el (finder-headmark): Initialize and add doc string.
	(generated-finder-keywords-file): Doc fix.
	(finder-no-scan-regexp): New variable.
	(finder-compile-keywords): Use a single let binding.
	Disable undo in the output buffer.  Use autoload-rubric.
	Use mapc rather than mapcar.  Don't scan files matching
	finder-no-scan-regexp.  Use with-temp-buffer.  Use expand-file-name
	rather than concat.  Use directory-files to do regexp matching.
	No need to require jka-compr.
	(finder-list-keywords): Remove un-needed set-buffer.  Disable undo.
	(finder-list-matches): Disable undo.
	(finder-commentary): Use let rather than let*.  Disable undo.
	(finder-current-item): Use zerop.
	(finder-mode): Use define-derived-mode.
	(finder-exit): Doc fix.  Use dolist.

	* Makefile.in ($(lisp)/cus-load.el): Remove unnecessary rule.
	(custom-deps): Don't require $(lisp)/cus-load.el.
	(custom-deps, finder-data): Don't depend on autoloads.
	Should not be needed now, and doing so was causing make install to
	re-dump emacs post-bootstrap.
	(bootstrap-after): Don't run update-elclist, since modifying Makefile.in
	mid-build forces some things to be rebuilt.

2008-06-05  Miles Bader  <miles@gnu.org>

	* face-remap.el
	(face-remap-add-relative): Renamed from `add-relative-face-remapping'.
	(face-remap-remove-relative): Renamed from
	`remove-relative-face-remapping'.
	(face-remap-reset-base): Renamed from
	`set-default-base-face-remapping'.
	(face-remap-set-base): Renamed from `set-base-face-remapping'.
	(text-scale-increase): Renamed from `increase-buffer-face-height'.
	(text-scale-decrease): Renamed from `decrease-buffer-face-height'.
	(text-scale-adjust): Renamed from `adjust-buffer-face-height'.

	* face-remap.el (variable-pitch-mode): Autoload.

2008-06-04  Sam Steingold  <sds@gnu.org>

	* vc-hg.el (vc-hg-status-extra-header, vc-hg-status-extra-headers):
	Generate extra status headers for a Mercurial tree.

2008-06-04  John Paul Wallington  <jpw@pobox.com>

	* echistory.el (electric-history-map): Define within defvar.
	Add docstring.

	* font-lock.el (font-lock-turn-off-thing-lock)
	(font-lock-after-fontify-buffer, font-lock-after-unfontify-buffer):
	Use `bound-and-true-p'.
	(cpp-font-lock-keywords-source-directives, cpp-font-lock-keywords):
	Doc fixes.

	* international/ccl.el (define-ccl-program): Add `doc-string'
	declaration.

2008-06-04  Juanma Barranquero  <lekktu@gmail.com>

	* face-remap.el (variable-pitch-mode): Reflow docstrings.
	(text-scale-mode, adjust-buffer-face-height): Fix typos in docstrings.

2008-06-04  Trent W. Buck  <trentbuck@gmail.com>  (tiny change)

	* emacs-lisp/rx.el (rx): Doc fix.

2008-06-04  Markus Triska  <markus.triska@gmx.at>

	* image-mode.el (image-mode-map): Add doc-view-inspired bindings.

2008-06-04  Miles Bader  <miles@gnu.org>

	* face-remap.el (adjust-buffer-face-height): New function.
	Add autoloaded keybindings in ctl-x-map.
	(increase-buffer-face-height, decrease-buffer-face-height):
	Simplify interactive spec to just "p".  Remove autoloaded keybindings.

2008-06-03  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-1): If we did not move as far as desired,
	ensure that point-left and point-entered hooks are called.

2008-06-03  Sam Steingold  <sds@gnu.org>

	* vc-cvs.el (vc-cvs-status-extra-headers): Remove extraneous newlines.

2008-06-03  John Paul Wallington  <jpw@pobox.com>

	* progmodes/make-mode.el (makefile-cleanup-continuations)
	(makefile-warn-suspicious-lines, makefile-warn-continuations):
	Use `derived-mode-p'.

2008-06-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (update-elclist): Impose a fixed collation for sorting.
	(ELCFILES): Update.

2008-06-03  Miles Bader  <miles@gnu.org>

	* face-remap.el: New file.
	* Makefile.in (ELCFILES): Add face-remap.elc.

2008-06-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/flymake.el (flymake-process-filter): Make sure the source
	buffer isn't dead.

	* obsolete/bg-mouse.el, obsolete/float.el, obsolete/hilit19.el,
	* obsolete/lselect.el, obsolete/mlsupport.el, obsolete/ooutline.el,
	* obsolete/profile.el, obsolete/rsz-mini.el, obsolete/uncompress.el,
	* obsolete/auto-show.el, obsolete/hscroll.el:
	Remove packages that were obsolete in Emacs-20, or that were obsolete
	in Emacs-21 and do not contain any more code.

	* vc-dispatcher.el (vc-dir-menu-map-filter): Don't fail if
	vc-client-mode is not set.

	* image-mode.el (image-mode-map): Suppress key map and bind `q'.
	* doc-view.el (doc-view-mode-map): Inherit from image-mode-map.

	* progmodes/perl-mode.el (perl-font-lock-syntactic-keywords): Try to be
	yet a bit more clever at distinguishing / from /.

2008-06-03  Kenichi Handa  <handa@m17n.org>

	* Makefile.in (ELCFILES): Add $(lisp)/language/hanja-util.elc.

2008-06-03  Jihyun Cho  <jihyun.jo@gmail.com>

	* language/hanja-util.el: New file.

2008-06-03  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-typedef-matcher, f90-looking-at-type-like):
	Check that end-of-word follows "type".

2008-06-02  Daiki Ueno  <ueno@unixuser.org>

	* epa-file.el (epa-file-write-region): Write the entire buffer
	content if START is nil.

2008-06-01  Thomas Morgan  <tlm@thomasmorgan.net>  (tiny change)

	* select.el (x-get-selection): Fix typo.

2008-06-01  Juanma Barranquero  <lekktu@gmail.com>

	* descr-text.el (describe-text-sexp): Use `string-match-p'.  Simplify.
	(describe-char): Use `looking-at-p', `string-match-p' when possible.

2008-06-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tar-mode.el (tar-header-block-summarize): Ensure one space around
	user&group.

2008-05-31  John Paul Wallington  <jpw@pobox.com>

	* help-fns.el (describe-variable-custom-version-info):
	Handle dotted `package-version' info.

2008-05-31  Juanma Barranquero  <lekktu@gmail.com>

	* icomplete.el (icomplete-get-keys): Doc fix.  Use `when'.

2008-05-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-cvs.el (vc-cvs-after-dir-status): Support spaces in file
	names and improve support for unregistered files.

2008-05-31  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (compile-last): Replace tr in `els' assignment with sed.
	Remove shell variable `elc'.  Split tests to hopefully be more portable.
	Fix `sel' assignment.

2008-05-30  Juanma Barranquero  <lekktu@gmail.com>

	* minibuffer.el (completion-table-dynamic): Doc fix.

2008-05-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-cvs.el (vc-cvs-state-heuristic, vc-cvs-parse-status):
	Try and return `unregistered' when applicable.

	* emacs-lisp/checkdoc.el (checkdoc-this-string-valid-engine):
	Don't encourage naming variables with "-flag".

2008-05-30  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (update-elclist): Hide the warning when it does not apply,
	make it milder when it does.
	(autogen-clean): New target.
	(maintainer-clean): Use autogen-clean.

	* calendar/diary-lib.el (diary-display-function): New name for
	diary-display-hook.  Keep old name as obsolete alias.  Doc fix.
	Change custom type and version.
	(diary-list-entries-hook, diary-list-entries, diary-simple-display)
	(diary-fancy-display): Doc fixes.
	(diary-list-entries, diary-include-other-diary-files)
	(diary-mail-entries):
	Use diary-display-function rather than diary-display-hook.

	* calendar/appt.el (appt-check): Use diary-display-function rather than
	diary-display-hook.
	* calendar/cal-x.el (calendar-dedicate-diary): Update for
	diary-display-function replacing diary-display-hook.
	* org/org-agenda.el (org-get-entries-from-diary): Also set
	diary-display-function.

	* calendar/cal-html.el (cal-html-list-diary-entries):
	* calendar/cal-menu.el (calendar-mouse-view-diary-entries):
	* calendar/cal-tex.el (cal-tex-list-diary-entries): Use LIST-ONLY
	argument of diary-list-entries rather than setting diary-display-hook.

2008-05-30  Kenichi Handa  <handa@m17n.org>

	* international/mule-conf.el (utf-8-with-signature): Renamed from
	utf-8-sig.
	(utf-8-auto): Adjusted for the above change.

	* international/mule-diag.el (describe-font): Don't check fontset
	here, and just call font-info.  Get the default font by from the
	default face.

2008-05-29  Kenichi Handa  <handa@m17n.org>

	* international/mule-conf.el (utf-8-sig, utf-8-auto):
	New coding systems.

	* international/mule.el (define-coding-system): Accept :bom for utf-8.

2008-05-29  Espen Wiborg  <espen.wiborg@telio.no>  (tiny change)

	* international/utf-7.el (utf-7-encode): Use the right escape char
	depending on imap/nonimap encoding.

2008-05-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-pcm-all-completions): Add the base-size.

2008-05-29  Juanma Barranquero  <lekktu@gmail.com>

	* icomplete.el (icomplete-prospects-height): Add :group.

2008-05-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* icomplete.el (icomplete-prospects-length): Make obsolete.
	(icomplete-prospects-height): New var.
	(icomplete-completions): Use it.

2008-05-29  David Kastrup  <dak@gnu.org>

	* autoinsert.el (auto-insert): Add :link.

2008-05-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tar-mode.el (tar-header): New field `header-start'.
	(tar-header-block-tokenize): Set it when useful.
	Drop "GNUtar " magic value, which even GNU Tar doesn't know about.
	(tar-header-data-end): New function.
	(tar-summarize-buffer): Use it.
	(tar-next-line): Fix goal column for long usernames.
	(tar-expunge-internal): Use header-start.
	(tar-rename-entry): Handle ustar-style long names.
	(tar-alter-one-field): Add optional `descriptor' argument.
	(tar-subfile-save-buffer): Use it.

2008-05-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tar-mode.el (tar-header): New field `header-start'.
	(tar-header-block-tokenize): Set header-start for longlink entries.
	(tar-expunge-internal): Use header-start to expunge longlink entries.

	* files.el (hack-local-variables): Don't signal an error if the local
	variable section is not properly terminated.

	* emacs-lisp/easymenu.el (easy-menu-convert-item)
	(easy-menu-convert-item-1): Move the duplicate-generation outside of
	the caching so it also works for identical entries.

	* tar-mode.el (tar-summarize-buffer): Fix reporter initialization.
	(tar-mode): Use write-region-annotate-functions rather than
	write-contents-functions.
	(tar-extract): Remove unused var `pos'.
	(tar-subfile-save-buffer): Remove unused var `following-descs'.
	(tar-mode-write-file): Remove.
	(tar-write-region-annotate): New function.

	* progmodes/flymake.el (flymake-save-buffer-in-file):
	* shadowfile.el (shadow-copy-file):
	* arc-mode.el (archive-*-write-file-member):
	* files.el (diff-buffer-with-file):
	* subr.el (with-temp-file): Pass nil to write-region.
	* jka-compr.el (jka-compr-write-region): Preserve `start's nullness.

	* doc-view.el (doc-view-mode-map): Bind `q' to quit-window, as is
	the custom.

	* files.el (basic-save-buffer-2): Pass nil rather than (point-min)
	to write-region.

2008-05-28  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (update-elclist): Work around non-portability of "\"
	in various implementations of echo.

2008-05-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/mule-diag.el (describe-current-coding-system):
	Don't assume selection-coding-system is always defined.

	* tar-mode.el: Use defstruct and markers.
	(tar-setf): Remove.
	(tar-header): Use defstruct.  Add `data-start' field.
	(make-tar-desc, tar-desc-tokens): Remove, folded into tar-header.
	(tar-desc-data-start): Remove (now called tar-header-data-start).
	(tar-roundup-512): New fun.
	(tar-header-block-tokenize): Receive a buffer position rather than
	a string.  Handle @longLink here, be more careful about it.
	Create a marker for data-start.
	(tar-summarize-buffer): Don't handle @LongLink here any more.
	(tar-expunge-internal, tar-subfile-save-buffer): Don't update
	data-start on the following entries any more.
	(tar-chown-entry, tar-chgrp-entry): Use read-number.

	* tar-mode.el: Use buffer-swap-text to separate summary and raw data.
	(tar-header-offset): Remove.
	(tar-parse-info, tar-header-offset, tar-file-name-coding-system):
	Not permanent any more.
	(tar-data-buffer): New var.
	(tar-data-swapped-p, tar-change-major-mode-hook)
	(tar-mode-kill-buffer-hook): New funs.
	(tar-untar-buffer, tar-summarize-buffer, tar-mode, tar-mode-revert)
	(tar-extract, tar-copy, tar-expunge-internal, tar-expunge)
	(tar-clear-modification-flags, tar-alter-one-field)
	(tar-subfile-save-buffer, tar-pad-to-blocksize, tar-mode-write-file):
	Change accordingly.

2008-05-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dispatcher.el (vc-directory-resynch-file): Rename to ...
	(vc-dir-resynch-file): ... this.  Update callers.
	Use vc-string-prefix-p.  Ignore directory args.
	(vc-string-prefix-p): CSE.
	(vc-resynch-buffer): Restore conditional.

	* vc-hooks.el (vc-after-save): Improve test.
	(vc-mode-line): Fix indentation.

2008-05-27  Chong Yidong  <cyd@stupidchicken.com>

	* calendar/parse-time.el (parse-time-months)
	(parse-time-weekdays): Add long-form month and day names.

2008-05-27  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (update-elclist): Make errors in final sed non-fatal.

2008-05-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-dispatcher.el (vc-string-prefix-p): New function.
	(vc-dir-parent-marked-p): Use it.

2008-05-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (Problems): Remove fixed issues.
	(vc-expand-dirs): Avoid returning directories.
	(vc-dir): Fix C-x v v binding.
	(vc-make-backend-object): Fix name.
	(vc-dir-show-fileentry): Fix docstring.
	(vc-dir-refresh): Use vc-dir-backend.  Fix docstring.
	(vc-dir-refresh-files): Use vc-dir-backend.  Fix docstring.
	Reset the state for directories.
	(vc-dir-headers): Align labels.
	(vc-default-status-printer): Do no call prettify-state-info.
	(vc-deduce-fileset): Replace implementation with one based on a
	working older version.
	(vc-next-action): Use the new form of vc-deduce-fileset.
	Fix dealing with unregistered files.

	* vc-dispatcher.el (vc-resynch-window): Fix mode-line updating.
	(vc-dir-menu-map): Fix menu title for the menu bar and the popup menu.
	(vc-dir-child-files): New function.
	(vc-dir-node-directory): New function.
	(vc-dir-update, vc-dir-parent-marked-p)
